<?php

/**
* ABSTRACT CLASS XPItem
*/

class XPLastPost {
	var $itemId;
	var $itemType;
	var $errorMsg;
	
	function fromText($text) {
		
		$postArray = array();
		
		ereg("([^#]*)#([^#]*)#([^#]*)", $text, $postArray);
		
		$this->itemType	= @$postArray[1];
		$this->itemId	= @$postArray[2];
		$this->errorMsg	= @$postArray[3];
		
	}
	
	function toText() {
		
		return $this->itemType."#".$this->itemId."#".$this->errorMsg;
	}
	
	function isThereAPostError() {
		return ($this->errorMsg != "");
	}
	
}

class XPItemControler {
	
	var $item;

	function setCookieIfGet($cookieName) {
		if (isSet($_GET[$cookieName])) {
			setXPCookie($cookieName, $_GET[$cookieName]);
		}
	}

	function affectItem(& $item) {
		$this->item = & $item;
		$item->controler = & $this;
		$this->init();
	}
	
	function init() {
		// ...
	}

	function XPItemControler(& $item) {
		$this->affectItem($item);
	}

	// /////////////////////////////////////////////////////////////
	// DB METHODS
	// /////////////////////////////////////////////////////////////

	function getParentTypeAndProperty() {

		return array();

	}

	function getPropertiesForDelete() {
		
		// parentType => parentPropertyName
		$parentProperties = $this->getParentTypeAndProperty();

		if (sizeof($parentProperties) != 0) {
			
			// parentType
			return array($parentProperties[1]);

		}

		return array();
	}

	function affectIdToNewItem($tableName) {
		
		$this->item->id = $GLOBALS["gDb"]->lastInsertedId($tableName);
	}

	function dbGetTableName() {
		return "ERROR";
	}
	
	function dbPopulateForDelete() {
		

		$deleteProperties = $this->getPropertiesForDelete();

		if (sizeof($deleteProperties) != 0) {
			// There are some properties needed for deletion

			// Property => db name
			$properties = array_flip($this->dbProperties());

			$selectFields = array();

			reset($deleteProperties);

			foreach($deleteProperties as $deleteProp) {
				$selectFields[] = $properties[$deleteProp];

				//echoDebug("SELECT ".$properties[$deleteProp]);

			}

			$selectTableNames = array(
				$this->dbGetTableName()
			);
			$selectConstraints = array(
				"id" => $this->item->id
			);
			
			$result = & $GLOBALS["gDb"]->selectOneEntry($selectTableNames, $selectConstraints, $selectFields);
			
			reset($deleteProperties);

			foreach($deleteProperties as $deleteProp) {

				//echoDebug("AFFECT ".$deleteProp." => ".$result->Fields($properties[$deleteProp]));

				$this->item->{$deleteProp} = $result->Fields($properties[$deleteProp]);
			}

		}
		
	}

	function dbProperties() {
		
		return array();
	}

	function getPropertyForDb($propertyName) {

		return $this->item->{$propertyName};

	}

	function dbGetFields() {

		$properties = $this->dbProperties();

		while (list($dbColumn, $propertyName) = each($properties)) {

			$fields[$dbColumn] = $this->getPropertyForDb($propertyName);

		}

		return $fields;
	}
	
	// /////////////////////////////////////////////////////////////
	// UPDATE METHODS
	// /////////////////////////////////////////////////////////////

	function dbUpdateInDb() {
		

		if ($this->item->isAllowedToUpdate()) {
			
			$fields = $this->dbGetFields();
			
			$tableName = $this->dbGetTableName();

			$constraints =  array(
				"id" => $this->item->id
			);
			
			$GLOBALS["gDb"]->updateTable($tableName, $fields, $constraints);
			
			$this->item->setItemModified();

			return true;

		}
		return false;

	}


	// /////////////////////////////////////////////////////////////
	// INSERT METHODS
	// /////////////////////////////////////////////////////////////

	function dbInsertItem($tableName, $fields) {
		

		$GLOBALS["gDb"]->insertIntoTable($tableName, $fields);
			
		$this->affectIdToNewItem($tableName);
		
		$this->item->setItemModified();
	}

	function dbAddToDb() {
		

		if ($this->item->isAllowedToInsert()) {
			
			$this->dbInsertItem($this->dbGetTableName(), $this->dbGetFields());
		
			return true;

		}
		
		return false;
	}

	// /////////////////////////////////////////////////////////////
	// DELETE METHODS
	// /////////////////////////////////////////////////////////////

	function dbDeleteFromDb() {
		

		if ($this->item->isAllowedToDelete()) {

			$deleteConstraints = array(
				"id" => $this->item->id
			);
			
			$deleteTableName = $this->dbGetTableName();
			$GLOBALS["gDb"]->deleteFromTable($deleteTableName, $deleteConstraints);

			$parentProperties = $this->getParentTypeAndProperty();

			if (sizeof($parentProperties) != 0) {
				// true so that it opens the object...
				XPItem::class_itemModified($parentProperties[0], $this->item->{$parentProperties[1]});
			}
		
			return true;

		}
		
		return false;

	}

	// /////////////////////////////////////////////////////////////
	// HTTP METHODS
	// /////////////////////////////////////////////////////////////

	function httpProperties() {

		// http post field => class property name
		$fields = array(
			"id"			=> "id",
			"name"			=> "title",
			"projectId"		=> "projectId",
			"description"	=> "description"
		);

		return $fields;
	}

	function getHttpProperty($httpPostName) {
		
		$val = & $_POST;

		return $val[$httpPostName];
	}

	function & httpGetPostItem(& $factory) {

		$val = & $_POST;

		$properties = $this->httpProperties();

		while (list($httpPostName, $propertyName) = each($properties)) {

			if (isset($val[$httpPostName])) {

				$fields[$propertyName] = $this->getHttpProperty($httpPostName);

			} else {

				$fields[$propertyName] = "";

			}

		}

		return $factory->newObject(array($_POST["switch"], $fields));

	}

	function httpProcessPost(& $factory) {

		@($this->item = & $this->httpGetPostItem($factory));

		if ($this->item->id < 0) {
			
			$this->item->id = - $this->item->id;

			$this->dbDeleteFromDb($_POST);

		} else if ($this->item->id != 0) {

			$this->dbUpdateInDb();

		} else {

			$this->dbAddToDb();

		}
	}

	
}

class XPItemWithIncludedControler extends XPItemControler {
	var $multiInitItems;
	var $multiInitColumns;
	
	function init() {
		
		while ($vars = each($this->item->multiIncludedItems)) {
			
			@($this->multiInitItems[$vars[0]] = & $this->buildInit($vars[0]));
			
		}
		
	}
	
	function & buildInit($type) {

		$type = ucfirst($type);

		@($item = & $GLOBALS["gFactory"]->{"new$type"}(array()));
		
		return $item->controler;
	}
	
	/// Name of parent id column in included item
	function dbIncludedParentId($type) {
		return "";
	}
	
	function dbIncludedTableName($type = "") {
				
		if ($type == "") {
			$item = end($this->multiInitItems);
		} else {
			$item = & $this->multiInitItems[$type];
		}
		
		return $item->dbGetTableName();
	}
	
	function dbIncludedFields(& $result, $type = "") {
		
		if ($type == "") {
			$item = end($this->multiInitItems);
		} else {
			$item = & $this->multiInitItems[$type];
		}
				
		$dbProperties = $item->dbProperties();
				
		$fields = array();
		
		while ($dbProperty = each($dbProperties)) {
			
			$fields[$dbProperty[1]] = $result->Fields($dbProperty[0]);

			echoDebug("fields[".$dbProperty[1]."] = ".$result->Fields($dbProperty[0]));

		}
		
		return $fields;
	}

	function dbPopulate($customConstraints = "") {
		// ... do the job in child classes
	}
	
}

class XPItemMultiListControler extends XPItemWithIncludedControler {
	
	
}

class XPItemListControler extends XPItemMultiListControler {
	
	
}

function setXPCookie($cookieName, $cookieVal) {
	SetCookie($cookieName, $cookieVal, time()+3600*24*365, "/", "", 0);
}

function deleteXPCookie($cookieName) {
	SetCookie($cookieName, "", time() - 6400, "/");
}

?>
