<?php

// *********************************************************************
// Class WebCategoriesListControler
// *********************************************************************
class WebCategoriesListControler extends XPItemListControler {
	
	function dbPopulate($bDeep = true) {
		
		
		$selectFields = "*";
		
		$selectTableNames = array(
			$this->dbIncludedTableName()
		);
		
		$selectConstraints = array(
			"project_id" => $this->item->projectId
		);
		
		$selectGroupBy = array(
			"id"
		);
		
		$selectOrderBy = array(
			"name asc"
		);
		
		$result = $GLOBALS["gDb"]->selectEntries($selectTableNames, $selectConstraints, $selectFields, $selectGroupBy, $selectOrderBy);
		
		while (!$result->EOF) {

			$factory = & LinksFactory::GetFactory();

			$fields = $this->dbIncludedFields($result);

			$webCategoryToAdd = & $factory->newWebCategory($fields);
			
			if ($bDeep) {
				$webCategoryToAdd->controler->dbPopulate();

				// AAAAARRGGGGGGHHHHHH PHP4 !$**&"&<> !!!!!!!
				//$webCategoryToAdd = $webCategoryToAdd->controler->item;
			}
			
			//echoDebug("populate".($webCategoryToAdd->view->isModify?"modify":"no"));
			
			$this->item->addIncluded($webCategoryToAdd);

			unSet($webCategoryToAdd);

			$result->MoveNext();
		}
	}

}

// *********************************************************************
// Class WebCategoryControler
// *********************************************************************
class WebCategoryControler extends XPItemWithIncludedControler {

	
	// /////////////////////////////////////////////////////////////
	// DB METHODS
	// /////////////////////////////////////////////////////////////
	
	/// Name of parent id column in included item
	function dbIncludedParentId($type = "") {
		return "category_id";
	}
	
	/// DB table name
	function dbGetTableName() {
		return "web_categories";
	}

	/// Correspondance <db column name> <=> <class property name>
	function dbProperties() {

		// db column name => class property name
		$fields = array(
			"id"			=> "id",
			"name"			=> "title",
			"project_id"	=> "projectId",
			"description"	=> "description"
		);

		return $fields;
	}

	function dbPopulateForDelete() {

		// Special case for web category
		$this->dbPopulate();

	}

	
	function dbPopulate() {
		
		$selectFields = "*";
		
		$selectTableNames = array(
			$this->dbIncludedTableName()
		);
		$selectConstraints = array(
			$this->dbIncludedParentId() => $this->item->id
		);
		$selectGroupBy = array(
			"id"
		);
		$selectOrderBy = array(
			"name asc"
		);
		
		$result = $GLOBALS["gDb"]->selectEntries($selectTableNames, $selectConstraints, $selectFields, $selectGroupBy, $selectOrderBy);
		
		while (!$result->EOF) {
			
			$factory = & LinksFactory::GetFactory();
			
			$fields = $this->dbIncludedFields($result);

			$fields["projectId"] = $this->item->projectId;
					
			$webLinkToAdd = & $factory->newWebLink($fields);
						
			$this->item->addIncluded($webLinkToAdd);

			unSet($webLinkToAdd);

			$result->MoveNext();
		}
	}
		
	function dbDeleteFromDb($post) {
		

		if ($this->item->isAllowedToDelete()) {
			if ($post["whatLinks"] == "delete") {
				
				$deleteConstraints = array(
					$this->dbIncludedParentId() => $this->item->id
				);
				
				// Delete links
				$deleteTableName = $this->dbIncludedTableName();
				$GLOBALS["gDb"]->deleteFromTable($deleteTableName, $deleteConstraints);
				
			} else if ($post["whatLinks"] == "move") {
				$newCategoryId = $post["categoryId"];
				
				$constraints =  array(
					$this->dbIncludedParentId() => $this->item->id
				);
				$fields = array(
					$this->dbIncludedParentId() => $newCategoryId
				);
				
				// Iterations
				$tableName = $this->dbIncludedTableName();
				$GLOBALS["gDb"]->updateTable($tableName, $fields, $constraints);
			}
			
			// Now time to delete the web Category
			$deleteConstraints = array(
				"id" => $this->item->id
			);
			
			$deleteTableName = $this->dbGetTableName();
			$GLOBALS["gDb"]->deleteFromTable($deleteTableName, $deleteConstraints);
		}
	}
	
}

// *********************************************************************
// Class WebLinkControler
// *********************************************************************
class WebLinkControler extends XPItemControler {

	// /////////////////////////////////////////////////////////////
	// DB METHODS
	// /////////////////////////////////////////////////////////////

	/// DB table name
	function dbGetTableName() {
		return "web_links";
	}
	
	/// Correspondance <db column name> <=> <class property name>
	function dbProperties() {

		// db column name => class property name
		$fields = array(
			"id"			=> "id",
			"name"			=> "title",
			"category_id"	=> "categoryId",
			"description"	=> "description",
			"url"			=> "url"
		);

		return $fields;
	}

	function getParentTypeAndProperty() {

		return array("webCategory", "categoryId");

	}

	// /////////////////////////////////////////////////////////////
	// HTTP METHODS
	// /////////////////////////////////////////////////////////////

	function httpProperties() {

		// http post field => class property name
		$fields = array(
			"id"			=> "id",
			"projectId"		=> "projectId",
			"name"			=> "title",
			"categoryId"	=> "categoryId",
			"description"	=> "description",
			"url"			=> "url"
		);

		return $fields;
	}

}
?>
