<?php

include "Controler/Planning_controler.inc.php";

// *********************************************************************
// Class ReportsControler
// *********************************************************************
class ReportsControler extends PlanningControler {
	
	function dbPrepare() {
		$this->item->isReady = false;
		
		$this->dbPopulate();
		$this->item->calculateCompletion();

		if (phpversion() < 5 && XP_JPGRAPH_BASEDIR == XP_JPGRAPH_DEFAULT_BASEDIR) {
			// It's not PHP5 but the guy uses the new version of JPGraph... not compatible.

			$notCompatible = "<br/>";
			$notCompatible .= "This version of the jpgraph library is only compatible with PHP5.";
			$notCompatible .= "<br/>";
			$notCompatible .= "If you wish to get reports with an older version of PHP, simply visit this link:";
			$notCompatible .= "<br/>";
			$notCompatible .= "<br/>";
			$notCompatible .= "<a class=\"external\" href=\"http://www.aditus.nu/jpgraph/\">http://www.aditus.nu/jpgraph/</a>";
			$notCompatible .= "<br/>";
			$notCompatible .= "<br/>";
			$notCompatible .= "...where you can download a version of jpgraph < 2 (ex. 1.14)";
			$notCompatible .= "<br/>";
			$notCompatible .= "<br/>";
			$notCompatible .= "Then decompress the archive (ex. jpgraph-1.14.tar.gz) into your XPWeb/Lib directory,";
			$notCompatible .= " and set the right path into your <span class=\"progCode\">Config_local.inc.php file.</span>";
			$notCompatible .= "<br/>";
			$notCompatible .= "<br/>";
			$notCompatible .= "Example: ";
			$notCompatible .= "<br/>";
			$notCompatible .= "<br/>";
			$notCompatible .= "<div class=\"progCode\">defineOnce(\"XP_JPGRAPH_BASEDIR\",	\"Lib/jpgraph-1.14/src\");</div>";
			$notCompatible .= "<br/>";
			$notCompatible .= "<br/>";
			$notCompatible .= "That would force XPWeb to use this older version of jpgraph lib and make it compatible with PHP4.";

			displayErrorMsg(getLang("graph_err_1_title"), $notCompatible);
			return false;
		}
		
		if ( file_exists( XP_JPGRAPH_BASEDIR."/jpgraph.php" ) ) {
			require_once XP_JPGRAPH_BASEDIR."/jpgraph.php";
			require_once XP_JPGRAPH_BASEDIR."/jpgraph_bar.php";	
			require_once XP_JPGRAPH_BASEDIR."/jpgraph_gradient.php";
			require_once XP_JPGRAPH_BASEDIR."/jpgraph_plotmark.inc";
			
			$this->item->isReady = true;
		} else {
			displayErrorMsg(getLang("graph_err_1_title"), getLang("graph_err_1_desc")." (".XP_JPGRAPH_BASEDIR.")");
			return false;
		}
		$velocityPoints = 0;
		$velocityIterations = 0;
		$this->item->velocity = 0;

		//
		// Stories in an iteration
		//
		$this->item->dataYIterationStoryWeight = array();
	 	$this->item->dataYIterationTaskWeight = array();
	 	$this->item->dataYIterationTaskDone = array();
	 	$this->item->dataYStoriesCompletedDuring = array();
	 	$this->item->dataYStoriesCompletedPrior = array();
	 	$this->item->dataYStoriesNotStarted = array();
	 	
	 	$this->item->maxStoriesPerIte = 0;
	 	
	 	if (sizeOf($this->item->multiIncludedItems["iteration"]) >= 0) {
	 		for ($j = sizeOf($this->item->multiIncludedItems["iteration"]) - 1; $j >= 0; $j -- ) {			
				$it = ( sizeOf($this->item->multiIncludedItems["iteration"]) - 1 ) - $j;
				
				$dataYCompleted[$it] = $this->item->totalStoriesCompleted;
				$intStoriesCompletedThisIteration = 0;
				$intStoriesCompletedPriorThisIteration = 0;
				$intStoriesInProgressThisIteration = 0;
				$intStoriesNotStartedThisIteration = 0;
				
				$myStoriesWeight = 0;
				
				$this->item->dataYIterationStoryWeight[$it] = 0;
				
				if (sizeOf($this->item->multiIncludedItems["iteration"][$j]->multiIncludedItems["story"]) > $this->item->maxStoriesPerIte) {
         			$this->item->maxStoriesPerIte = sizeOf($this->item->multiIncludedItems["iteration"][$j]->multiIncludedItems["story"]);
         		}
				
				for ($jj = 0; $jj < sizeOf($this->item->multiIncludedItems["iteration"][$j]->multiIncludedItems["story"]); $jj ++) {
					$currStoryWeight = $this->item->multiIncludedItems["iteration"][$j]->multiIncludedItems["story"][$jj]->weight;
					if ($this->item->processStory($this->item->multiIncludedItems["iteration"][$j]->multiIncludedItems["story"][$jj])) {
						// Completion is >= 100
						if ($this->item->multiIncludedItems["iteration"][$j]->multiIncludedItems["story"][$jj]->theoryCompletion < 100) {
							// Prior
							$intStoriesCompletedPriorThisIteration ++;
						} else {
							// During
							$intStoriesCompletedThisIteration++;
						}
						$myStoriesWeight += $currStoryWeight;
					} elseif ($this->item->multiIncludedItems["iteration"][$j]->multiIncludedItems["story"][$jj]->actualCompletion > 0 ) {
						$intStoriesInProgressThisIteration++;
					} else {
						$intStoriesNotStartedThisIteration ++;
					}
					
					$this->item->dataYIterationStoryWeight[$it] += $currStoryWeight;				
				}

				$this->item->datax[$it] = $it + 1;
				$this->item->dataYStoriesInProgress[$it] = $intStoriesInProgressThisIteration;
				$this->item->dataYStoriesCompletedDuring[$it] = $intStoriesCompletedThisIteration;
				$this->item->dataYStoriesCompletedPrior[$it] = $intStoriesCompletedPriorThisIteration;//$this->item->totalStoriesCompleted - $intStoriesCompletedThisIteration;
				$this->item->dataYIterationTaskWeight[$it] = $this->item->multiIncludedItems["iteration"][$j]->totalTaskWeight;
				$this->item->dataYIterationTaskDone[$it] = $this->item->multiIncludedItems["iteration"][$j]->totalTaskDone;
				$this->item->dataYStoriesNotStarted[$it] = $intStoriesNotStartedThisIteration;

				if ( $intStoriesCompletedThisIteration > 0 ) {
					$velocityPoints += $myStoriesWeight;
					$velocityIterations++;
				}
			}	
		}

		if ( $velocityIterations > 0 ) {
			$this->item->velocity = $velocityPoints / $velocityIterations;
		}

		//
		// Stories not affected to an iteration yet...
		//
		for ( $j = 0; $j < sizeOf($this->item->multiIncludedItems["story"]); $j++ ) {
			$this->item->processStory($this->item->multiIncludedItems["story"][$j]);
		}

		return true;
	}	
}
?>