<?php
require "Controler/Planning_controler.inc.php";

// *********************************************************************
// Class XPCalendarItemControler
// *********************************************************************
class XPCalendarItemControler {

	function dbCustomPopulateConstraintsTasks($customConstraints) {
		

		if ($customConstraints != "") {
			$customConstraints .= " AND ";
		}
		// start date between our dates
		$customConstraints .=
			"((tasks.start_date >= ".$GLOBALS["gDb"]->quote($this->item->calStart)." AND tasks.start_date <= ".$GLOBALS["gDb"]->quote($this->item->calEnd).")";
		// OR end date between our dates
		$customConstraints .=
			" OR (tasks.end_date >= ".$GLOBALS["gDb"]->quote($this->item->calStart)." AND tasks.end_date <= ".$GLOBALS["gDb"]->quote($this->item->calEnd).")";
		// OR both dates AROUND our dates
		$customConstraints .=
			" OR (tasks.start_date <= ".$GLOBALS["gDb"]->quote($this->item->calStart)." AND tasks.end_date >= ".$GLOBALS["gDb"]->quote($this->item->calEnd)."))";

		return $customConstraints;
	}
}


// *********************************************************************
// Class XPCalendarControler
// *********************************************************************
class XPCalendarControler extends PlanningControler {

	function setAllGetOptions() {

		$values = array();

		$values[XP_PLANNING_POP_RESPONSIBLE]	= $_GET[XP_PLANNING_POP_RESPONSIBLE];
		$values[XP_PLANNING_POP_PAIR]			= $_GET[XP_PLANNING_POP_PAIR];
		$values[XP_CALENDAR_CAL_TYPE]			= $_GET[XP_CALENDAR_CAL_TYPE];

		// Date
		if (isset($_GET[XP_CALENDAR_CAL_DATE])) {
			$values[XP_CALENDAR_CAL_DATE]		= $_GET[XP_CALENDAR_CAL_DATE];
		}

		// Iteration ID
		if (isset($_GET[XP_CALENDAR_CAL_ITE_ID])) {
			$values[XP_CALENDAR_CAL_ITE_ID]		= $_GET[XP_CALENDAR_CAL_ITE_ID];
		}

		// Start date
		if (isset($_GET[XP_CALENDAR_CAL_START])) {
			$values[XP_CALENDAR_CAL_START]		= $_GET[XP_CALENDAR_CAL_START];
		}

		// End date
		if (isset($_GET[XP_CALENDAR_CAL_END])) {
			$values[XP_CALENDAR_CAL_END]		= $_GET[XP_CALENDAR_CAL_END];
		}
		
		return $this->item->setOptions($values);
	}

	// STATIC
	function cookiesSaveGETOptions() {
		// Affect cookies
		// Only the ones that have been changed...
		// And ignore the "planning" ones

		XPItemControler::setCookieIfGet(XP_PLANNING_POP_RESPONSIBLE);
		
		XPItemControler::setCookieIfGet(XP_PLANNING_POP_PAIR);
		
		// Calendar specific
		XPItemControler::setCookieIfGet(XP_CALENDAR_CAL_TYPE);
		
		XPItemControler::setCookieIfGet(XP_CALENDAR_CAL_DATE);

		XPItemControler::setCookieIfGet(XP_CALENDAR_CAL_ITE_ID);

		XPItemControler::setCookieIfGet(XP_CALENDAR_CAL_START);

		XPItemControler::setCookieIfGet(XP_CALENDAR_CAL_END);

	}

	function dbPopulateAllTasksFromProject() {
		parent::dbPopulateAllTasksFromProject(true);
		// Time to sort tasks
		$this->item->sortTasks();
	}
	
	function dbCustomPopulateConstraintsTasks() {
		$customConstraints = parent::dbCustomPopulateConstraintsTasks();
		return XPCalendarItemControler::dbCustomPopulateConstraintsTasks($customConstraints);
	}
}
// *********************************************************************
// Class XPCalIterationControler
// *********************************************************************
class XPCalIterationControler extends IterationControler {

	function dbCustomPopulateConstraintsTasks() {
		$customConstraints = parent::dbCustomPopulateConstraintsTasks();
		return XPCalendarItemControler::dbCustomPopulateConstraintsTasks($customConstraints);
	}

}
// *********************************************************************
// Class XPCalStoryControler
// *********************************************************************
class XPCalStoryControler extends StoryControler {

	function dbCustomPopulateConstraintsTasks() {
		$customConstraints = parent::dbCustomPopulateConstraintsTasks();
		return XPCalendarItemControler::dbCustomPopulateConstraintsTasks($customConstraints);
	}
}
// *********************************************************************
// Class XPCalTaskControler
// *********************************************************************
class XPCalTaskControler extends TaskControler {
}
// *********************************************************************
// Class XPCalDayControler
// *********************************************************************
class XPCalDayControler extends XPItemControler {
}

