<?php

/* ***************** FUNCTIONS *********************** */

function displaySectionLink($sectionType, $currentPageName, $url, $sectionName) {
	
	global $gXPLanguage;

	$isCurrent = ($currentPageName == $url) || strtolower($currentPageName) == "$sectionName.php";

	$class = "navigSection navig".$sectionType."Section".($isCurrent?" current$sectionType":"");
	
	if ($sectionType == "Project" && !isThereACurrentProject()) {
		$class .= " navigErrorHover";
	}
	
	?>
	<td height="22" <?=displayOnClickSectionLink($url)?>
		class="<?=$class?>">
		<?php if ($sectionName == "config") {?><img src="<?=$GLOBALS["gCurrentPath"]?>View/languages/<?=$gXPLanguage?>.gif" alt="<?=$gXPLanguage?>" style="vertical-align: bottom; padding-bottom: 2px;" width="16" height="11"/><?php } ?>&nbsp;<?=getSectionLang($sectionName)?>
	</td>
	<?php
}

function displayOnClickSectionLink($url) {
	
	?>
	onclick="url('<?=$GLOBALS["gCurrentPath"].$url?>');"
	<?php
}

function displayLoginLink($pbVisible, $pbError=false, $psErrorText = "") {
	
	if ($pbError) {
		$class = "errorLogin";
	} else {
		$class = ($GLOBALS["gThisPage"] == "Login")?"currentLogin":"login";
	}
	
	if ($pbVisible) {
		$visibility = XP_VISIBLE;
	} else {
		$visibility = XP_INVISIBLE;
	}
	
	displayVisibleInvisibleSectionStart($visibility, "login$pbError");
	displayTopLoginLink($pbError, $psErrorText);
	displayVisibleInvisibleSectionEnd($visibility, "login$pbError");
}

/* ***************** FUNCTIONS END ******************* */

$phpVersion5 = (phpversion() >= 5);

if (!isset($printAvailable)) {
	$printAvailable = false;
}

if (!isset($xmlAvailable)) {
	$xmlAvailable = false;
}

if (!isset($rssAvailable)) {
	$rssAvailable = false;
}

if (!isset($onLoadText)) {
	$onLoadText = "";
}

$nbProjectSections = sizeof($PROJECT_SECTIONS);
$nbTopSections = sizeof($TOP_SECTIONS);

if (XP_AUTOMATIC_ADMIN_VERSION_CHECK
	&& (isset($GLOBALS["gConnectedUser"])
	&& ($GLOBALS["gConnectedUser"]->isAdmin || $GLOBALS["gConnectedUser"]->hasAdminProfile()))
	&& !isset($_SESSION["sHasChecked"])) {
	$onLoadText .= "checkVersion('$gXPLanguage', '".XP_SOFT_VERSION."', true);";
	$_SESSION["sHasChecked"] = true;
}

if ((!@$GLOBALS["gConnectedUser"]->isAnonymous) && (!$GLOBALS["gRememberMe"])) {
	// Someone is logged in (and not "remembered")
	$timeoutTime = (XP_TIMEOUT_IN_SECONDS+1) * 1000;

	if (XP_DO_NOTIFY_BEFORE_TIMEOUT) {
		$alertTime = $timeoutTime - (XP_NOTIFY_TIMEOUT_TIME_IN_SECONDS * 1000);
		// We won't notify before 15 seconds! (or worse, if $alertTime is negative!!)
		$alertTime = max($alertTime, 15 * 1000);
		$onLoadText .= "window.setTimeout('alertTimeOut(".($timeoutTime - $alertTime).")',$alertTime);";
	} else {
		$onLoadText .= "window.setTimeout('alertTimeOutRiched()',$timeoutTime);";
	}
}

include "View/Html_head.inc.php";

?>
<!-- Metaphor iframe -->
<!-- div for positioning the iFrame -->
<div class="<?=XP_INVISIBLE?>" id="xpIFrameParentDiv">
	<iframe name="xpIFrame" id="xpIFrame" src="<?=$GLOBALS["gCurrentPath"]?>_blank.php" width="100%" height="100%" frameborder="0" scrolling="no">zoub</iframe>
</div>



<table width="100%" border="0" cellspacing="0" cellpadding="0" id="navig">
 <tr>
 <td id="navigLogo<?=$isHome?"Current":""?>" rowspan="3"
 <?=displayOnClickSectionLink("index.php")?>><img alt="" src="<?=$GLOBALS["gCurrentPath"]?>View/images/transparent.gif" height="70" width="70"/></td>
  <td class="navigLogoSeparator" rowspan="3">&nbsp;</td>
  <td class="navigTopSectionSeparator" style="border-left-width: 0; width:50px; text-align:center;" align="center">
  &nbsp;</td>
  <?php

  // All the "top" sections

  while(list($key, $val) = each($TOP_SECTIONS)) {
	  displaySectionLink("Top", $currentPageName, $key, $val);
  }
  ?>
  <td class="navigTopSectionSeparator">&nbsp;</td>
  <td class="navigTopSectionSeparator" style="border-left-width: 0;" colspan="<?=$nbProjectSections-$nbTopSections+1?>">&nbsp;</td>
  <?php

  // The help link

  $url = $helpUrl;
  displaySectionLink("Help", $currentPageName, $url, "help");
  ?>
 </tr>
 <tr>
  <td height="26" class="navigProjectName<?=$isProjectSection?"Current":""?><?=!isThereACurrentProject()?" error":""?>" colspan="<?=$nbProjectSections+2?>" <?php if (!isThereACurrentProject()) displayOnClickSectionLink("Projects.php"); ?>><?=displayProjectNameLink()?></td>
  
  <td class="navigProjectSeparator" colspan="2" align="right">
  <?php

	// Login link
	$loginError = !empty($error);
	if ($loginError && !($GLOBALS["gRememberMe"] && $hasBeenAutoReloaded)) {
		displayLoginLink(true, true, getLang("err_".$error));
	} else {
		displayLoginLink(true);
		displayLoginLink(false, true, getLang("err_timeout"));
	}
  ?>
  </td>
 </tr>
 <tr>
  <td class="navigProjectSectionSeparator" style="border-left-width: 0;">&nbsp;</td>
  <?php

  // All the "project" sections

  while(list($key, $val) = each($PROJECT_SECTIONS)) {
	  displaySectionLink("Project", $currentPageName, $key, $val);
  }
  ?>
  <td class="navigProjectSectionSeparator" style="width:50px;">&nbsp;</td>
  <td class="navigProjectSectionSeparator" style="border-left-width: 0; border-top-width: 0;">&nbsp;</td>
  <td class="navigProjectSectionSeparator" style="border-left-width: 0; border-top-width: 0; margin: 0; padding: 0; text-align: right;" align="right">

<?php

$rssLink = $rssAvailable && $phpVersion5;
$rssTitle = getSectionLang($pageTitle)." [RSS]";
$rssUrl = "";


$printClick = "doNothing();";

if ($printAvailable) {
	$printClick = "popup('".$GLOBALS["gCurrentPath"].$GLOBALS["gThisPage"].".php?print');";
}


$rssClick = "doNothing();";
$rssTitle = "";

// @attention, $rssLink and $rssUrl also used in Html_Head.inc.php file !!
if ($rssLink) {
	$rssUrl = $GLOBALS["gCurrentPath"].$GLOBALS["gThisPage"].".php?xml&rss=1";

	$rssClick = "url('$rssUrl');";
	
} elseif ($rssAvailable) {

	$rssClick = "url('".$GLOBALS["gCurrentPath"]."Help/index.php#xml');";

}

$xmlLink = $xmlAvailable && $phpVersion5;
$xmlTitle = getSectionLang($pageTitle)." [XML]";
$xmlClick = "doNothing();";
$xmlClass = "";

if ($xmlLink) {

	$xmlClick = "url('".$GLOBALS["gCurrentPath"].$GLOBALS["gThisPage"].".php?xml');";
	$xmlClass = "xml";
	
} elseif ($xmlAvailable) {

	$xmlClick = "url('".$GLOBALS["gCurrentPath"]."Help/index.php#xml');";
	if (!$phpVersion5) {
		$xmlClass = "noxml php4";
	}

} else {
	$xmlClass = "transparent";
}


?>
	<!-- RSS -->
	<!-- <a class="navigButton <?=$rssLink?"rss":"norss"?><?=!$rssLink && $rssAvailable?" php4":""?>" href="javascript:<?=$rssClick?>" title="<?=$rssTitle?>">&nbsp;</a> -->
	
	<!-- XML -->
	<a class="navigButton <?=$xmlClass?>" href="javascript:<?=$xmlClick?>" title="<?=$xmlTitle?>">&nbsp;</a>

	<!-- PRINT -->
	<a class="navigButton <?=$printAvailable?"":"no"?>print" href="javascript:<?=$printClick?>" title="<?=getLang("print")?> <?=getSectionLang($pageTitle)?>">&nbsp;</a>

  </td>
 </tr>
</table>

<?php
bodyStart();
?>