<?php
$GLOBALS["gCurrentPath"] = "../";
$ptrrep = dir($GLOBALS["gCurrentPath"]);
chdir($ptrrep->path);

$pageTitle = "Help - "."Planning";
$GLOBALS["gThisPage"] = "Planning";

include "Help/Help_commons.inc.php";

$onLoadText = "";

if (!$gIsModifyItem) {
	
	// Task insert
	$onLoadText .= "showInsertTask();";

}


// Second help data for stories
$helpData1 = & new HelpPlanningData(1);

// Third help data for iterations
$helpData2 = & new HelpPlanningData(2);

// Third help data for full iteration
$helpData3 = & new HelpPlanningData(3);

// Second help data for stories
$helpData4 = & new HelpPlanningData(4);

// First help data for tasks
$helpData5 = & new HelpPlanningData(5);


$GLOBALS["gThisPage"] = "Planning";

if (!isSet($FULL_HELP)) {
	include "Help/Help_frame.inc.php";
}


displayDivStart("text");
?>
The planning section is probably the most complex but also the most powerfull part of <?=XPWEB_TITLE?>.
<br/>
<br/>
<?php
displayDivEnd();
echo "<h1>";
echo "Different planning display modes";
echo "</h1>";
displayDivStart("text");
?>
The planning section is divided in four sub-sections and can be displayed in different modes.
<br/>
<h2 id="displayModes">
Display options
</h2>
The whole planning can be filtered to display tasks that have a specific responsible member and / or with a specific
pair programmer.
<br/>
These options are also used in Calendar and Reports sections...
<br/>
They're all stored in cookies so that <?=XPWEB_TITLE?> remembers your settings.
<ul>
	<li>
	Your choices for the responsible team member are:
	<ul>
		<li>
		Any responsible
		<br/>
		Tasks and stories from any responsible are displayed.
		</li>
		<li>
		<em>Somebody</em>'s tasks
		<br/>
		Only member's tasks are displayed.
		</li>
		<li>
		My tasks
		<br/>
		If you're a member of the current project and you're connected these are "<em>Your Name</em>'s tasks".
		</li>
		<li>
		Not affected tasks
		<br/>
		Tasks that haven't been affected yet.
		</li>
	</ul>
	</li>
	<li>
	Pair programmer filter is set in a similar way:
	<ul>
		<li>
		Anybody
		<br/>
		Tasks and stories with any pair programmer are displayed.
		</li>
		<li>
		<em>Somebody</em>
		<br/>
		Only tasks with this member pair programming are displayed.
		</li>
		<li>
		Me
		<br/>
		If you're a member of the current project and you're connected these are tasks with you
		as pair programmer.
		</li>
		<li>
		Nobody
		<br/>
		Tasks that are single programmed...
		</li>
	</ul>
	</li>
</ul>
Note that <span class="important">as soon as something else than "anybody" is chosen for one of the menus</span>
(if your are filtering tasks with responsible and/or pair programmer),
iterations and stories can't be modified and are "blured". 
<br/>
See <a href="#hiddenStory" class="helpLink" title="link to hidden story description">hidden story</a>.
<div class="important">
It is impossible to insert stories or iterations in the this mode.
</div>

<div class="note">
Note that as it is impossible to choose the same pair programmer as the responsible member of a task,
it is also impossible to filter planning with the same user in both menus.
</div>

<h2>
Sort options
</h2>

Stories can be displayed in different sort orders.
<br/>
The list of available fields (and the order in which they can be selected) can be configured in the
config file.
<br/>
Users can then ignore the field, use it to sort stories in an ascending order, or descending order:
<table class="orderBy" cellspacing="0" cellpadding="0">
	<tr>
		<td class="orderNone readOnly">Ignored</td>
		<td class="orderAsc readOnly">Ascending</td>
		<td class="orderDesc readOnly">Descending</td>
	</tr>
</table>

<?php
echo "<h2>";
echo "The planning sub-sections";
echo "</h2>";
?>
<ul>
	<li>
	Current iteration
	<br/>
	The current iteration (<em>which has the closest next deadline</em>) is displayed in this section with its
	included stories and tasks
	</li>
	<li>
	Isolated stories
	<br/>
	The stories that haven't been affected to an iteration yet (ordered by descending priority and ascending risk).
	</li>
	<li>
	Isolated tasks 
	<br/>
	The tasks that haven't been affected to an iteration yet.
	</li>
	<li>
	Other iterations 
	<br/>
	The completed iterations, and the ones that come after the current iteration.
	</li>
</ul>
<?php

echo "<h2>";
echo "The way it works";
echo "</h2>";
?>
You are adviced to use the sections as follow:
<br/>
<ul>
	<li>
During the planning game, you want to show the current iteration and isolated stories and tasks, so that you choose
between them which ones will be added to the iteration.
<br/>
You might also want to show previous iterations to have an idea on how many stories and tasks can be completed in the next
iteration.
	</li>
	<li>
During the iteration itself, you're interested in updating tasks only. So you probably won't show isolated stories and tasks.
<br/>
You probably even care less about previous iterations...
<br/>
During the iteration process, you probably will show current iteration only.
</li>
<li>
Note that you might prefer to update tasks in the <a class="helpLink" title="link to calendar help" href="XPCalendar_help.php">Calendar</a> section.
</li>
</ul>

<h2>Mini display</h2>
By default, completed iterations, stories and tasks are displayed minimized, with the "done" keyword, like in the following example:
<br/><br/>

<?php
$helpData5->task5->view->display();
?>


<br/>
The colour code for minimized tasks is the following:
<ul>
	<li>As long as the task isn't completed, background takes the usual color (red, yellow, etc)</li>
	<li>To be recognized, minimized completed tasks have their background in light grey with the text being in the usual colour (depending on the theory completion when the task was completed)</li>
</ul>
The theory completion is also displayed between brakets.
<br/>
<?php
displayDivEnd();
echo "<h1>";
echo "Managing tasks, stories and iterations";
echo "</h1>";
displayDivStart("text");
?>
<?php echoSpan("xpExpression", "Iterations"); ?> are versions of the system you are building. You expect an iteration to be available at a specific date.
<br/><br/>
To be valid, the version of the system must provide some functionalities, that are called <?php echoSpan("xpExpression", "user stories"); ?> in XP.
<br/><br/>
A <?=echoSpan("xpExpression", "user story")?> in <?=XPWEB_TITLE?> is described by what the system should provide, and the way this can be validated.
<br/><br/>
Now, you don't necessarily know when the functionality will be available (for which iteration). For this reason, <?php echoSpan("xpExpression", "user stories"); ?> in <?=XPWEB_TITLE?> can be in an <?php echoSpan("xpExpression", "Iteration"); ?> or outside.
The idea is that you create a <?php echoSpan("xpExpression", "user story"); ?>, evaluate its <?=echoSpan("xpExpression", "weight")?>, <?=echoSpan("xpExpression", "risk")?> and <?=echoSpan("xpExpression", "priority")?>
and then choose the stories you want to be implemented for the next iteration.
<br/><br/>
<?php echoSpan("xpExpression", "Tasks"); ?> describe how a story will be implemented. Once you choose to implement a story (or before), you will need to cut down its implementation into a list of tasks to accomplish. For this reason tasks are usually created "into" a story.
<br/>
However, obviously there are tasks that aren't related to any story. (Like "buy some cofee" :o). These tasks can be independant or in an iteration (if they aren't related to any story but have to be done for the next iteration).
<br/><br/>
Perhaps the best way to aprehend planning objects is to look at it upwards: from tasks up to iterations.
<br/><br/>
<?php
displayDivEnd();
echo "<h1>";
echo "Load factor";
echo "</h1>";
displayDivStart("text");
?>
The load factor can be changed from an iteration to the next one.
The load factor is fixed for a whole iteration and will be used for all the included tasks.
<br/>
<?php
echo "<h2>";
echo "A note about the load factor";
echo "</h2>";
?>
The load factor in <?=XPWEB_TITLE?> is a bit different from what you might read on XP papers.
<br/><br/>
The load factor that you set will translate "ideal engineering days" into "real engineering days". These "real engineering days" are later translated into "real calendar days". That is why the load factor is not 4 or 5 by default as you might see on some discussion boards. It doesn't include the translation from "real engineering days" to "real calendar days" which is done precisely, not just by multiplying the number but by considering each working/non working day.
<br/><br/>
Conclusion: don't set the load factor to 5 just because you saw it on a paper! ;-) The load factor is just here to make more realistic estimations. We think between 1 and 2 are reasonable choices.
<?php
echo "<h2>";
echo "Automatic load factor";
echo "</h2>";
?>
Load factor can be optimized by using an automatically calculated load factor based on previous iterations.
<br/>
The rule is quite straight forward (though time saving!!): the proposed load factor is just an average of time spent/time planned...
<br/><br/>
Automatic load factor is set by default when an iteration is created, but it can be used on any iteration by clicking on the
<img alt="click" src="../View/images/CalendarLink.gif"/> button when modifying an iteration... 
<?php
displayDivEnd();
echo "<h1 id=\"tasks\">";
echo "Tasks";
echo "</h1>";
displayDivStart("text");
?>
Tasks are the lowest-level objects of a planning.
<?php
echo "<h2>";
echo "Create a task - ";
echoSpan("insert","insert task");
echo "</h2>";

$helpData5->planning->view->hiddenDefaultValues();
$helpData5->planning->view->displayAddIncluded("task");

?>
<div style="height: 380px;"></div>
<?=XP_JAVASCRIPT_START?>
function showInsertTask() {
	<?=getInsertScript(array("task", 0, 0))?>
}
<?=XP_JAVASCRIPT_END?>
As most objects, a task is described by a <?php echoSpan("title","title"); ?> and a <?php echoSpan("description","description"); ?>.
<br/><br/>
But let's consider the other caracteristics of a task:
<ul>
<li>
The first thing to notice is the <?php echoSpan("member","responsible team member"); ?>.
This is the team member who is supposed to fill the following fields.
The team member can be chosen between members that have previously been
<a class="helpLink" title="link to Team help" href="Team_help.php#affectation">affected</a> to the project in the team section.
</li>
<li>
A pair programmer can also be chosen in the list of project members. He will pair programm the task with the responsible member.
<br/><br/>
Depending on your rights, you might not be allowed to choose the responsible member, and the menu is disabled.
</li>
<li id="doneToDo">
Done / Todo
<br/><br/>
The responsible team member is supposed to keep "done" and "todo" fields of this task up to date.
<br/>
<ul>
	<li>
	"Done" field represents the REAL DAYS that have been spent on the task so far.
	<br/>
	"Done" is evaluated in <span class="important">real days</span>
    </li>
    <li>
	"Todo" field represents the ESTIMATED days left to complete the tasks.
	<br/>
	"Todo" is evaluated in <span class="important">ideal days</span>
	(the corresponding -calculated- real days are also displayed)
    </li>
</ul>
Done and todo fields can be inputed with <img align="middle" alt="minus" src="../View/images/Minus.gif"/> and <img align="middle" alt="plus" src="../View/images/Plus.gif"/> buttons.
<br/>
<br/>
Note that the increment can be configured in the config file (<span class="progCode">XP_DAY_INCREMENT</span>).<br/>
By default, it's one day, and can be set to more or less than a day (ex: 0.25, 1.5).
<br/><br/>
An increment of time can also be moved from the "todo" field to the "done" field by clicking on
<img align="middle" alt="minus" src="../View/images/MoveDay.gif"/>.
<br/><br/>
You should be careful with this button because it <span class="important">doesn't use the load factor when moving between these two fields</span>.
<br/><br/>
The task is considered:
<ul>
	<li>
	<span class="important">Started</span> if "done" different from 0
    </li>
    <li>
	<span class="important">Completed</span> if "todo" is 0
    </li>
</ul>
</li>
<li>
The <?php echoSpan("date","\"Starting date of work\""); ?> is the date the responsible member expects to start doing the task.
<br/><br/>
Use of the calendar
<br/>
Dates are inputed via a javascript calendar. It uses <a class="externalLink" href="http://dynarch.com/mishoo/calendar.epl">"The coolest DHTML calendar widget"</a> library.
<br/>
Just click on the date field for the calendar layout to appear. Its quite straight forward to use...
<br/>
The date format and first day of week (Monday or Sunday) are based on the current language.
<br/>
Some days are forbidden. They are:
<ul>
	<li>
	The non-working days of your task.
    </li>
    <li>
	The "every year" and "specific" holidays specified in the config file.
    </li>
</ul>
Note that the "today" button is inactive if today is a non-working day.
<br/>
<br/>
Please refer to "The coolest DHTML calendar widget" online help for more help on date picking.
<br/>
<br/>
Dates can also be updated by using <img align="middle" alt="min" src="../View/images/Less.gif"/> and
<img align="middle" alt="plus" src="../View/images/More.gif"/> buttons, adding or removing one day to the date... skiping non working days, of course! 
</li>

<li>
The <?php echoSpan("date","\"End date\""); ?> can be either automatically calculated or manually inputed.
<br/>
<br/>
To switch from automatic to manual input, just use the corresponding checkbox.
<br/>
The button next to end date input means:
<ul>
	<li><img align="middle" alt="automatic" src="../View/images/CalendarLink.gif"/>  :
The end date is manually inputed (by clicking on the end date input, as for start date),
but a click on this button will affect the automatically calculated value.
	</li>
	<li><img align="middle" alt="automatic" src="../View/images/CalendarAnim.gif"/>  :
Same as previous, but the animation is there to say that a click is "required" (a change in
todo input or working days has made the end date "out of date"...)<br/>
A manual affectation of end date "cancels" this state and stops the animation.
	</li>
</ul>

<div class="planningRule" id="endDateCalc">

The <?=echoSpan("important", "end date")?> calculation is:
<ul>
	<li>
	If the task is <?=echoSpan("important", "finished")?> (todo = 0)
	<br/><br/>
	<span class="important">start date + done</span>
	<br/>
	(skipping non-working days)

	<br/><br/>

	=> <em>The date it is supposed to have started + the time spent on the task</em>
    </li>

    <li>
	As long as the task is <?=echoSpan("important", "not finished")?> (todo not = 0):
	<br/><br/>
	<span class="important">today + todo * load factor</span>
	<br/>
	(skipping non-working days)

	<br/><br/>

	=> <em>The time it requires from now on to be completed</em>
	</li>
</ul>

</div>

</li>

<li id="doneStartDate">

You might notice that if the task is not finished, the start date isn't used in the end date calculation.
Actually, <?=XPWEB_TITLE?> assumes that you are consistent in filling the different fields.

<br/><br/>

In particular you are not supposed to have spent more time than there is available between the start date and
today.

<br/><br/>

Fields "start date" and "done" and <span class="important">become red
if start date + done is more than [<em>time between start date and today</em>]</span>

<br/><br/>

You can try it yourself in the previous example by <span class="userAction">setting "done" field to more than and day</span>.

</li>

<li id="workingPace">
Custom working pace
<br/>
Use custom "working pace" only if you know this task will be handled in a particular pace. Or just leave it to "default", and the task will use the working pace from its iteration or the default one set up in <?=echoSpan("progCode","Config_local.inc.php")?>, if isolated.
<br/>
Just check the days you want to work on the task and the ones you don't.
<br/><br/>
A working Monday is displayed <span class="wd">Mon</span>, a non-working Monday <span class="nWd">Mon</span>
<br/><br/>
Note that it is impossible to uncheck all working days!!
</li>

</ul>



<?php
echo "<h2>";
echo "Visualisation of a task";
echo "</h2>";

$helpData5->task1->view->display();

?>

Start and end dates are separated by a <img src="../View/images/Next.gif" width="15" height="13" alt="next"/> sign.
<br/>
<div class="dateTask">
Note that "manual" end dates (the ones that are not automatically calculated) are displayed
in blue (ex: <span class="custom"><?=displayDate($helpData5->task2->endWeekDay, $helpData5->task2->endDateDay, $helpData5->task2->endDateMonth,$helpData5->task2->endDateYear)?></span>).
</div>
<br/>
Above the calculated end date is displayed the "weight" that has been affected to the task.
<br/><br/>
Responsible member and pair programmer are displayed. Nothing is displayed on the right hand side if no pair programmer is specified.
<?php
displayDivStart("planningRule");
?>  Task's <?=echoSpan("important", "weight")?> is:
<ul>
	<li>
	If the task is <?=echoSpan("important", "not started")?> (done == 0)
	<br/><br/>
	<?=echoSpan("important", "todo")?>
	</li>

	<li>
	When the task <?=echoSpan("important", "starts")?> (updated for the first time with done != 0)
	<br/><br/>
	weight is registered in database with value:
	<br/><br/>
	<?=echoSpan("important", "todo + done / loadFactor")?>

	<br/><br/>

	=> <em>The estimated amount of work left (todo) + the "ideal time" spent (done / loadFactor)</em>
	</li>

	<li>
	When the task is <?=echoSpan("important", "started")?> (done != 0)
	<br/><br/>
	weight is <?=echoSpan("important", "read from database")?>.
	</li>
</ul>

That means the weight doesn't change anymore once the task is started, even if done and/or todo are
increased...
<br/>
Weight represents the <span class="important">initial estimation</span>.
<?php
displayDivEnd();
displayDivStart("", "completion");
?>
You can notice that two completions are displayed.
<br/><br/>
<ul>
<li>
In colour is the <em>actual</em> completion.
<?php
displayDivStart("planningRule");
?> 
The <?=echoSpan("important", "actual completion")?> displayed in the planning section is always calculated as follow:
<ul>
	<li>
<span class="important">done / (done + todo)</span> * 100
	</li>
</ul>
<?php
displayDivEnd();
?>
</li>

<li>
In grey or brighten is presented a <em>theory</em> completion.
<?php
displayDivStart("planningRule");
?>
The <?=echoSpan("important", "theory completion")?> displayed in the planning section is calculated as follow:
<ul>
	<li>
	<span class="important">time worked from start date / total time to work (weight)</span> * 100
    </li>

    <li>
	When the task is completed (updated for the first time with "done" not = 0 and "todo" = 0)
	theory completion is stored in database.
	From that point on, it represents the theory completion when the task was completed and is not calculated anymore.
	</li>
</ul>

<?php
displayDivEnd();
?>
</li>
</ul>
Non-working days are skipped for completion calculation.
<br/>
You can also notice that a task starting on a Saturday or a Sunday will in fact be considered as starting on the next Monday.
<br/><br/>
The actual completion color has a meaning:
<br/>
Here is the "Actual vs Theory Completion colour code":
<ul>
<li>
If the theory completion is more than the actual completion, <span class="important">theory is grey</span>.
<br/>
If it is less than actual completion, it is just <span class="important">brighter than actual completion</span>.
<br/><br/>
In either case you can recognize the actual completion by its value being displayed full black.
</li>
<li>
If the actual completion is lower from more than 50% from the theoretical completion, it is red.
<br/>
Example:
<br/>
<?php
$helpData5->task2->actualCompletion = 20;
$helpData5->task2->theoryCompletion = 75;
$helpData5->task2->view->displayCompletion();
?>
<br/>
</li>
<li>
If the actual completion is between theoretical completion - 50% and theoretical completion - 10%, it is yellow.
<br/>
Example:
<br/>
<?php
$helpData5->task2->actualCompletion = 40;
$helpData5->task2->theoryCompletion = 75;
$helpData5->task2->view->displayCompletion();
?>
<br/>
</li>
<li>
If the actual completion is between theoretical completion - 10% and theoretical completion + 15% (should be "ok"), it is blue.
<br/>
Example:
<br/>
<?php
$helpData5->task2->actualCompletion = 70;
$helpData5->task2->theoryCompletion = 75;
$helpData5->task2->view->displayCompletion();
?>
<br/>
</li>
<li>
If the actual completion is higher than theoretical completion from more than 15% ("too good!"), it is green.
<br/>
<br/>
Example:
<br/>
<?php
$helpData5->task2->actualCompletion = 90;
$helpData5->task2->theoryCompletion = 75;
$helpData5->task2->view->displayCompletion();
?>
<br/>
</li>
<li>
Theoretical completion can pass 100%. In the following example, even though the task is almost done, it appears red because it should be a lot more than done
(actually the time spent is twice more than what was expected)
<br/>
<br/>
See how the theoretical completion is more than 100%. Notice that the "grey bar" will stop to "size 100" but the exact value (210) is displayed.
<br/>
<?php
$userValue = $XP_COMPLETION_DO_PASS_HUNDRED;
$XP_COMPLETION_DO_PASS_HUNDRED = true;
$helpData5->task2->actualCompletion = 90;
$helpData5->task2->theoryCompletion = 210;
$helpData5->task2->view->displayCompletion();
$XP_COMPLETION_DO_PASS_HUNDRED = $userValue;
?>
<br/>
</li>
<li>
Now, it is possible to specify in the Config file that you don't want completion to pass 100.
<br/>
<br/>
In this case theoretical completion will not display more than 100%.
<br/>
But still, difference between actual and theoritical completion is calculated with the exact theoretical completion which means that even though you'd see 100% displayed,
the actual completion might be displayed red.
<br/>
<br/>
Here's an example of:
<ol>
	<li>
	The latest example (210%) but with theoretical completion "limited" to 100% in Config file:
	<br/>
	<br/>
	<?php
    $userValue = $XP_COMPLETION_DO_PASS_HUNDRED;
    $XP_COMPLETION_DO_PASS_HUNDRED = false;
	$helpData5->task2->actualCompletion = 90;
	$helpData5->task2->theoryCompletion = 210;
	$helpData5->task2->view->displayCompletion();
    $XP_COMPLETION_DO_PASS_HUNDRED = $userValue;
    ?>
	<br/>
	</li>
	<li>
	With the same configuration, a task that has its theoretical completion exactely equal to 100%:
	<br/>
	<br/>
	<?php
	$helpData5->task2->actualCompletion = 90;
	$helpData5->task2->theoryCompletion = 100;
	$helpData5->task2->view->displayCompletion();
	//$helpData5->buildTask2();
    ?>
	</li>
</ol>
</li>
</ul>
<br/><br/>
The basic idea is that you hope to see blue everywhere (no, not so much green!)...
<?php
displayDivEnd();
?>
<br/>
<br/>
The task is displayed "not started" when theory and actual completions are zero (if the task should be started -theory not zero- then theory completion is displayed even though actual completion is zero)
<br/><br/>
The following task example shows some other details:
<ul>
<li>If a task's theoretical end date is later than the iteration deadline, a red message is displayed and an alert icon is also displayed in the
story or iteration containing this task.
<br/>
<br/>
Note that if the task is finished, this message is not displayed anymore.
</li>
<li>
This task doesn't have a default working pace: the task has been specified a custom working pace (in this case, not working on Monday, but working on Saturday).
The working pace of a task is displayed only if it is specific to the task.
</li>
</ul>
<?php

$helpData5->task2->outOfTime = 2;

$helpData5->task2->view->display();

echo "<h2>";
echo "Modify / move a task - ";
echoSpan("modify","modify");
echo "</h2>";
?>
When a task is modified (<?php echoSpan("modify","modify"); ?> is hit) it can be moved to another story or iteration.
<br/><br/>
The options correspond to the available iterations and their included stories, and the isolated stories.
<br/><br/>
Note that you can move to any existing story or iteration even though this story or iteration isn't currently
displayed on the page.
<br/><br/>
<span class="important">
This might result in the task "disappearing" after you hit "ok"
</span>
(for instance if moving to an isolated story while isolated stories are hidden)
<br/><br/>
Tasks can also be moved to other projects (if <span class="progCode">XP_ALLOW_MOVE_OTHER_PROJECTS</span> param is set to true in config file).
<br/>
They can be moved to projects you are affected to, or to all other projects if you are an admin user. (Obviously, it also requires rights to move the task)
<br/>
<br/>
If a task is moved to another project:
<ul>
<li>In whatever story or iteration it was, it becomes "isolated" (outside any story/iteration) in the other project.</li>
<li>If the responsible member is not member of the new project, the task is set to "not affected"</li>
<li>Same thing for pair programmer</li>
</ul>
<br/>
Here is how the modification of a task looks like:
<br/><br/>
<?php
//$helpData5->task4->view->setModify();

$helpData5->task4->view->displayModify();

displayDivStart("planningRule");
?>
<?=upgradeStart()?>
Update of existing tasks from version <span class="important">less than 2.2</span>:
<br/><br/>
Please be aware that all your existing tasks will be modified (their actual iteration will be deleted form database) so be sure you want to switch to the new version...
<br/><br/>
For all tasks from all iterations:
<ul>
	<li>
"done" and "todo" values are created based on weight and completion as follow:
    <ul>
    	<li>
done = actual completion/100 * weight * loadFactor
    	</li>
    	<li>
todo = (100 - actual completion)/100 * weight
    	</li>
    </ul>
	</li>
	<li>
actual completion field is deleted
	</li>
	<li>
actual completion is calculated
	</li>
	<li>
if task completed (actual completion == 100) then:
	<ul>
    	<li>
update theory end completion in db = 100
		</li>
    	<li>
update end date in db = calculated end date
		</li>
    </ul>
	</li>
</ul>
(Basically the task is considered completed perfectly on time!)
<br/>
<br/>
Please note that if a 2.1 task is started (its actual completion is different from 0) but not evaluated (its weight is 0) then it'll be considered not started in version 2.2...
<?=upgradeEnd()?>
<?php

displayDivEnd();
displayDivEnd();
echo "<h1>";
echo "User stories";
echo "</h1>";
displayDivStart("text");
?>
<?php

echo "<h2>";
echo "Create a user story - ";
echoSpan("insert","insert story");
echo "</h2>";

$helpData5->planning->view->displayAddIncluded("story");
?>
As usual, a user story is described by a <?php echoSpan("title","title"); ?> and a <?php echoSpan("description","description"); ?>.
<br/><br/>
You will also find:
<ul>
<li>
A <?php echoSpan("description","validation criteria"); ?> describes what is needed to validate the story.
</li>
<li>
<?php echoSpan("riskPriority","Priority"); ?>
<br/>
You set the priority of the user story... There is no unit, it's an arbitrary unit that you should set up and refine while the project goes on.
<br/>
<span class="important">
The higher the priority the more prior is the story.
</span>
</li>
<li>
<?php echoSpan("riskPriority","Risk"); ?>
<br/>
To evaluate how risky a story is...
<br/>
<span class="important">
The higher the risk the more risky is the story.
</span>
</li>
<li>
<?php echoSpan("riskPriority","Weight"); ?>
<br/>
This should evaluate the weight to implement. Again, the unit is arbitrary. The weight is important to compare between stories, and should get sense one iteration after the other.
<br/>
<span class="important">
The higher the weight the longer it should take to implement the story.
</span>
<br/><br/>
<?php
displayDivStart("note");
?>
The three values <span class="progCode">XP_STORY_MAX_PRIORITY</span>, <span class="progCode">XP_STORY_MAX_RISK</span>
and <span class="progCode">XP_STORY_MAX_WEIGHT</span> can be set up in the config file and are default to 10.
<?php
displayDivEnd();
?>
</li>
</ul>
<?php
echo "<h2>";
echo "Visualisation of a user story";
echo "</h2>";
?>
Here is an example of a user story:
<br/><br/>
<?php
$helpData1->story1->containsModified = true;
$helpData1->story1->view->display();
?>
As you can see, the interesting information here is the theoretical and actual completion bars that are automatically displayed based on the sub-tasks'.
<br/><br/>
They are simply based on an average of the sub-tasks' completions.
<br/><br/>
Depending on the value of <?=echoSpan("progCode", "Config_local.inc.php")?> parameter <?=echoSpan("progCode", "XP_WEIGHED_STORY_COMPLETION")?>, this average
can be "weighted": if <?=echoSpan("progCode", "XP_WEIGHED_STORY_COMPLETION")?> is set to <?=echoSpan("progCode", "true")?>,
then the a task with bigger weight will weight bigger in the average.
<br/><br/>
<div id="compNote">
Note that the completion of a story is <span class="important">calculated from the tasks that are <em>displayed</em></span>, that means that
if only your tasks are displayed (see <a class="helpLink" title="link to display modes help" href="#displayModes">display modes</a>) then the stories' completion are averages of <em>your</em> tasks in these stories...
</div>
<br/>
They should help evaluate the progress of the project.
<?php
displayDivStart("planningRule");
?>  The <?=echoSpan("bold", "theory completion for stories")?> is calculated as follow: 
<ul>
	<li>
if all included tasks should be completed (theory completion &gt;= 100), then for each task we consider:
    <ul>
    	<li>
task completion = real theory completion
		</li>
	</ul>
	</li>
	<li>
else (at least one task shouldn't be completed):
	<ul>
    	<li>
task completion = min(real theory completion, 100)
		</li>
	</ul>
	</li>
</ul>
Then the average is calculated as follow:
<ul>
	<li>
if XP_WEIGHED_STORY_COMPLETION is set to true, then:
	<ul>
    	<li>
story completion = sum of all(task completion * weight) / sum of all weights
		</li>
	</ul>
	</li>
	<li>
if XP_WEIGHED_STORY_COMPLETION is set to false, then simply:
	<ul>
    	<li>
story completion = sum of all(task completion) / number of tasks
		</li>
	</ul>
	</li>
	
</ul>
<?php
displayDivEnd();
?>
This rule exists because we don't want the story theory completion to be "polluted": if at least one task shouldn't be completed, we don't care "to what extend" the other ones should.
We just want to know that they should so we count their theory completion to the maximum value of 100%.
<h2 id="hiddenStory">
Hidden story
</h2>
"Hidden stories" are summaries of stories. In this mode, they <span class="important">cannot be modified</span>.
Main story information (name, actual completion) only is presented. The description and validation criteria don't appear.

<br/><br/>
Stories are displayed in this mode in the "somebody's tasks" section.
<br/><br/>
Here is an example of a story containing one task from a specific user (notice the title on top of the tasks' list):
<br/><br/>
<div class="somebodysTasks">
<?php

$helpData4->story1->setOptions($helpData4->task3->memberId);
$helpData4->story1->view->display();

?>
</div>
<br/><br/>
Note that you can change the responsible member to any other member of the project, even though you are displaying
tasks from a specific member only.
<br/><br/>
<span class="important">
This might result in the task "disappearing" after you hit "ok"
</span>
(if changing the responsible member or pair programmer while displaying only tasks from specific member and / or pair)
<br/><br/>

<?php

echo "<h2>";
echo "Modify / move a story - ";
echoSpan("modify","modify");
echo "</h2>";
?>
When a story is modified (<?php echoSpan("modify","modify"); ?> is hit), the story can be moved to another iteration.
<br/><br/>
<?php
$helpData4->story2->view->displayModify();
?>
<br/><br/>
The options correspond to the available iterations or you can "isolate" the story.
<br/><br/>
Note that you can move to any existing iteration even though only some iterations are shown.
<br/><br/>
<span class="important">
This might result in the story "disappearing" after you hit "ok"
</span>
(for instance if moving to the current iteration while it is hidden)
<br/><br/>
Stories can also be moved to other projects (if <span class="progCode">XP_ALLOW_MOVE_OTHER_PROJECTS</span> param is set to true in config file).
<br/>
The included tasks are moved with the story and follow the rules explained above about responsible member.
<?php
echo "<h2>";
echo "Delete a user story - ";
echoSpan("delete","delete");
echo "</h2>";
?>
As when you delete a project or an iteration, you have to choose what to do with the objects that are "included" in it:
<br/><br/>
<?php
$helpData4->story1->view->displaySimpleFormStart($helpData4->story1->view->getFormName());
$helpData4->story1->view->displayConfirmDeleteStart();
$helpData4->story1->view->displayDeleteConfirm();
$helpData4->story1->view->displayConfirmDeleteEnd();
$helpData4->story1->view->displaySimpleFormEnd($helpData4->story1->view->getFormName());
?>
<br/><br/>
Your choices are:
<ul>
<li>
To simply delete all the sub-tasks
</li>
<li>
To "isolate" the sub-tasks ("(isolated)")
</li>
<li>
To move the sub-tasks to an iteration
</li>
<li>
To move the sub-tasks to another user story, either in an iteration or in an isolated story.
</li>
<li>
To move the sub-tasks to another project (if allowed by current configuration).
</li>
</ul>
<?php
displayDivStart("note");
?>
Note that it is obviously impossible to move the tasks to the story you want to delete!!
(It won't appear in the list)
<?php
displayDivEnd();
?>
<?php


displayDivEnd();
echo "<h1>";
echo "Iterations";
echo "</h1>";
displayDivStart("text");
?>
<?php
echo "<h2>";
echo "An iteration";
echo "</h2>";
?>
After each iteration, you should be able to deliver a fully working system with new functionalities (user stories) implemented.
<br/><br/>
You expect an iteration to be available at a certain date so an iteration is described by <?php echoSpan("title","title"); ?>  a <?php echoSpan("description","description"); ?>, and a <?php echoSpan("date","date"); ?>.
<br/><br/>
An iteration is composed by a list of stories that have been chosen to be built for this iteration.
<br/><br/>
A working pace can also be defined for each iteration.
<?php
echo "<h2>";
echo "Create an iteration - ";
echoSpan("insert","insert iteration");
echo "</h2>";

$planningGui = & $GLOBALS["gPlanningFactory"]->newPlanning(0);
$planningGui->view->displayAddIncluded("iteration");
?>
As usual, an iteration is described by a <?php echoSpan("title","title"); ?> and a <?php echoSpan("description","description"); ?>.
<br/><br/>
You also have to specify a <?php echoSpan("date","deadline"); ?>, a <?php echoSpan("date","load factor"); ?>. This load factor will be used by all the included tasks to evaluate the theoretical completion.
<br/>
Click <img alt="click" src="../View/images/CalendarLink.gif"/> button to get a calculated value...
<br/>
Note: the default iteration deadline is 10 days from today (can be configured with <span class="progCode">XP_DEFAULT_ITERATION_LENGTH</span>).
<br/><br/>
Working pace
<br/>
The working pace you choose for your iteration will be the default one used for each included tasks (including tasks in included stories), unless a custom one is specified.
<br/>
Just check the days you want to work and the ones you don't.

<?php

echo "<h2>";
echo "Current iteration";
echo "</h2>";
?>
The iteration which has <span class="important">the closest next deadline</span> is automatically selected as the "current iteration"...
<?php
echo "<h2>";
echo "Display of an iteration";
echo "</h2>";
?>
Following the idea of a story completion, an iteration completion is the average of the completions of its sub-stories and tasks.
<br/><br/>
See <a href="#compNote">note</a> on completion and display modes.
<br/><br/>
This average is <span class="important">balanced</span> regarding the number of tasks that a story contains.
(the completion of a story that contains 3 tasks will be 3 times heavier than the one of an independant task).
<br/><br/>
<?php
displayDivStart("planningRule");
?>  The <?=echoSpan("bold", "theory completion for iterations")?> follows the same rule as for stories: 
It considers all included tasks and stories: if at least one included task or story shouldn't be completed (theory completion &lt; 100), theory completions are limited to 100%.
<?php
displayDivEnd();
?>
Information on iteration's weight is presented:
<ul>
	<li>
	Total weight in sense of story points
	</li>
	<li>
	Total weight in sense of tasks' "ideal days"
	</li>
</ul>
See full example at bottom of page.
<?php
echo "<h2>";
echo "Hidden iteration";
echo "</h2>";
?>
"Hidden iterations" are summaries of iterations. In this mode, they cannot be modified.
<br/><br/>
Only main information is presented (main and feedback info).
<br/><br/>
<?php
//$helpData2->iteration2->view->displayHidden();
?>
As for stories, iterations are "hidden" in the "somebody's tasks" mode.
<?php

echo "<h2>";
echo "Delete an iteration - ";
echoSpan("delete","delete");
echo "</h2>";
?>
When you decide to delete an iteration, you are provided with the choice to move the included stories and tasks to another iteration or project, or to isolate them, or to delete them with the iteration.
<br/><br/>
<?php
$helpData2->iteration2->view->displaySimpleFormStart($helpData2->iteration2->view->getFormName());
$helpData2->iteration2->view->displayConfirmDeleteStart();
$helpData2->iteration2->view->displayDeleteConfirm();
$helpData2->iteration2->view->displayConfirmDeleteEnd();
$helpData2->iteration2->view->displaySimpleFormEnd($helpData2->iteration2->view->getFormName());
?>
<?php
displayDivEnd();
echo "<h1>";
echo "Full example: iteration / stories / tasks";
echo "</h1>";
displayDivStart("text");
?>
Bellow is a full example of an iteration containing 3 stories, one containing 2 tasks, the other one none, and the last one is complete because it only contains one task that itself is complete, and two independant tasks.
<br/><br/>
Notice that the last task ends on <?=displayDate($helpData2->task2->endWeekDay, $helpData2->task2->endDateDay, $helpData2->task2->endDateMonth,$helpData2->task2->endDateYear)?> , which is <?=$helpData2->task2->outOfTime?> days later than iteration deadline which is <?=displayDate($helpData2->iteration2->deadlineWeekDay, $helpData2->iteration2->deadlineDay, $helpData2->iteration2->deadlineMonth,$helpData2->iteration2->deadlineYear)?>
<br/><br/>
<?php
$currentIteration = 1;
$helpData3->story1->containsModified = true;
$helpData3->iteration2->containsModified = true;
$helpData3->iteration2->view->display();
displayDivEnd();

include "Footer_help.inc.php";
?>
