<?php
$GLOBALS["gCurrentPath"] = "../";
$ptrrep = dir($GLOBALS["gCurrentPath"]);
chdir($ptrrep->path);

$pageTitle = "Help - "."Projects";
$GLOBALS["gThisPage"] = "Projects";

if (!isSet($FULL_HELP)) {
	include "Help/Help_commons.inc.php";
}

include "Section_include.inc.php";

$GLOBALS["gThisPage"] = "Projects";

// First help data for deletion
$helpData1 = & new HelpProjectsData(1);

// Second help data for full example
$helpData2 = & new HelpProjectsData(2);

if (!isSet($FULL_HELP)) {
	include "Help/Help_frame.inc.php";
}


displayDivStart("text");
?>
In the projects section, you can create, delete and modify projects you want to manage with <?=XPWEB_TITLE?>.
<br/>
<br/>
Depending on <span class="progCode">XP_CANT_SELECT_CANT_SEE_PROJECT</span> param in config file, it is possible that you do not see the projects you are not allowed to select.
<?php
echo "<h2>";
echo "A project";
echo "</h2>";
?>
A project is just described by a name and and a description, but it contains project links that are used in other sections of <?=XPWEB_TITLE?>.
<?php
echo "<h2>";
echo "Choose a current project - ";
?>
<img src="../View/images/ChooseProject.gif" alt="choose"/>
<?php
echo "</h2>";
?>
It is very important that a <em>current project</em> is selected.
<br/><br/>
All the sections of <?=XPWEB_TITLE?> except the Projects section work with one project only. You need to select a "current project" which means that all the other sections will refer to this project.
<br />
The current project name is displayed in the top navigation header.
<br/><br/>
To select a current project you must <span class="userAction">click on the <img src="../View/images/ChooseProject.gif" alt="choose"/> button</span> that appear to 
the right side of a project. (You must move your mouse on top of the project to see this button appear)
<br/><br/>
Once a project has been selected, this button should turn into a <img src="../View/images/WorkingProject.gif" alt="working"/>
<?php
echo "<h2>";
echo "Insert a project - ";
echoSpan("insert","insert");
echo "</h2>";
?>
There are two specificities when creating a project:
<ul>
	<li>
	The project is automatically selected as your current working project
	</li>
	<li>
	If you are logged in with a team member login, you are automatically <a class="helpLink" title="link to Team help" href="Team_help.php#affectation">affected</a> to the new project. 
	</li>
</ul>
<?php
echo "<h2>";
echo "Delete a project - ";
echoSpan("delete","delete");
echo "</h2>";
?>
When you decide to delete a project, you are presented with the following options:
<br /><br />
<?php
$helpData1->project1->view->displayConfirmDeleteStart();
$helpData1->project1->view->displayDeleteConfirm();
$helpData1->project1->view->displayConfirmDeleteEnd();
?>
<br /><br />
The first option allows you to move all the iterations, stories and tasks to another project. All the hierarchy between iterations, stories and tasks is maintained in the other project.
<br /><br />
The second option simply removes all the content of the project, excluding members which are just unaffected from this project.
<br /><br />
These two options can't be cancelled afterwards.
<br /><br />
You don't have these options if there is only one project available.
<?php
echo "<h2 id=\"configure\">";
echo "Configure a project - ";
echo "</h2>";
?>
You can configure the project with a few links that will be used in the other sections.
<br/>
<br/>
A configuration link in general is just a URL that will be used by <?=XPWEB_TITLE?>. This link has a name that makes it easier to apprehend, but is not necessary.
<br />
URLs can be relative paths of directories or unix links you have on the same server (like <?php echoSpan("progCode","\"projectFiles/doc\""); ?>) or web urls (like <?php echoSpan("progCode","\"http://myOtherServer/myProject/cvsweb\""); ?>).
<?php
displayDivStart("note");
?>
<br/>
Note that there shouldn't be any "/" at the end of a configuration link therefore any "/" would be removed from the end of a link when you submit it.
<?php
displayDivEnd();
?>
<ul>
<li>
<?php
newSectionStart("sectionNoColor", "cvs");
echo "CVS Link";
newSectionEnd();
?>
There is only one CVS link that will be used to access a cvs web interface.
<?=displayDivStart("important")?>
There is only one cvs link allowed
<?=displayDivEnd()?>
</li>
<li>
<?php
newSectionStart("sectionNoColor", "directory");
echo "Directory links";
newSectionEnd();
?>
These links are directories that will be opened and which content will be listed
in the <a href="Doc_help.php" class="helpLink" title="go to Doc help">doc section</a>.
All the hierarchy of these directories will be followed and contained documents will be available for download or open.
<?=displayDivStart("important")?>
It is only possible to choose LOCAL addresses for directories.
<?=displayDivEnd()?>
</li>
<li>
<?php
newSectionStart("sectionNoColor", "doc");
echo "Doc links";
newSectionEnd();
?>
As for the directory links, doc links will be listed in the doc section. The only difference is that these are links you want to point to directly (if you don't want to give access to all the documents in the directory, but only some specific documents).
</li>
<li>
<?php
newSectionStart("sectionNoColor", "javadoc");
echo "Javadoc links";
newSectionEnd();
?>
Javadoc documents are just documents which you know they contain javadoc html information. They will also be made available in the doc section.
</li>
<li>
<?php
newSectionStart("sectionNoColor", "modeling");
echo "Modeling links";
newSectionEnd();
?>
Same thing as for javadoc links. These are "modeling" links, like html UML diagrams.
</li>
<li>
<?php
newSectionStart("sectionNoColor", "test");
echo "Tests links";
newSectionEnd();
?>
Same thing again. Point to your unit tests' results.
</li>
</ul>
<?php
echo "<h2>";
echo "Exemple";
echo "</h2>";
?>
Here is a full exemple of a project and its configuration links:
<br/>
(notice the <img src="../View/images/ChooseProject.gif" alt="choose"/> button that should appear
 when your mouse moves above the project)
<br/>
<br/>
<?php

$helpData2->project1->containsModified = true;
$helpData2->project1->view->display(false, "Even", true);

displayDivEnd();

include "Footer_help.inc.php";
?>
