<?php
$GLOBALS["gCurrentPath"] = "../";
$ptrrep = dir($GLOBALS["gCurrentPath"]);
chdir($ptrrep->path);

$pageTitle = "Help - "."Team Members";
$GLOBALS["gThisPage"] = "Team";
include "Help/Help_commons.inc.php";

$GLOBALS["gThisPage"] = "Team";
if (!isSet($FULL_HELP)) {
	include "Help/Help_frame.inc.php";
}

displayDivStart("text");
?>
In the team section, you can create, delete and modify team members and affect or de-affect them from your current project.
<br/>
<br/>
This is also where authorized users can manage user profiles that describe users' rights. 
<?php
displayDivEnd();
echo "<h1>";
echo "Team members";
echo "</h1>";
displayDivStart("text");
echo "<h2>";
echo "Description";
echo "</h2>";
?>
A team member is described by a name a description, and a profile that gives him/her access rights.
<?php
echo "<h2>";
echo "Add a team member";
echo "</h2>";
?>
There are two ways of adding a new member to a team:
<ul>
<li>
<?php echoSpan("insert", getLang("create_memb")); ?><br/>
just creates a new member.
</li>
<li>
<?php echoSpan("insert", getLang("create_affect_memb_proj")); ?><br/>creates a new member and automatically affect it to your current project. Note that you can remove it from the project afterwards.
</li>
</ul>
<?php
echo "<h2>";
echo "Passwords";
echo "</h2>";
?>
Because team members need to log in, they need to choose a password. This password will have to respect a minimum size that has been set up in the <?=echoSpan("progCode","Config_local.inc.php")?> file. You'll have to type this password twice for security reasons.
<br/><br/>
If there is a problem with the password you entered (too short or you didn't type twice the same), the member is NOT created.
<br/>
Such a message should popup:

<div class="javascriptPopup">
<div class="javascriptPopup2">
<?=getLang("error_create_member")?>
<br/>
<em>[Here the specific error message]</em>
</div>
</div>

The same result will occur when modifying a team member's password: if there is a problem with the new password, the other fields describing the member (name...) ARE updated, but NOT the password.
The page reloads and such a message would be displayed:

<div class="javascriptPopup">
<div class="javascriptPopup2">
<?=getLang("error_update_member")?>
<br/>
<em>[Here the specific error message]</em>
</div>
</div>

<?=upgradeStart()?>
If you upgrade a version of <?=XPWEB_TITLE?> less than 2 (when there wasn't any authentication), existing team members are temporarily affected the default password that is set up in the config file.
Make sure that they change it as soon as possible!
<?=upgradeEnd()?>

<h2>"I'm logged in"</h2>
The currently logged user is displayed with a green note "I'm logged in".
<?php
displayDivEnd();
?>
<h1 id="affectation">
Affectations
</h1>
<?php
displayDivStart("text");
?>

The display of members is separated between the ones that are affected to your project and the ones that aren't.
<br/><br/>
You can move a team member in and out of the project by using
<img src="../View/images/AffectUser.gif" alt="add"/> and 
<img src="../View/images/RemoveUser.gif" alt="remove"/> buttons.
<br/><br/>
<ul>
	<li>
	A <img src="../View/images/AffectUser.gif" alt="add"/> should appear when you <span class="userAction">move your mouse over</span> a member
	that is not yet affected to the current project. <span class="userAction">Click this button</span> to add him/her to the project.
	</li>
	<li>
	A <img src="../View/images/RemoveUser.gif" alt="remove"/> should appear when you <span class="userAction">move your mouse over</span> a member
	that is allready affected to the current project. <span class="userAction">Click this button</span> to remove him/her from the project.
	</li>
</ul>

<br/>
Obviously, a member can be affected to as many projects as there are available.
<br /><br />
Note that when a member is removed from a project, all the tasks he has been made responsible for in the planning section aren't modified except that they don't have any responsible member anymore.
<br /><br />
The list of current affectations of a member is displayed below his description.

<?php
displayDivEnd();
echo "<h1 id=\"profiles\">";
echo "User profiles";
echo "</h1>";
displayDivStart("text");

echo "<h2>";
echo "What are user profiles?";
echo "</h2>";
?>
For a precise authentication management, <?=XPWEB_TITLE?> allows administrators to specify user profiles with specific rights.
<br />
<br />
Profiles are affected to team members.
<br /><br />
Note that it is not possible to specify rights for each team member but nothing prevents you from specifying a user profile per team member if you really need precise management!
<?php
echo "<h2>";
echo "Create profiles";
echo "</h2>";
?>
The creation of a user profile is specific in the sense that it's a "two step" action:
<ol>
	<li>
	Create the profile, giving a name and description
	<br/>
	<br/>
	The profile gets "Anonymous" rights affected by default.
	</li>
	<li>
	Modify its user rights
	</li>
</ol>	
<?php
echo "<h2>";
echo "Modify profiles' rights";
echo "</h2>";
?>
Each profile has a name and description, but what's important is what users with this profile will be allowed to see and do.
<br />
<br />
Rights are divided into many types.
<br/>
Each type can take many values.
<br/>
The most commons values are "<?php echoSpan("rightValue","no"); ?>", "<?php echoSpan("rightValue","all"); ?>", and "<?php echoSpan("rightValue","proj"); ?>".
<br />
<br />
The first type, "Section", describe how users can <span class="userAction">visualize</span> sections.
<div class="profile">
	<fieldset class="rights">
	<legend>Section</legend>
	Section are <?=XPWEB_TITLE?> sections
	(<?php echoSpan("userAction","home"); ?>, <?php echoSpan("userAction","config"); ?>,
	<?php echoSpan("userAction","projects"); ?>, <?php echoSpan("userAction","team"); ?>,
	<?php echoSpan("userAction","planning"); ?>, <?php echoSpan("userAction","calendar"); ?>,
	<?php echoSpan("userAction","reports"); ?>,
	<?php echoSpan("userAction","metaphor"); ?>,
	<?php echoSpan("userAction","doc"); ?>, <?php echoSpan("userAction","tests"); ?>,
	<?php echoSpan("userAction","cvs"); ?>, <?php echoSpan("userAction","links"); ?>).
	<br/><br/>
	There are also two more sections:
	<br/><br/>
	<ul>
		<li><?php echoSpan("userAction","Admin Configuration"); ?> is displayed at the bottom of the config section and deals with admin configuration (database re-init, etc). This should be kept for admin!
		<br/>
		<?php echoSpan("userAction","User Configuration"); ?> is the usual config page (language, etc)
		</li>
		<li>
		<?php echoSpan("userAction","User profiles"); ?> is part of the team section, that's the section we are talking about. It is probably useless for most users to be allowed to see this section...
		</li>
	</ul>
	<br/>
	Finally, sections <?php echoSpan("userAction","help"); ?> and <?php echoSpan("userAction","login"); ?> are allways allowed for all users...
	<br/>
	<br/>
	For each section different values influence in which conditions the user will be allowed to display them:
	
	<div class="rightSubType">
	<div class="leftHalf"></div>
	<div class="rightHalf">

	<ul>
		<li>
		<?php echoDiv("rightValue","no"); ?>The user will never be allowed to see the section and a message will tell him
		</li>
		<li>
		<?php echoDiv("rightValue","all"); ?>The user will allways be allowed to see the section
		</li>
		<li>
		<?php echoDiv("rightValue","proj"); ?>If applicable, the user will be allowed to display the section only if he is member of the current project.
		<br/>
		This is applicable for sections that depend on the current project.
		<br/>
		BUT: if <?php echoSpan("rightValue","proj"); ?> is chosen for <?php echoSpan("rightType","projects"); ?>, only the content of projects to which the user is affected will be displayed... (for other projects, the user will only be able to see title and description)
		</li>
	</ul>

	</div>
	</div>

	</fieldset>
<br/>
All the other types describe how users can <span class="userAction">interact</span> with items.
<br/>

	<fieldset class="rights">
	<legend>project</legend>
	
	This describes how users will be allowed to see and modify projects.

	<div class="rightSubType">
	<div class="leftHalf">select</div>
	<div class="rightHalf">
		<ul>
			<li><?php echoDiv("rightValue","no"); ?>The user cannot select a project (and therefore will never see any planning, metaphor, cvs...)
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can select any project
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only select a project he is a member of (he has been affected to).
			<br/>
			Depending on <span class="progCode">XP_CANT_SELECT_CANT_SEE_PROJECT</span> param in config file, this might also fix the visibility of projects in "Projects" section: if you can't select a project, it is not displayed at all.
			</li>
		</ul>
	</div>
	</div>

	<div class="rightSubType">
	<div class="leftHalf">modify</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot modify any project description or title
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can modify any project description or title
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only modify a project he is a member of.
			</li>
		</ul>
	</div>
	</div>

	<div class="rightSubType">
	<div class="leftHalf">delete</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot delete any project
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can delete any project (and linked data...)
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only delete a project he is a member of.
			</li>
		</ul>
	</div>
	</div>

	<div class="rightSubType">
	<div class="leftHalf">insert</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot create new projects
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can create new projects
			</li>
		</ul>
	</div>
	</div>


	</fieldset>
	<fieldset class="rights">
	<legend>projectLink</legend>

	Project links are the links you can specify in a project, to be used in sections cvs, test, doc. 

	<div class="rightSubType">
	<div class="leftHalf">modify</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot modify any projectLink description or title
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can modify any projectLink description or title
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only modify a projectLink of a project he is a member of.
			</li>
		</ul>
		
	</div>
	</div>

	<div class="rightSubType">
	<div class="leftHalf">delete</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot delete any projectLink
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can delete any projectLink
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only delete a projectLink of a project he is a member of.
			</li>
		</ul>
		
	</div>
	</div>

	<div class="rightSubType">
	<div class="leftHalf">insert</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot create new projectLinks
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can create new projectLinks anywhere
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only create new projectLinks in a project he is a member of.
			</li>
		</ul>
	</div>
	</div>

	</fieldset>
	<fieldset class="rights">
	<legend>profile</legend>
	It is recommended to allow only administrators or coaches to modify/delete profiles 
	

	<div class="rightSubType">
	<div class="leftHalf">modify</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot modify any user profile
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can modify any user profile
			</li>
		</ul>
		<div id="defaultProfileRights" class="important">Profile "Administrator" cannot be modified (always "all") for security reasons.</div>
		<div class="important">Other "default" profiles cannot have title or description modified...</div>
		
	</div>
	</div>

	<div class="rightSubType">
	<div class="leftHalf">delete</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot delete any user profile
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can delete any user profile
			</li>
		</ul>
		<div class="important">Default profiles "Administrator", "Anonymous", "Developper" and "Coach" cannot be deleted, whatever the user.</div>
		
	</div>
	</div>

	<div class="rightSubType">
	<div class="leftHalf">insert</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot create new user profiles
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can create new user profiles
			</li>
		</ul>
	</div>
	</div>

	</fieldset>

	<fieldset class="rights">
	<legend>member</legend>
	
	<div class="rightSubType">
	<div class="leftHalf">Affect to a project</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot affect any member to any project
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can affect any member to any project
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only affect members to projects he is a member of.
			</li>
			<li>
			<?php echoDiv("rightValue","me"); ?>The user can only affect himself to projects
			</li>
		</ul>
	</div>
	</div>

	<div class="rightSubType">
	<div class="leftHalf">modify</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot modify any member
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can modify any member
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only modify members of a project he is a member of.
			</li>
			<li>
			<?php echoDiv("rightValue","me"); ?>The user can only modify his information
			</li>
		</ul>
		
	</div>
	</div>

	<div class="rightSubType">
	<div class="leftHalf">Change password</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot change the password of any member
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can change the password of any member
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only change the password of members of a project he is a member of.
			</li>
			<li>
			<?php echoDiv("rightValue","me"); ?>The user can only change his password
			</li>
		</ul>
		
	</div>
	</div>

	<div class="rightSubType">
	<div class="leftHalf">Change user profile</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot change the user profile of any member
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can change the user profile of any member
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only change the user profile of members of a project he is a member of.
			</li>
			<li>
			<?php echoDiv("rightValue","me"); ?>The user can only change his user profile (not recommended)
			</li>
		</ul>
		
	</div>
	</div>

	<div class="rightSubType">
	<div class="leftHalf">delete</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot delete any member
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can delete any member
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only delete members of a project he is a member of.
			</li>
			<li>
			<?php echoDiv("rightValue","me"); ?>The user can only delete himself (suicide??)
			</li>
		</ul>
		
	</div>
	</div>

	<div class="rightSubType">
	<div class="leftHalf">insert</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot create any member
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can create members
			</li>
		</ul>
	</div>
	</div>

	</fieldset>


	<fieldset class="rights">
	<legend>iteration</legend>
	
		
	<div class="rightSubType">
	<div class="leftHalf">modify</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot modify any iteration
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can modify any iteration
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only modify iterations from a project he is a member of.
			</li>
		</ul>
		
	</div>
	</div>

	<div class="rightSubType">
	<div class="leftHalf">delete</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot delete any iteration
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can delete any iteration
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only delete iterations from a project he is a member of.
			</li>
		</ul>
		
	</div>
	</div>

	<div class="rightSubType">
	<div class="leftHalf">insert</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot insert any iteration
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can insert any iteration anywhere
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only insert iterations in a project he is a member of.
			</li>
		</ul>
		
	</div>
	</div>

	</fieldset>


	<fieldset class="rights">
	<legend>story</legend>
	
	<div class="rightSubType">
	<div class="leftHalf">modify</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot modify any story
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can modify any story
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only modify stories from a project he is a member of.
			</li>
		</ul>
		
	</div>
	</div>

	<div class="rightSubType">
	<div class="leftHalf">delete</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot delete any story
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can delete any story
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only delete stories from a project he is a member of.
			</li>
		</ul>
		
	</div>
	</div>

	<div class="rightSubType">
	<div class="leftHalf">insert</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot insert any story
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can insert any story anywhere
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only insert stories in a project he is a member of.
			</li>
		</ul>
		
	</div>
	</div>

	</fieldset>


	<fieldset class="rights">
	<legend>task</legend>
	

	<div class="rightSubType">
	<div class="leftHalf">modify</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot modify any task
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can modify any task
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only modify tasks from a project he is a member of.
			</li>
			<li>
			<?php echoDiv("rightValue","my"); ?>The user can only modify tasks he is responsible for.
			</li>
		</ul>
		
	</div>
	</div>

	<div class="rightSubType">
	<div class="leftHalf">delete</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot delete any task
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can delete any task
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only delete tasks from a project he is a member of.
			</li>
			<li>
			<?php echoDiv("rightValue","my"); ?>The user can only delete tasks he is responsible for.
			</li>
		</ul>
		
	</div>
	</div>

	<div class="rightSubType">
	<div class="leftHalf">insert</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot insert any task
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can insert any task anywhere
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only insert tasks in a project he is a member of.
			</li>
			<li>
			<?php echoDiv("rightValue","my"); ?>The user can create tasks, but he will necessarily be responsible for it.
			</li>
		</ul>
		
	</div>
	</div>

	</fieldset>


	<fieldset class="rights">
	<legend>metaphorWord</legend>

	<div class="rightSubType">
	<div class="leftHalf">modify</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot modify any word
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can modify any word
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only modify words from a project he is a member of.
			</li>
		</ul>
		
	</div>
	</div>

	<div class="rightSubType">
	<div class="leftHalf">delete</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot delete any word
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can delete any word
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only delete words from a project he is a member of.
			</li>
		</ul>
		
	</div>
	</div>

	<div class="rightSubType">
	<div class="leftHalf">insert</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot insert any word
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can insert any word anywhere
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only insert words in a project he is a member of.
			</li>
		</ul>
		
	</div>
	</div>

	</fieldset>



	<fieldset class="rights">
	<legend>webLink</legend>
	

	<div class="rightSubType">
	<div class="leftHalf">insert</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot modify any webLink
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can modify any webLink
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only modify webLinks from a project he is a member of.
			</li>
		</ul>
		
	</div>
	</div>

	<div class="rightSubType">
	<div class="leftHalf">delete</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot delete any webLink
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can delete any webLink
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only delete webLinks from a project he is a member of.
			</li>
		</ul>
		
	</div>
	</div>

	<div class="rightSubType">
	<div class="leftHalf">insert</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot insert any webLink
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can insert any webLink anywhere
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only insert webLinks in a project he is a member of.
			</li>
		</ul>
		
	</div>
	</div>

	</fieldset>


	<fieldset class="rights">
	<legend>webCategory</legend>
		
	<div class="rightSubType">
	<div class="leftHalf">modify</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot modify any webCategory
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can modify any webCategory
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only modify webCategories from a project he is a member of.
			</li>
		</ul>
		
	</div>
	</div>

	<div class="rightSubType">
	<div class="leftHalf">delete</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot delete any webCategory
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can delete any webCategory
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only delete webCategories from a project he is a member of.
			</li>
		</ul>
		
	</div>
	</div>

	<div class="rightSubType">
	<div class="leftHalf">insert</div>
	<div class="rightHalf">
		<ul>
			<li>
			<?php echoDiv("rightValue","no"); ?>The user cannot insert any webCategory
			</li>
			<li>
			<?php echoDiv("rightValue","all"); ?>The user can insert any webCategory anywhere
			</li>
			<li>
			<?php echoDiv("rightValue","proj"); ?>The user can only insert webCategories in a project he is a member of.
			</li>
		</ul>
	</div>
	</div>

	</fieldset>

</div>
<?=echoSpan("error","NOTE")?> about deleting tasks, stories and iterations:
	<br/>
	<br/>
	When a user is allowed to delete a specific story, he will be allowed to delete included tasks, no matter what has been set in the user profile about deleting tasks.
	<br/>
	Same remark for stories and tasks included in an iteration...
<?php
displayDivEnd();

include "Footer_help.inc.php";
?>
