<?php
$GLOBALS["gCurrentPath"] = "../";
$ptrrep = dir($GLOBALS["gCurrentPath"]);
chdir($ptrrep->path);

$switch = @$_POST["switch"];

$GLOBALS["gThisPage"] = "index";
$pageTitle = "Home";

include "Help/Help_commons.inc.php";

// First help data for tasks

$helpData1 = & new HelpPlanningData(1);
$helpData2 = & new HelpPlanningData(2);
$helpData3 = & new HelpPlanningData(3);

$helpData2->story1->iterationId = 0;
$helpData2->story2->iterationId = 0;
$helpData2->story3->iterationId = 0;

$helpData2->planning->addStory($helpData2->story1);
$helpData2->planning->addStory($helpData2->story2);
$helpData2->planning->addStory($helpData2->story3);

//***************************************************************************

$onLoadText = "";

if (!$gIsModifyItem) {
	
	// Task 05
	$frmName = $helpData3->task3->view->getFormName();
	$onLoadText .= "focTask('$frmName');";
	
	// Story delete
	$delSto1formName = $helpData3->story1->view->getFormName();
	$onLoadText .= "focDelStory('$delSto1formName');";
	
}

$GLOBALS["gThisPage"] = "Help";
$pageTitle = "help";

if (!isSet($FULL_HELP)) {
	include "Help/Help_frame.inc.php";
}

$helpData3->planning->view->displayInsertInit();
$helpData3->planning->view->hiddenDefaultValues();

function displayExample($patternExample, $patternResult) {
	?>
	<div class="example">
	<div class="exTitle">
	Example
	</div>
	<div class="exContent">
	<?=echoSpan("progCode", $patternExample)?>
	<div class="exSep">
	... becomes
	</div>
	<?=$patternResult?>
	</div>
	</div>
	<?php
}


displayDivStart("text");
?>
Welcome to the help section. These pages somehow contain both documentation and help about <?=XPWEB_TITLE?>.
<br/>
<?php
displayDivEnd();
echo "<h1>";
echo "General help";
echo "</h1>";
displayDivStart("text");

echo "<h2>";
echo "Important";
echo "</h2>";
?>
<ul>
	<li>
	Surprised to see some links or actions are not available? Read about <?=getLink("helpLink", "login", "Login_help.php#forbidden")?>.
	</li>
	<li>
	Can't export to XML? There might be an explanation <?=getLink("helpLink", "here", "#xml")?>.
	</li>
</ul>
<?php
echo "<h2>";
echo "Navigation";
echo "</h2>";
?>
Navigation through <?=XPWEB_TITLE?> sections is made with links at the top of each section.
<ul>
	<li>
	The links at the very top of the navigation bar link to sections that don't really depend on a project.
	</li>
	<li>
	Just below is the project you have selected as being your "working project".
	</li>
	<li>
	Links that are below the project name depend on the project you have selected. These sections
	will not be available until you select a project.
	</li>
	<li>
	Other sections are:
		<ul>
			<li>
			Home (at the very left)
			</li>
			<li>
			Help (you managed to end up here ;-)<br/>
			By default, the Help link brings you to help related to the current section.
			</li>
			<li>
				Login: just below the help link.
				<br/>
				Displays the current logged user if any.
			</li>
		</ul>
	</li>

</ul>
The current section is emphasized with white background.
<?php
echo "<h2>";
echo "Version check";
echo "</h2>";
?>
To check if you are running the latest version of <?=XPWEB_TITLE?>, just visit home section and click on the link below <?=XPWEB_TITLE?> logo.
<br/>You might also have configured it to check automatically if a new version is available, when you log in as admin.
<?php
echo "<h2 id=\"print\">";
echo "Print display";
echo "</h2>";
?>
Most sections of <?=XPWEB_TITLE?> can be displayed in a lightweight version.
<br /><br />
Click on the <img src="../View/images/print.gif" alt="print"/> button to popup a print view of the section
where you might be prompted to choose parameters.
<br />
<br />
Note that print displays have been made the lightest possible, so it is not possible to modify or insert items.
<br />
Also, the "print" button at the top will directly print the page, but <span class="important">does not appear on the printed page</span>...
<br/><br/>
The print button only appears whe a specific print display is available.

<h2 id="xml">XML</h2>
Most sections of <?=XPWEB_TITLE?> provide an XML export.
<br /><br />
Clicking the <img src="../View/images/xml.gif" alt="xml"/> button brings you directly to the XML version of
the page.
<br /><br />
This button:
<ul>
	<li>
	does not appear on some sections where XML is not available (example: Home, Doc).
	</li>
	<li>
	turns to grey <img src="../View/images/xml-g.gif" alt="xml"/> if you are running <?=XPWEB_TITLE?> on PHP 4.x or less.<br/>
	<span class="important">XML export is only supported on PHP 5.x or more</span>.
	</li>
</ul>

<h2>
Skins, themes
</h2>
There no full skins or themes support for <?=XPWEB_TITLE?>.
<br/><br/>
But because it uses <?=echoSpan("important", "CSS")?> it is possible to define your own stylesheet and "customize" it.
<br/><br/>
To <?=echoSpan("important", "override")?> or <?=echoSpan("important", "modify")?> existing style classes you just need
to create your own <?=echoSpan("progCode", "XPWeb_local.css")?> file and place it in <?=echoSpan("progCode", "/XPWeb/View/style/")?> directory.
<br/><br/>
You can also apply <?=echoSpan("important", "XSL stylesheet")?> to the XML output... be imaginative!
<?php
displayDivEnd();
echo "<h1>";
echo "XP items";
echo "</h1>";
displayDivStart("text");
?>

<h2>Display of an item</h2>

<?=XPWEB_TITLE?> items are stories, metaphor words, links, projects, members, etc.
<br/><br/>
Items are based on a type, an id, and most of the time a description.
<br/>
The header of an item displays its title and id.
<br/>
The title and description (in grey italic) are displayed in the main area.
<br/>
Most of the items can be modified or deleted. The <?=echoSpan("modify", getLang("modify"))?> / <?=echoSpan("delete", getLang("delete"))?> links appear at the bottom of the item.
On good web browsers, these links appear only when you move the mouse over it.
<br/>
<br/>
Example of a task (<span class="userAction">move your mouse</span> on the item if you don't see <?=echoSpan("modify", getLang("modify"))?> / <?=echoSpan("delete", getLang("delete"))?> links)
<br/><br/>
<?php
$helpData3->task4->view->display();
?>
<br/><br/>
On this example, the item also displays start and end date, weight in terms of ideal days, responsible member,
and theory and actual completion.
<h2 id="mini"><img alt="mini" src="../View/images/All_maxi.gif"/>&nbsp;Mini / maxi an item</h2>
Any item can be "minimized" by clicking on its header.
<br/><br/>
You can try yourself by <span class="userAction">clicking on the blue header</span> on the previous example task,
and the task will be reduced to its title and completion.
<br /><br />
<span class="userAction">Clicking again anywhere on the "minimized" item</span> makes it "re-maximized"...

<h2><img alt="close" src="../View/images/All_Closed.gif"/>Open / close an item</h2>

Some items <em>contain</em> other items.
<br/><br/>
These items "with included items" can be open / closed, which means to show / hide included items.
<br/>
This is made by clicking on the <img src="../View/images/Closed.gif" alt="open"/> button.
<br/><br/>
You can try it by <span class="userAction">clicking the <img src="../View/images/Closed.gif" alt="open"/> button</span>
on the following story that contains 2 tasks:
<br/><br/>
<?php
$helpData1->story1->view->display();
?>
<br/>
<span class="userAction">Clicking the <img src="../View/images/Open.gif" alt="close"/> button</span> again will close the story...
<h2 id="miniAll">Mini / maxi / open / close all items of a list</h2>
When a list of items is displayed, it is possible to "minimize" / "maximize" many of them at a time.
<br/>
This is done by simply checking the items that you want to minimize or maximize, and clicking the
"<?=echoSpan("smallCode", getLang("mini_all"))?>" or "<?=echoSpan("smallCode", getLang("maxi_all"))?>" button.
<br/><br/>
It is possible to select / unselect all items by checking / unchecking the checkbox beside these buttons.
<br/>
Only the checked items will be affected by your action.
<br/><br/>
If the list contains items that can be opened, then there are
"<?=echoSpan("smallCode", getLang("open_all"))?>" and "<?=echoSpan("smallCode", getLang("close_all"))?>" buttons too.
<br/><br/>
On the above example, a list of stories:
<ul>
<li><span class="userAction">Click the <img src="../View/images/All_mini-g.gif" alt="mini"/> button</span>
to minimize all the stories
you have checked.
</li>
<li><span class="userAction">Click the <img src="../View/images/All_maxi-g.gif" alt="maxi"/> button</span>
 to re-maximize them.
</li>
<li><span class="userAction">Click the <img src="../View/images/All_Open-g.gif" alt="open"/> button</span>
 to close them.
</li>
<li><span class="userAction">Click the <img src="../View/images/All_Closed-g.gif" alt="close"/> button</span>
 to open them.
Note that if a story was "minimized" and you choose to open it, it will be maximized before to be opened.
</li>
</ul>
<?php
$helpData2->planning->view->displaySimpleIncludedType("story");
?>
<br/><br/>
Note that the button bar and checkboxes <span class="important">don't appear when printed</span>.

<?php
echo "<h2>";
echo "Create a new item";
echo "</h2>";
?>
New items can be created by clicking on <?php echoSpan("insert", getLang("insert")); ?> links
<br /><br />
For instance, <span class="userAction">click on the <?php echoSpan("insert", getLang("ins_task")); ?></span> link below:
<br /><br />
<?php
$helpData3->planning->view->displayAddIncluded("task");
?>
<br />
You must then input all the necessary information in the layer that appears to create the item.
<ul>
<li>
Hitting <?php echoSpan("cancel", getLang("cancel")); ?> just closes the frame,
</li>
<li>Hitting <?php echoSpan("ok", getLang("ok")); ?> creates the new item. The page gets reloaded and focus goes to the new item.
</li>
</ul>
Note: on good web browsers, the rest of the page becomes brighter (but not on this example).
<?php
echo "<h2>";
echo "Modify an item";
echo "</h2>";
?>
Items usually have two links, <?php echoSpan("modify", getLang("modify")); ?> and <?php echoSpan("delete", getLang("delete")); ?>.
<br /><br />
When a <?php echoSpan("modify", getLang("modify")); ?> link is hit, the "normal" display of the item disappears and all the fields are now inputable.
<br /><br />
For instance, a click on <?php echoSpan("modify", getLang("modify")); ?> in the frame of an existing task makes a window like this one appear:
<br /><br />
<?php

$helpData3->task3->view->displayModify();
?>
<br />
Where you can modify all fields.
<br />
Note that in this case you can also move the story.
<ul>
<li>
Hitting <?php echoSpan("cancel", getLang("cancel")); ?> just closes the frame, the item keeps unmodified.
</li>
<li>Hitting <?php echoSpan("ok", getLang("ok")); ?> updates the item. The page is reloaded and the focus goes to the modified item.
</li>
</ul>
<?php
echo "<h2>";
echo "Delete an entity";
echo "</h2>";
?>
When <?php echoSpan("delete","delete"); ?> is hit, a confirmation message such as this one is displayed:
<br /><br />
<?php
$helpData3->task4->view->displayConfirmDeleteStart();
$helpData3->task4->view->displayAreYouSure();
$helpData3->task4->view->displayConfirmDeleteEnd();
?>
<br /><br />
In some situations different actions can be taken before the entity is removed, like when you want to delete a story:
<br /><br />
<?php
$helpData3->story1->view->displaySimpleFormStart($delSto1formName);
$helpData3->story1->view->displayConfirmDeleteStart();
$helpData3->story1->view->displayDeleteConfirm();
$helpData3->story1->view->displayConfirmDeleteEnd();
$helpData3->story1->view->displaySimpleFormEnd($helpData3->story1->view->getFormName());
?>
<br /><br />
In either case, the actual deletion is done only when <?=echoSpan("ok","ok")?> is hit.


</div>
<h1 id="patternsHelp">
Text patterns, wiki integration.
</h1>

<div class="text">
Regular expression patterns can be used when inputing a description for an item.
These patterns are used to transform the displayed text.
<br/>
<br/>
Items are: projects, team members, user profiles, iterations, stories, tasks, metaphor words,
web links and categories.
<br/>
<br/>

<h2>
Using defined patterns
</h2>

Regular users should only worry about using patterns.
<br/>
<br/>
When focusing on a description input the list of avaible patterns is displayed.
<br/>
Patterns are just listed with their short description.
<br/>
For instance, <span class="pattern">something{<span class="patWord"><?=getLang("a_phrase")?></span>}</span>
means that <?=echoSpan("progCode", "something{word}")?> and <?=echoSpan("progCode", "something{a phrase}")?> will be matched.
<br/>
<br/>
What replacement will be done should be explained by your administrator.
<br/>
However some patterns are already defined by default when <?=XPWEB_TITLE?> is installed.
<br/>
<br/>

<ul>
	<li>
	<span class="patWord">WikiWikiWord</span> (<a href="http://wiki.org/wiki.cgi?WhatIsWiki" class="external">what is wiki?</a>)
	<br/>
	(Uppercase followed by one or more lowercase/number, repeated at least twice)
	<br/><br/>
	=> a link to your wiki
	<br/>
	<?php
	$patternExample1 = "SomeWord and SomeOtherWord";
	$patternResult1 = getHyperDescription($patternExample1);
	?>
	<?=displayExample($patternExample1, $patternResult1)?>
	</li>

	<li>
	<span class="pattern">{<span class="patWord"><?=getLang("a_phrase")?></span>}</span>
	<br/>
	(any phrase between "{" and "}")
	<br/><br/>
	=> a link to the metaphor section - see <a href="Metaphor_help.php#hyper" class="helpLink">here</a> for details
	<br/>
	<?php
	$patternExample2 = "{this is a phrase}";
	$patternResult2 = getHyperDescription($patternExample2);
	?>
	<?=displayExample($patternExample2, $patternResult2)?>
	</li>

	<li>
	<span class="pattern">google{<span class="patWord"><?=getLang("a_phrase")?></span>}</span>
	<br/>
	(any phrase between "{" and "}" following "google")
	<br/>
	<br/>
	=> a link to search on Google
	<br/>
	<?php
	$patternExample3 = "google{sourceforge manage eXtreme Programming}";
	$patternResult3 = getHyperDescription($patternExample3);
	?>
	<?=displayExample($patternExample3, $patternResult3)?>
	</li>
</ul>

<h2>
Modifying / adding patterns
</h2>

Patterns are defined in the Config file.
<br/>
You can have a look at <?=echoSpan("progCode", "Config.inc.php")?> file for example but remember if you want
to add some pattern or modify an existing one (such as the metaphor one)
edit you own <?=echoSpan("progCode", "Config_local.inc.php")?>
<br/><br/>
Instructions are available in <?=echoSpan("progCode", "Config.inc.php")?> but here's a quick description of how it
works:
<br/><br/>
<ul>
	<li>
	Patterns just use well-known (by programmers mostly ;-) <?=echoSpan("important", "regular expressions")?>.
	<br/>
	<br/>
	That means if you know regular expressions well you can fully describe your own patterns.
	<br/>
	<br/>
	For instance these lines in the config file might be a good "url pattern":
	<br/>
	<br/>
	<div class="progCode">
addPattern("url",<br/>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"A basic url",<br/>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"url:(\b[^\s]+\b)\[(\b[\w\s]+\b)\]",<br/>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"&lt;a class=\"external\" href=\"\${1}\" title=\"\${2}\"&gt;\${2}&lt;/a&gt;",<br/>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"\${2} (url:\${1})",<br/>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;XP_PATTERN_SPECIFIC);
	</div>
	<br/>
	<?php
	$patternExample4 = "url:http://sourceforge.net/donate/index.php?group_id=65370[help us]";
	$zoub4[] = "/url:(\b[^\s]+\b)\[".XP_PHRASE_REPLACE."\]/";
	$zlub4[] = "<a class=\"external\" href=\"\${1}\" title=\"\${2}\">\${2}</a>";
	$patternResult4 = preg_replace($zoub4, $zlub4, $patternExample4);
	?>
	<?=displayExample($patternExample4, $patternResult4)?>
	</li>
	<li>
	For people who don't know regular expressions but still want to use -simple, limited- patterns,
	a few "special words" and constants are available.
	<br/>
	<ul>
		<li>
		Using <?=echoSpan("progCode", "_phrase_")?> in the pattern match or replacement will look for any phrase
		(list of words separated by spaces).
		</li>
		<li>
		The last parameter can take the following values:
		<ul>
			<li><?=echoSpan("progCode", "XP_PATTERN_LINK_TO_POPUP")?>: a "popup" window similar to the old "metaphor" window will show up.</li>
			<li><?=echoSpan("progCode", "XP_PATTERN_LINK_TO_SELF")?>: the link will be opened in the current window</li>
			<li><?=echoSpan("progCode", "XP_PATTERN_LINK_TO_NEW_WINDOW")?>: the link will be opened in a new full sized window</li>
			<li><?=echoSpan("progCode", "XP_PATTERN_SPECIFIC")?>: no modification is made to your replacement pattern</li>
		</ul>
		For these values except the last one the "replacement pattern" (previous parameter)
		actually describes the <?=echoSpan("important", "URL")?> that will be
		followed by XPWeb.
		<br/>
		Also, the first parameter will be used as the CSS class name.
		</li>
	</ul>
	</li>
</ul>
<br/>
A few more examples:
<ul>
	<li>
		Emphasize text between "*" and "*"
		<br/>
		<br/>
		<div class="progCode">
addPattern("emphasize",
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"Emphasize text",
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"\*_phrase_\*",
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"&lt;span class=\"important\"&gt;_phrase_&lt;/span&gt;",
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"&lt;em&gt;_phrase_&lt;/em&gt;",
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;XP_PATTERN_SPECIFIC);
		</div>
		<br/>
		<?php
		$patternExample5 = "*a test*";
		$zoub5[] = "/\*".XP_PHRASE_REPLACE."\*/";
		$zlub5[] = "<span class=\"important\">\${1}</span>";
		$patternResult5 = preg_replace($zoub5, $zlub5, $patternExample5);
		?>
		<?=displayExample($patternExample5, $patternResult5)?>
	</li>
	<li>
		Set links to user description in a new window (ids must be used):
		<br/>
		<br/>
		<div class="progCode">
addPattern("userLink",
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"User link",
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"user{_phrase_}",
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"Team.php#member__phrase_", // notice the double "_" => it's member_ + _phrase_
<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;XP_PATTERN_LINK_TO_NEW_WINDOW);
		</div>
		<br/>
		<?php
		$patternExample6 = "user xxx [user{1}]";
		$zoub6[] = "/user{".XP_PHRASE_REPLACE."}/";
		$zlub6[] = "<a title=\"User link\" class=\"userLink\" href=\"../Team.php#member_\${1}\" target=\"_blank\">\${1}</a>";
		$patternResult6 = preg_replace($zoub6, $zlub6, $patternExample6);
		?>
		<?=displayExample($patternExample6, $patternResult6)?>
	</li>
</ul>
<h2>
XML output
</h2>
What should be done with a description when it gets exported to <?=echoSpan("important", "xml")?>?
<br/>
The default behaviour is to strip the patterns and just keep the matches.
<br/>
But this is defined as another pattern that can be changed too.
<br/>
<br/>
Here are the results of the previous examples beeing exported to xml:
<ul>
	<li>
	<?=displayExample($patternExample1, getStrippedDescription($patternExample1))?>
	</li>
	<li>
	<?=displayExample($patternExample2, getStrippedDescription($patternExample2))?>
	</li>
	<li>
	<?=displayExample($patternExample3, getStrippedDescription($patternExample3))?>
	</li>
	<li>
	<?php
	$glouch4[] = "\${2} (url:\${1})";
	?>
	<?=displayExample($patternExample4, preg_replace($zoub4, $glouch4, $patternExample4))?>
	</li>
	<li>
	<?php
	$glouch5[] = "<em>\${1}</em>";
	?>
	<?=displayExample($patternExample5, preg_replace($zoub5, $glouch5, $patternExample5))?>
	</li>
	<li>
	<?php
	$glouch6[] = "user \${1}";
	?>
	<?=displayExample($patternExample6, preg_replace($zoub6, $glouch6, $patternExample6))?>
	</li>
</ul>
More information at <a href="http://php.net/manual/function.preg-replace.php" class="external">php.net</a>
<br/>
<br/>
We'd be very happy to receive your own patterns and maybe include them in future versions.
<a class="external" href="http://xpweb.sourceforge.net/dev.php">Contact us</a>!!
<?php
displayDivEnd();
echo "<h1>";
echo "Quick tutorial";
echo "</h1>";
displayDivStart("text");
?>
<?php
echo "<h2>";
echo "Install ";
displayXPWebTitle();
echo "</h2>";
?>
<ul>
<li>Please check the included ReadMe file for installation / upgrading instructions.
</li>
<li>Once it is up and running, here is what you should do:
</li>
</ul>
<?php
echo "<h2>";
echo "Start playing with ";
displayXPWebTitle();
echo "</h2>";
?>
<?=upgradeStart()?>
Follow these steps only if this is the first time you install <?=XPWEB_TITLE?>.
<?=upgradeEnd()?>
<ol>
	<li>
	<span class="userAction">Login with admin password</span> in the Login section.
	</li>	
	<li>
	<span class="userAction">Create team members</span> in the Team section.
	</li>
	<li>
	Set up <span class="userAction">access rights profiles</span> and affect them to members.
	<br/>
	Make sure you have one or more coaches or such members who will have rights to create and modify projects.
	</li>
	<li>
	<span class="userAction">Log out</span> from admin login.
	</li>
</ol>
<?php
echo "<h2>";
echo "Keep playing with ";
displayXPWebTitle();
echo "</h2>";
?>
Now let's say you have done the basic admin tasks.
<br/>
Different situtations:
<ul>
	<li>
	You are more like a <em>project manager</em>:
	<ol>
		<li>
		<span class="userAction">Log in</span> with your member name in the Login section.
		</li>
		<li>
		Create new <span class="userAction">projects</span> in the Project section.
		</li>
		<li>
		Add / modify <span class="userAction">project links</span> in the Project section.
		</li>
		<li>
		<span class="userAction">Affect</span> team members to projects in the Team section.
		</li>
	</ol>
	</li>
	<li>
	You are more like a <em>developper</em>:
	<ol>
		<li>
		<span class="userAction">Log in</span> with your member name in the Login section.
		</li>
		<li>
		Play the <span class="userAction">planning game</span> in the Planning section.
		</li>
		<li>
		Look for feedback in the <span class="userAction">Reports</span> section
		</li>
		<li>
		Update the <span class="userAction">metaphor</span> in the Metaphor section.
		</li>
		<li>
		Add / modify <span class="userAction">web links</span> in the Links section.
		</li>
		<li>
		Display <span class="userAction">documents, cvs, test results</span>.
		</li>
	</ol>
	</li>
	<li>
	You are more like a <em>"visitor"</em>:
	<ol>
		<li>
		<span class="userAction">Browse with anonymous login</span>, and, depending on your rights:
		</li>
		<li>
		<span class="userAction">Display</span> planning in the Planning section
		</li>
		<li>
		<span class="userAction">Look</span> how the project is going on in the Reports section
		</li>
		<li>
		<span class="userAction">Display</span> the metaphor in the Metaphor section.
		</li>
		<li>
		<span class="userAction">Display</span> documents, cvs, test results.
		</li>
	</ol>
	</li>
</ul>
<?php

displayDivEnd();

include "Footer_help.inc.php";
?>

