<?php

if (!function_exists('defineOnce')) {
    function defineOnce($varName, $varValue) {
    	if (!defined($varName)) {
    		define($varName, $varValue);
    	}
    }
}


defineOnce("XP_PATTERN_LINK_TO_POPUP",		"popup");
defineOnce("XP_PATTERN_LINK_TO_SELF",		"self");
defineOnce("XP_PATTERN_LINK_TO_NEW_WINDOW",	"new");
defineOnce("XP_PATTERN_SPECIFIC",			"spec");


defineOnce("XP_METAPHORWORD_NAME",	"protected_section_name1_metaphorWord");
defineOnce("XP_WIKI_NAME",			"wiki_definition");
defineOnce("XP_GOOGLE_NAME",		"google_search");

defineOnce("XP_WIKI_PATTERN",	"\b([A-Z][a-z]+[A-Z][a-z]+([A-Z][a-z]+)*)\b");
defineOnce("XP_PHRASE_REPLACE",	"(\b[\w\s]+\b)");


defineOnce("ORDERBY_ID",		"|id|");
defineOnce("ORDERBY_TITLE",		"|title|");
defineOnce("ORDERBY_RISK",		"|risk|");
defineOnce("ORDERBY_WEIGHT",	"|weight|");
defineOnce("ORDERBY_PRIORITY",	"|priority|");

if (!class_exists("XPPattern")) {
	class XPPattern {
		var $patternName;
		var $patternLongName;
		var $pattern;
		var $patternReplace;
		var $patternSimple;
		var $patternTarget;

		function XPPattern() {}
	}
}

$gPatterns = array();

if (!function_exists("addPattern")) {
    function addPattern(
		$patternName,
		$patternLongName,
		$pattern,
		$patternReplace,
		$patternSimple,
		$patternTarget = XP_PATTERN_LINK_TO_POPUP) {

		global $gPatterns;

		if (!array_key_exists($pattern, $gPatterns)) {
			// Avoid duplicates

			$patternObj = & new XPPattern();

			$patternObj->patternName		= $patternName;
			$patternObj->patternLongName		= $patternLongName;
			$patternObj->pattern			= $pattern;
			$patternObj->patternReplace		= $patternReplace;
			$patternObj->patternSimple		= $patternSimple;
			$patternObj->patternTarget		= $patternTarget; 

			$gPatterns[$pattern] = $patternObj;
		}

    }
}

if (file_exists(dirname(__FILE__)."/Config_local.inc.php")) {
    include("Config_local.inc.php");
}
include "Config.inc.php";

// Build up all the needed arrays

$XP_EVERY_YEAR_HOLIDAYS = array();
$holidays = explode(",",XP_EVERY_YEAR_HOLIDAYS);
for ($i = 0; $i < count($holidays); $i++) {
    $XP_EVERY_YEAR_HOLIDAYS[$holidays[$i]] = true;
}
$specific_holidays = explode(",",XP_SPECIFIC_HOLIDAYS);
for ($i = 0; $i < count($specific_holidays); $i++) {
    $XP_SPECIFIC_HOLIDAYS[$specific_holidays[$i]] = true;
}

$XP_DEFAULT_ITERATION_WORKING_PACE	= array(
	// Monday
	"Mon" => XP_MONDAY_WORK?1:0,
	// Tuesday
	"Tue" => XP_TUESDAY_WORK?1:0,
	// Wednesday
	"Wed" => XP_WEDNESDAY_WORK?1:0,
	// Thursday
	"Thu" => XP_THURSDAY_WORK?1:0,
	// Friday
	"Fri" => XP_FRIDAY_WORK?1:0,
	// Saturday
	"Sat" => XP_SATURDAY_WORK?1:0,
	// Sunday
	"Sun" => XP_SUNDAY_WORK?1:0
);

defineOnce("XP_PROTOCOL", XP_SECURE_SUBMIT?"https":"http");

?>
