<?php

/*---------------------------------------------------------------------*
**  Language Dictionary                                                *
**---------------------------------------------------------------------*/

/*---------------------------------------------------------------------*
**  translator's credits here                                          *
**	Mathieu Masseboeuf	- french                                       *
**	Navico Wiesbaden	- german                                       *
**	per Inge Mathisen	- norweigan                                    *
**	????				- italian                                      *
**  Rein Rsak 		- estonian
**	Niels Buysrogge		- dutch
**	Roberto Almeida & Guilherme Castel&atildeo - brazilian portugese
**---------------------------------------------------------------------*/

/*---------------------------------------------------------------------*
** General Notes for Translators                                       *
** ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^                                       *
** the format for this file should be fairly straightforward. trans-   *
** lations of the english go in the quotes adjacent to the two-letter  *
** language code.                                                      *
** 1. if you do not have a two letter language code entry for your     *
** language you'll have to add them yourself. sorry.                   *
** 2. try and keep translations as short as possible. text often has   *
** to fit into tight spots. where text has to fit on a button i've     *
** made a note                                                         *
** 3. there are translator's notes for each entry. i hope they help    *
** 4. the variable $this_site is the name of the website that is       *
** running php_lib_login. for some strings it will be necessarry to    *
** use it. details are in the notes.                                   *
** 5. if you have a version that has an entry for "tx" don't worry,    *
** it's just there for testing purposes                                *
** 6. if you need non-roman characters (like accented letters) use the *
** ascii escape code for it if you know it. there's a good ascii table *
** at                                                                  *
** http://www.geocities.com/electronic_ed/tae/appd/ascii.htm           *
** the format should be ampersand-pound-number-semicolon               *
** ie:                                                                 *
** &#126;                                                              *
** for the ~ character. you get the idea.                              *
** 7. if anyone knows how to implement non-ascii text (ie cyrillic or  *
** any of the pictographic languages) i'd like to know!                *
** 8. thanks for taking the time to do this!                           *
**                                                                     *
** finished translations should be emailed to:                         *
** frymaster@linuxmail.org                                           *
**---------------------------------------------------------------------*/


/*---------------------------------------------------------------------*
** Licensing:                                                          *
** ^^^^^^^^^                                                           *
** php_lib_login - php web login/password implementation for the lazy  *.
** Copyright (C) 2001  grant "frymaster" horwood                       *
**                                                                     *
** This library is free software; you can redistribute it and/or       *
** modify it under the terms of the GNU Lesser General Public          *
** License as published by the Free Software Foundation; either        *
** version 2.1 of the License, or (at your option) any later version.  *
**                                                                     *
** This library is distributed in the hope that it will be useful,     *
** but WITHOUT ANY WARRANTY; without even the implied warranty of      *
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU   *
** Lesser General Public License for more details.                     *
**                                                                     *
** You should have received a copy of the GNU Lesser General Public    *
** License along with this library; if not, write to                   *
** the Free Software Foundation, Inc.,                                 *
** 59 Temple Place, Suite 330,                                         *
** Boston, MA                                                          *
** 02111-1307  USA                                                     *
**---------------------------------------------------------------------*/


function build_vocab($language, $this_site)
{
	$index = 0;

	$vocab = array();

	//---- "login" used as a prompt
	$string[0] 	= array(	"en" => "login",
							"ee" => "Logi sisse",
							"de" => "login",
							"no" => "innlogging",
							"fr" => "Ouvrir une session",
							"tx" => "LOGIN",
							"nl" => "login",
							"pt" => "Conectar",
							"it" => "nuova sessione"
						);
	
	//---- "logout" used as a prompt			
	$string[1] 	= array(	"en" => "logout",
							"ee" => "Logi vlja",
							"de" => "logout",
							"no" => "logg ut",
							"fr" => "Fermer votre session",
							"tx" => "LOGOUT",
							"nl" => "uitloggen",
							"pt" => "Sair",
							"it" => "fine sessione"
						);
	
	//---- "username" used as a noun ie "enter your username"			
	$string[2] 	= array(	"en" => "username",
							"ee" => "Kasutaja",
							"de" => "Benutzername",
							"no" => "Brukernavn",
							"fr" => "Login",
							"nl" => "gebruikersnaam",
							"tx" => "USERNAME",
							"pt" => "username",
							"it" => "utente"
						);		
	
	//---- "password" used as a noun ie "enter your password"
	$string[3] = array(		"en" => "password",
							"ee" => "Parool",
							"de" => "Passwort",
							"no" => "Passord",
							"fr" => "Mot de Passe",
							"tx" => "PASSWORD",
							"nl" => "paswoord",
							"pt" => "Senha",
							"it" => "Password"
						);
	
	//---- "FAILED LOGIN" is a phrase used in log files to indicated a 
	//---- login has failed	for a regular user
	$string[4] = array(		"en" => "FAILED LOGIN",
							"ee" => "SISSELOGIMINE EBANNESTUS",
							"de" => "LOGIN FEHLGESCHLAGEN",
							"no" => "INNLOGGING FEILET",
							"fr" => "LOGIN REFUS&Eacute;",
							"tx" => "FAILED LOGIN",
							"nl" => "MISLUKTE LOGIN",
							"pt" => "LOGIN RECUSADO",
							"it" => "dati errati"
						);
	
	//---- "FAILED LOGIN UBER" is a phrase used in log files to indicate a
	//---- failed login for the uber user	
	$string[5] = array(		"en" => "FAILED LOGIN UBER",
							"ee" => "ADMINI SISSELOGIMINE EBANNESTUS",
							"de" => "LOGIN UEBERUSER FEHLGESCHLAGEN",
							"no" => "SUPERBRUKER INNLOGGING FEILET",
							"fr" => "LOGIN ADMINISTRATEUR REFUS&Eacute;",
							"nl" => "MISLUKTE ADMINISTRATOR LOGIN",
							"tx" => "",
							"pt" => "LOGIN COMO ADMINISTRADOR RECUSADO",
							"it" => "LOGIN AMMINISTRATORE NON RIUSCITO"
						);
	
	//---- "UBER USER VIOLATION" is a phrase used in logs to indicate that
	//---- someone other than the uber user has tried to access an uber user's page
	$string[6] = array(		"en" => "UBER USER VIOLATION",
							"ee" => "RITATI ADMINIKS SAADA",
							"de" => "UEBERUSER UNBERECHTIGTER ZUGRIFF",
							"no" => "KUN FOR SUPERBRUKER",
							"fr" => "VIOLATION D'ACC&Egrave;S ADMINISTRATEUR",
							"nl" => "ADMINISTRATOR MISBRUIK",
							"tx" => "",
							"pt" => "VIOLA&Ccedil&AtildeO DO USU&AacuteRIO ADMINISTRATIVO", 
							"it" => "TENTATO ACCESSO AMMINISTRATIVO"
						);	
						
	//---- "change password" used as verb-noun ie "click here to change password"
	$string[7] = array(		"en" => "change password",
							"ee" => "Vaheta parool",
							"de" => "Passwort verndern",
							"no" => "Endre passord",
							"fr" => "Changer votre Mot de Passe",
							"tx" => "CHANGE PASSWORD",
							"nl" => "verander paswoord",
							"pt" => "alterar a senha",
							"it" => "Cambio password"
						);
	
	//---- "mailback password" used as a verb-noun ie "click here to mailback password"
	$string[8] = array(		"en" => "mailback password",
						 	"ee" => "Saada parool mailiga",
							"de" => "Passwort per Rckmail anfordern",
							"no" => "Send passord",
							"fr" => "Recevoir son Mot de Passe",
							"tx" => "MAILBACK PASSWORD",
							"nl" => "mailen van pasword",
							"pt" => "enviar senha por email",
							"it" => "riottieni la password"
						);
	
	//---- "create account" used as a verb-noun ie "click here to create account"
	$string[9] = array(		"en" => "create account",
						 	"ee" => "Lisa kasutaja",
							"de" => "Account erstellen",
							"no" => "Lag konto",
							"fr" => "Nouveau compte",
							"tx" => "CREATE ACCOUNT",
							"nl" => "account aanmaken",
							"pt" => "criar nova conta",
							"it" => "nuovo account"
						);
	
	//---- "this" refers to the viewer's ip address. could also read "your ip address
	//---- has been banned"				
	$string[10] = array(	"en" => "this ip address has been banned",
							"ee" => "See ip address on blokeeritud",
							"de" => "Diese IP Adresse ist gesperrt",
							"no" => "Denne IP-adressen er forbudt",
							"fr" => "Votre adresse IP a &eacute;t&eacute; exclue",
							"tx" => "",
							"nl" => "Dit ip adres is geblokeerd",
							"pt" => "este endere&ccedilo IP foi bloqueado",
							"it" => "accesso negato per questo indirizzo IP"
						);
	
	//---- "continue" is text for a link to move to the next page. a verb.
	$string[11] = array(	"en" => "continue",
							"ee" => "edasi",
							"de" => "weiter",
							"no" => "Videre",
							"fr" => "Suite",
							"tx" => "CONTINUE",
							"nl" => "doorgaan",
							"pt" => "continuar",
							"it" => "continua"
						);
						
	$string[12] = array(	"en" => "there are no users logged in",
							"ee" => "Pole sisseloginud kasutajaid",
							"de" => "Es sind keine Benutzer angemeldet",
							"no" => "Ingen brukere innlogget",
							"fr" => "Aucun utilisateur n'est connect&eacute;",
							"tx" => "THERE ARE NO USERS LOGGED IN",
							"nl" => "er zijn geen gebruikers ingelogd",
							"pt" => "N&atildeo existem usu&aacuterios conectados",
							"it" => "nessun utente connesso"
						);
						
	$string[13] = array(	"en" => "there is one user logged in",
							"ee" => "ks kasutaja on sisse loginud",
							"de" => "Ein Benutzer ist angemeldet",
							"no" => "En bruker innlogget",
							"fr" => "Un utilisateur est connect&eacute;",
							"tx" => "THERE IS ONE USER LOGGED IN",
							"nl" => "er is een gebruiker ingelogd",
							"pt" => "Existe um usu&aacuterio conectado",
							"it" => "un utente connesso"
						);
	
	//---- "there are" as in "there are 3 users logged in"
	$string[14] = array(	"en" => "there are",
							"ee" => "Sisse loginud on",
							"de" => "es sind",
							"no" => "Det er",
							"fr" => "Il y a",
							"tx" => "THERE ARE",
							"nl" => "er zijn",
							"pt" => "Existem",
							"it" => "ci sono"
						);
						
	//---- "logged in" as in "there are 3 users logged in"
	$string[15] = array(	"en" => "logged in",
							"ee" => "kasutajat",
							"de" => "angemeldet",
							"no" => "innlogget",
							"fr" => "connect&eacute;s",
							"tx" => "LOGGED IN",
							"nl" => "ingelogd",
							"pt" => "conectados",
							"it" => "connessi"
						);
	
	//---- "logged in as" could be translated as "you are logged in as"				
	$string[16] = array(	"en" => "logged in as ",
							"ee" => "Oled loginud sisse kasutajana ",
							"de" => "Sie sind angemeldet als",
							"no" => "Du er innlogget som",
							"fr" => "Connect&eacute; en tant que ",
							"tx" => "LOGGED IN AS",
							"nl" => "ingelogd als",
							"pt" => "conectado como",
							"it" => "sei connesso come "
						);
	
	//---- error message. could be translated as "your session has timed out"
	$string[17] = array(	"en" => "session has timed out",
							"ee" => "sessioon on aegunud",
							"de" => "Diese Sitzung ist abgelaufen",
							"no" => "Logget ut pga inaktivitet",
							"fr" => "Votre session a expir&eacute;",
							"tx" => "SESSION HAS TIMED OUT",
							"nl" => "Sessie is verlopen",
							"pt" => "a sess&atildeo expirou",
							"it" => "la sessione e' scaduta"
						);
						
	//---- error message. literally "either the username or password you have supplied
	//---- is invalid"
	$string[18] = array(	"en" => "invalid username or password",
							"ee" => "vale kasutajanimi vi parool",
							"de" => "Falscher Benutzername oder falsches Passwort",
							"no" => "Ugyldig brukernavn eller passord",
							"fr" => "Mauvais Login ou Mot de Passe",
							"tx" => "INVALID USERNAME OR PASSWORD",
							"nl" => "ongeldige gebruikersnaam of paswoord",
							"pt" => "Nome de usu&aacuterio ou senha inv&aacutelidos",
							"it" => "nome utente o password errati"
						);
						
	//---- question: literally "have you forgotten your password?"
	$string[19] = array(	"en" => "forgot your password?",
							"ee" => "Kas unustasid parooli?",
							"de" => "Passwort vergessen?",
							"no" => "Glemt passordet?",
							"fr" => "Avez-vous oubli&eacute; votre Mot de Passe ?",
							"tx" => "FORGOT YOUR PASSWORD?",
							"nl" => "paswoord vergeten?",
							"pt" => "Esqueceu sua senha?",
							"it" => "hai dimenticato la password ?"
						);
	
	//---- followed by a number ie "password reminder step 2". it may be difficult
	//---- to translate this so that the number comes last in the sentence.
	$string[20] = array(	"en" => "password reminder step ",
							"ee" => "Parooli meeldetuletus, samm ",
							"de" => "Passworterinnerung Schritt ",
							"no" => "Passordpminnelse, steg ",
							"fr" => "Aide n&deg; ",
							"tx" => "PASSWORD REMINDER STEP",
							"nl" => "Paswoord-herinnering stap",
							"pt" => "Lembrete de senha passo",
							"it" => "passaggio recupero password nr. "
						);
						
	$string[21] = array(	"en" => "enter your username",
							"ee" => "sisesta oma kasutajanimi",
							"de" => "Bitte Benutzername eingeben",
							"no" => "Tast inn ditt brukernavn",
							"fr" => "Entrez votre Login",
							"tx" => "ENTER YOUR USERNAME",
							"nl" => "Geef uw gebruikersnaam",
							"pt" => "digite seu username",
							"it" => "Immetti il nome utente"
						);
	
	//---- "this feature" means the email password reset.
	$string[22] = array(	"en" => "you did not supply a question when you created your account. you canot take advantage of this feature!",
							"ee" => "Sa ei saa seda vimalust kasutada, kuna Sa ei sisestanud ksimust parooli mramisel!",							
							"de" => "Sie haben keine Erinnerungsfrage bei der Erstellung des Accounts eingegeben. Sie knnen darum diese Funktion nicht nutzen!",
							"no" => "Du oppga ikke noe sprsml nr du lagde denne kontoen, og kan derfor ikke gjre bruk avn denne funksjonen!",
							"fr" => "Vous n'avez pas fourni de question lors de la cr&eacute;ation de votre compte. Vous ne pouvez pas utiliser cette fonctionnalit&eacute;.",
							"tx" => "YOU DIDN'T SUPPLY A QUESTION",
							"nl" => "U hebt geen vraag opgegeven toen u uw account hebt aangemaakt. U kunt geen gebruik maken van deze mogelijkheid",
							"pt" => "Voc&ecirc n&atildeo forneceu uma pergunta quando criou sua conta, portanto, n&atildeo pode utilizar esse recurso",
							"it" => "non hai fornito una domanda al momento della creazione dell'account. Non potrai usufruire di questa facilitazione!"
						);
	
	//---- used as first part of a sentence ie "question for bob"	
	$string[23] = array(	"en" => "question for ",
							"ee" => "Ksimus ",
							"de" => "Frage fr ",
							"no" => "Sprsml for ",
							"fr" => "Question pour ",
							"tx" => "QUESTION FOR",
							"nl" => "vraag voor ",
							"pt" => "pergunta para ",
							"it" => "domanda per "
						);
						
	//---- "answer" used as a noun	
	$string[24] = array(	"en" => "answer",
							"ee" => "Vastus",
							"de" => "Antwort",
							"no" => "Svar",
							"fr" => "r&eacute;ponse",
							"tx" => "ANSWER",
							"nl" => "antwoord",
							"pt" => "resposta",
							"it" => "risposta"
						);
						
	//---- literally "the answer is wrong"	
	$string[25] = array(	"en" => "wrong answer!",
							"ee" => "Vale vastus!",
							"de" => "falsche Antwort!",
							"no" => "feil svar!",
							"fr" => "Mauvaise r&eacute;ponse !",
							"tx" => "WRONG ANSWER",
							"nl" => "verkeerd antwoord!",
							"pt" => "resposta errada!",
							"it" => "risposta sbagliata!"
						);
						
	//---- literally "would you like to try again?"					
	$string[26] = array(	"en" => "try again?",
							"ee" => "Proovid uuesti?",
							"de" => "nochmal eingeben?",
							"no" => "prve en gang til?",
							"fr" => "Nouvel essai ?",
							"tx" => "TRY AGAIN?",
							"nl" => "wilt u opnieuw proberen?",
							"pt" => "tentar novamente?",
							"it" => "vuoi ritentare?"
						);
	
	//---- $this_site is the name of the website using php_lib_login
	//---- this phrase will go befor a password ie "your new password for foo.com is F4x5TT"
	$string[27] = array(	"en" => "your new password for $this_site is ",
							"ee" => "Sinu uus parool $this_site jaoks on ",
							"de" => "Ihr neues Passwort fr $this_site ist",
							"no" => "Ditt nye passord for $this_site er",
							"fr" => "Votre nouveau Mot de Passe pour $this_site est ",
							"tx" => "YOUR NEW PASSWORD FOR THIS SITE IS",
							"nl" => "je nieuwe paswoord voor $this_site is ",
							"pt" => "sua nova senha para $this_site &eacute ",
							"it" => "La tua nuova password per $this_site e' "
						);
						
	//---- this phrase is the subject line for password resetting email
	//---- ie "new password for foo.com"
	//---- literally "this email contains your new password for foo.com"		
	$string[28] = array(	"en" => "new password for $this_site",
							"ee" => "Uus parool saidile $this_site",
							"de" => "Neues Passwort fr $this_site",
							"no" => "Nytt passord for $this_site",
							"fr" => "Nouveau Mot de Pass pour $this_site",
							"tx" => "NEW PASSWORD FOR $this_site",
							"nl" => "nieuw paswoord voor $this_site",
							"pt" => "nova senha para $this_site",
							"it" => "Nuova password per $this_site"
						);
	
	$string[29] = array(	"en" => "your new password has been emailed to you",
							"ee" => "Sinu uus parool on Sulle mailitud",
							"de" => "Ihr neues Passwort wurde Ihnen per aMail geschickt",
							"no" => "Nytt passord sendt",
							"fr" => "Votre nouveau Mot de Passe vous a &eacute;t&eacute; transmis par m&egrave;le",
							"tx" => "YOUR NEW PASSWORD HAS BEEN EMAILED TO YOU",
							"nl" => "het nieuwe paswoord werd naar u gemaild",
							"pt" => "Sua nova senha lhe foi enviada por email",
							"it" => "la nuova password ti  stata inviata via email"
						);
	
	//---- error message indicating a password could not be changed in the database			
	$string[30] = array(	"en" => "error in updating password on the local database.",
							"ee" => "viga parooli muutmisel lokaalses andmebaasis.",							
							"de" => "FEHLER: das Passwort konnte in der Datenbank nicht gendert werden",
							"no" => "Databasefeil",
							"fr" => "Erreur lors de la mise &agrave; jour du Mot de Passe dans la base de donn&eacute;es.",
							"tx" => "ERROR IN UPDATING PASSWORD ON DB",
							"nl" => "fout bij het veranderen van het paswoord in de lokaale database.",
							"pt" => "erro na atualiza&ccedil&atildeo da sua senha no banco de dados",
							"it" => "errore aggiornamento password nel database locale"
						);
						
	//---- literally "an error has occurred"
	$string[31] = array(	"en" => "error.",
							"ee" => "viga",
							"de" => "fehler",
							"no" => "feil",
							"fr" => "erreur.",
							"tx" => "ERROR",
							"nl" => "fout.",
							"pt" => "erro.",
							"it" => "errore"
						);
	
	
	//---- prompt to type password in a second time				
	$string[32] = array(	"en" => "repeat password",
							"ee" => "veelkord parool",
							"de" => "Passwort wiederholen",
							"no" => "Gjenta passord",
							"fr" => "Resaisissez votre Mot de Passe.",
							"tx" => "REPEAT PASSWORD",
							"nl" => "herhaal paswoord",
							"pt" => "repita a senha",
							"it" => "ripeti la password"
						);
	
	//---- "email" used as noun				
	$string[33] = array(	"en" => "email",
							"de" => "eMail",
							"ee" => "e-mail",
							"no" => "e-post",
							"fr" => "m&egrave;le",
							"tx" => "EMAIL",
							"nl" => "email",
							"pt" => "email",
							"it" => "posta elettronica"
						);
						
	$string[34] = array(	"en" => "if you lose or forget your password, a new one can be emailed to you. for security reasons you will be asked as question before being given a new password. enter that question and its answer here",
							"ee" => "Kui parool on ununenud vi kadunud, saame Sulle mailida uue parooli. Turvakaalutlustel ksime Suilt enne uue parooli saatmist he ksimuse. Sisesta see ksimus ja vastus siia",							
							"de" => "Wenn Sie Ihr Passwort vergessen haben knnen Sie sich ein neues Passwort per eMail zusenden lassen. Aus Sicherheitsgrnden mssen Sie vorher eine Frage beantworten. Geben Sie diese Frage und die entsprechende Antwort nun ein. ",
							"no" => "Hvis du mister eller glemmer passordet ditt, kan du f et nytt tilsendt per e-post. For sikkerhets skyld m du svare p et sprsml fr du fr et nytt passord. Oppgi dette sprsml og svaret her:",
							"fr" => "Si vous perdez ou oubliez votre Mot de Passe, un nouveau peut vous &ecirc;tre retransmis. Pour des raisons de s&eacute;curit&eacute;, une question vous sera pos&eacute;e avant que l'on vous fournisse un nouveau Mot de Passe. Entrez la question ainsi que sa r&eacute;ponse ici",
							"tx" => "IF YOU LOSE OR FORGET YATTA YATTA",
							"nl" => "Indien u uw paswoord verliest zal er een nieuwe naar u gemailed worden. Voor de beveiliging zal men u een vraag stellen voordat u een nieuwe paswoord krijgt. Vul die vraag en bijhorend antwoord hier in",
							"pt" => "Se voc&ecirc perder ou esquecer sua senha, uma nova pode ser enviada por email para voc&ecirc. por raz&otildees de seguran&ccedila voc&ecirc dever&aacute responder uma pergunta antes de ser enviada a senha. Digite essa pergunta, e sua respectiva resposta aqui",
							"it" => "nel caso la password venisse persa o dimenticata, possiamo spedirtene una nuova via email. Per ragioni di sicurezza ti verra' prima rivolta una domanda. Immetti qui la domanda scelta e la relativa risposta"
						);
	
	//---- "question" as a noun
	$string[35] = array(	"en" => "question",
							"ee" => "Ksimus",
							"de" => "Frage",
							"no" => "Sprsml",
							"fr" => "question",
							"tx" => "QUESTION",
							"nl" => "vraag",
							"pt" => "pergunta",
							"it" => "domanda"
						);
						
	//---- "success" as a verb. literally "you have succeeded"
	$string[36] = array(	"en" => "success",
							"ee" => "nnestus",
							"de" => "erfolgreich",
							"no" => "Fungerte",
							"fr" => "r&eacute;ussi",
							"tx" => "SUCCESS",
							"nl" => "succes",
							"pt" => "&ecircxito",
							"it" => "risposta esatta"
						);
						
	//---- 
	$string[37] = array(	"en" => "your password has been updated",
							"ee" => "Parool on muudetud",
							"de" => "Ihr Passwort wurde aktualisiert",
							"no" => "Passord oppdatert",
							"fr" => "Votre Mot de Passe a &eacute;t&eacute; mis &agrave; jour.",
							"tx" => "YOUR PASSWORD HAS BEEN UPDATED",
							"nl" => "Uw paswoord werd geupdate",
							"pt" => "sua senha foi atualizada",
							"it" => "La tua password e' stata aggiornata"
						);
						
	//---- literally "enter your new password here"
	$string[38] = array(	"en" => "new password",
							"ee" => "Uus parool",
							"de" => "Neues Passwort",
							"no" => "Nytt passord",
							"fr" => "Nouveau Mot de Passe",
							"tx" => "NEW PASSWORD",
							"nl" => "nieuw paswoord",
							"pt" => "nova senha",
							"it" => "immetti qui la nuova password"
						);
	
	//---- literally "re-enter your new password here"
	$string[39] = array(	"en" => "repeat password",
							"ee" => "Korda parooli",
							"de" => "Passwort wiederholen",
							"no" => "Gjenta passord",
							"fr" => "Resaisissez le Mot de Passe",
							"tx" => "REPEAT PASSWORD",
							"nl" => "herhaal paswoord",
							"pt" => "Confirme sua senha",
							"it" => "re-immetti la password"
						);
						
	//---- 
	$string[40] = array(	"en" => "user has been deleted",
							"ee" => "Kasutaja on kustutatud",
							"de" => "Benutzer wurde gelscht",
							"no" => "Bruker slettet",
							"fr" => "L'utilisateur a &eacute;t&eacute; edffac&eacute;.",
							"tx" => "USER HAS BEEN DELETED",
							"nl" => "gebruiker werd gewist",
							"pt" => "Usu&aacuterio foi apagado",
							"it" => "utente cancellato"
						);
						
	//---- literally "select the user to delete"
	$string[41] = array(	"en" => "delete user",
							"ee" => "Kustuta kasutaja",
							"de" => "Benutzer lschen",
							"no" => "Slett bruker",
							"fr" => "Effacer l'utilisateur ...",
							"tx" => "DELETE USER",
							"nl" => "wissen van gebruiker",
							"pt" => "apagar usu&aacuterio",
							"it" => "cancella l'utente"
						);
						
	//---- literally "for which time would you like the logs shown for"
	$string[42] = array(	"en" => "show logs for",
							"ee" => "nita logisid",
							"de" => "zeige Logs fr",
							"no" => "Vis logg for",
							"fr" => "Afficher les logs pour ...",
							"tx" => "SHOW LOGS FOR",
							"nl" => "laat logs zien voor",
							"pt" => "mostrar logs para",
							"it" => "mostra il log per "
						);
						
	//---- 
	$string[43] = array(	"en" => "today",
							"ee" => "tna",
							"de" => "heute",
							"no" => "i dag",
							"fr" => "Aujourd'hui",
							"tx" => "TODAY",
							"nl" => "vandaag",
							"pt" => "hoje",
							"it" => "oggi"
						);
						
	//---- 
	$string[44] = array(	"en" => "yesterday",
							"ee" => "eile",
							"de" => "gestern",
							"no" => "i gr",
							"fr" => "Hier",
							"tx" => "YESTERDAY",
							"nl" => "gisteren",
							"pt" => "ontem",
							"it" => "ieri"
						);
	
	//---- literally "how many days previous to today?" context
	//---- "show logs for the _last_ 5 days"
	$string[45] = array(	"en" => "last",
							"ee" => "viimane",
							"de" => "letzten",
							"no" => "siste",
							"fr" => "derniers",
							"tx" => "LAST",
							"nl" => "voorbije",
							"pt" => "&uacute;ltimos",
							"it" => "ultimi"
						);
						
	//---- an alert that the user has done something bad, but not very bad.
	$string[46] = array(	"en" => "warning",
							"ee" => "hoiatus",
							"de" => "Achtung",
							"no" => "Advarsel",
							"fr" => "avertissement",
							"tx" => "WARNING",
							"nl" => "waarschuwing",
							"pt" => "aten&ccedil&atildeo",
							"it" => "attenzione"
						);
						
	//---- 
	$string[47] = array(	"en" => "no days selected for viewing, defaulting to today",
							"ee" => "pev mida nidata on valimata, vaikimisi vrtuseks on tna",							
							"de" => "Keine Tage fr die Anzeige ausgewhlt. Vorgabe: heute",
							"no" => "Antall dager valgt for visning (ingen betyr i dag)",
							"fr" => "Aucun jour s&eacute;lectionn&eacute;, les logs du jour seront affich&eacute;s",
							"tx" => "NO DAYS SELECTED",
							"nl" => "Er werd geen dag geselecteerd om te bekijken, vandaag is standaard",
							"pt" => "N&atildeo selecionou os dias para vizualiza&ccedil&atildeo, o padr&atildeo &eacute para hoje",
							"it" => "nessun giorno e' stato selezionato (log odierno)"
						);
						
	//---- used as text for a link to return to the previous page.
	//---- literally "go back to where you came from"
	$string[48] = array(	"en" => "go back",
							"ee" => "mine tagasi",
							"de" => "gehe zurck",
							"no" => "Tilbake",
							"fr" => "Retour",
							"tx" => "GO BACK",
							"nl" => "ga terug",
							"pt" => "voltar",
							"it" => "indietro"
						);
						
	//---- meaning a UNIX timestamp
	$string[49] = array(	"en" => "timestamp",
							"ee" => "timestamp",
							"de" => "Zeitstempel",
							"no" => "Tidsstempel",
							"fr" => "Timestamp",
							"tx" => "TIMESTAMP",
							"nl" => "timestamp",
							"pt" => "timestamp",
							"it" => "timestamp"
						);
						
	//---- meaning an internet ip address
	$string[50] = array(	"en" => "ip address",
							"ee" => "ip aadress",
							"de" => "Internet IP Adresse",
							"no" => "Internett IP-adresse",
							"fr" => "Adresse IP",
							"tx" => "IP ADDRESS",
							"nl" => "ip adres",
							"pt" => "Endere&ccedilo IP",
							"it" => "indirizzo ip"
						);
						
	//---- "message" as a noun. could also be translated as
	//---- "more information" or "detailed information"
	$string[51] = array(	"en" => "message",
							"ee" => "teade",
							"de" => "Detailinformation",
							"no" => "beskjed",
							"fr" => "informations",
							"tx" => "MESSAGE",
							"nl" => "extra informatie",
							"pt" => "mais informa&ccedil&otildees",
							"it" => "informazione"
						);
						
	//---- literally "add the ip you click on to the list of banned ip's"
	$string[52] = array(	"en" => "ban this ip",
							"ee" => "blokeeri see ip",
							"de" => "IP sperren",
							"no" => "Forby denne IP-adressen",
							"fr" => "Exclure cette adresse IP",
							"tx" => "BAN THIS IP",
							"nl" => "blokeer dit ip",
							"pt" => "bloquear este IP",
							"it" => "escludi questo IP"
						);
						
	//---- literally "form to use for banning ip addresses"
	$string[53] = array(	"en" => "ip banning",
							"ee" => "ip blokeerimine",
							"de" => "IP ist gesperrt",
							"no" => "IP-sperring",
							"fr" => "Exclusion d'IP",
							"tx" => "IP BANNING",
							"nl" => "ip blokering",
							"pt" => "IP bloqueado",
							"it" => "esclusione IP"
						);
						
	//---- literally "these ip addresses are in the log"
	$string[54] = array(	"en" => "logged ips",
							"ee" => "logitud ip aadressid",
							"de" => "diese IPs werden aufgezeichnet",
							"no" => "Loggede IP-adresser",
							"fr" => "IPs logu&eacute;es",
							"tx" => "LOGGED IPS",
							"nl" => "gelogde ips",
							"pt" => "IPs logados",
							"it" => "IP registrati"
						);
						
	//---- literally "these ip addresses are currently banned"
	$string[55] = array(	"en" => "banned ips",
							"ee" => "blokeeritud ip aadressid",
							"de" => "gesperrte IPs",
							"no" => "Sperrede IP-adresser",
							"fr" => "IPs exclues",
							"tx" => "BANNED IPS",
							"nl" => "geblokeerde ips",
							"pt" => "IPs bloqueados",
							"it" => "IP esclusi"
						);
						
	//---- literally "add to ban list" please keep this SHORT if you can
	//---- as it must fit on a button
	$string[56] = array(	"en" => "ban",
							"ee" => "blokeeri",
							"de" => "sperren",
							"no" => "Forby",
							"fr" => "Exclure",
							"tx" => "BAN",
							"nl" => "blokeer",
							"pt" => "bloquear",
							"it" => "Escludi"
						);
						
	//---- literally "remove from ban list" please keep this SHORT if you can
	//---- as it must fit on a button
	$string[57] = array(	"en" => "unban",
							"ee" => "luba",
							"de" => "entsperren",
							"no" => "Tillat",
							"fr" => "Autoriser",
							"tx" => "UNABN",
							"nl" => "toelaten",
							"pt" => "desbloquear",
							"it" => "riabilita"
						);
						
	//---- literally "enter the ip address you want to ban"
	$string[58] = array(	"en" => "ip to ban",
							"ee" => "ip mida blokeerida",
							"de" => "IP sperren",
							"no" => "Forby IP",
							"fr" => "Adresse IP &agrave; exclure",
							"tx" => "IP TO BAN",
							"nl" => "te verbannen ip",
							"pt" => "IP a ser bloqueado",
							"it" => "IP da escludere"
						);
						
	//---- literally "you did not select any ip addresses"
	$string[59] = array(	"en" => "no ips selected",
							"ee" => "htki ip aadressi pole valitud",
							"de" => "keine IPs ausgewhlt",
							"no" => "ingen IP valgt",
							"fr" => "Aucune adresse IP s&eacute;lectionn&eacute;e.",
							"tx" => "NO IPS SELECTED",
							"nl" => "geen ips geselecteerd",
							"pt" => "Nenhum IP selecionado",
							"it" => "Nessun IP selezionato"
						);
						
	//---- error message displayed if a user enters a password twice for
	//---- confirmation and the two passwords are not the same.
	$string[60] = array(	"en" => "passwords do not match",
							"ee" => "paroolid on erinevad",
							"de" => "Passwort ist falsch",
							"no" => "Passord ikke like",
							"fr" => "Les Mots de Passe ne correspondent pas !",
							"tx" => "PASSWORDS DO NOT MATCH",
							"nl" => "paswoorden komen niet overeen",
							"pt" => "as senhas n&atildeo s&atildeo coincidentes",
							"it" => "La Password non corrisponde"
						);
						
	//---- literally "the password you entered does not have enough characters"
	$string[61] = array(	"en" => "password too short",
							"ee" => "Parool on liiga lhike",
							"de" => "Passwort zu kurz",
							"no" => "Passord for kort",
							"fr" => "Mot de Passe trop court !",
							"tx" => "PASSWORD TOO SHORT",
							"nl" => "paswoord te kort",
							"pt" => "senha muito pequena",
							"it" => "Password troppo corta"
						);
						
	//---- literally "the password you entered is the same as the 
	//---- username you entered"
	$string[62] = array(	"en" => "password same as username",
							"ee" => "parool kattub kasutajanimega",
							"de" => "Passwort und Benutzername sind gleich",
							"no" => "Passord og brukernavn m vre ulike",
							"fr" => "Vos Login et Mot de Passe sont identiques !",
							"tx" => "PASSWORD SAME AS USERNAME",
							"nl" => "paswoord identiek aan gebruikersnaam",
							"pt" => "a senha &eacute igual ao nome de usu&aacuterio",
							"it" => "Password e nome utente coincidono"
						);

	//---- error message shown if lib_login could not update the password
	//---- in the database.
	$string[63] = array(	"en" => "failed updating password",
							"ee" => "parooli muutmine ebannestus",
							"de" => "Passwortaktualisierung fehlgeschlagen",
							"no" => "Feil ved passordoppdatering",
							"fr" => "Mise &agrave; jour du Mot de Passe impossible.",
							"tx" => "FAILED UPDATING PASSWORD",
							"nl" => "fout tijdens het updaten van paswoord",
							"pt" => "falha na atualiza&ccedil&atildeo da senha",
							"it" => "Errore aggiornamento Password"
						);
						
	//---- error message shown if uber user account could not be created.
	$string[64] = array(	"en" => "a serious error has ocurred in creating the uber user account",
							"ee" => "admin kasutaja konto loomisel tekkis tsine viga",							
							"de" => "Ein Fehler ist bei der Erstellung des UEBERUSER Accounts aufgetreten",
							"no" => "Alvorlig feil ved dannelse av superbrukerkonto",
							"fr" => "Une erreur grave est survenue lors de la cration du compte d'administration.",
							"tx" => "A SERIOUS ERROR HAS OCCURRED",
							"nl" => "zware fout tijdens aanmaken van administrator account",
							"pt" => "um grave erro ocorreu durante a cria&ccedil&atildeo da conta do administrador",
							"it" => "Grave errore durante la creazione dell'account amministrativo"
						);
						
	//---- "thrown" here may mean "generated". "thrown" is used in the sense of "throwing an exception" in Java
	$string[65] = array(	"en" => "php_lib_login was unable to create the uber user account with the data given. the following exception has been thrown:",
							"ee" => "Antud andmete alusel php_lib_login ei saa luua admin kasutajakontot. Tekkis jrgmine viga:",							
							"de" => "php_lib_login konnte mit den erhaltenen Angaben keinen UEBERUSER Account anlegen. Die folgende Ausgabe wird angezeigt:",
							"no" => "feil ved laging av superbrukerkonto:",
							"fr" => "php_lib_login n'a pu cr&eacute;er le compte d'administration avec les donn&eacute;es fournies. L'exception suivante a &eacute;t&eacute; lev&eacute;e :",
							"nl" => "php_lib_login kon de administrator account niet aanmaken met deze gegevens. De volgende uitzondering deed zich voor:",
							"tx" => "UNABLE TO CREATE ACCOUNT WITH DATA GIVEN",
							"pt" => "php_lib_login n&atildeo conseguiu criar a conta administrativa com os dados fornecidos.",
							"it" => "impossibile creare l'account amministrativo con i dati passati. E' stata riscontrata la seguente eccezione:"
						);
						
	//---- 
	$string[66] = array(	"en" => "please consult your configuration and try again. this system is completely insecure",
							"ee" => "palun kontrolli konfiguratsiooni ja proovi uuesti. Ssteem on tiesti ebaturvaline!",							
							"de" => "Bitte sehen Sie sich Ihre Konfiguration an und versuchen es erneut. Ihr System ist vollkommen ungeschtzt",
							"no" => "Sjekk konfigurasjonen - dette systemet er fullstendig usikkert!",
							"fr" => "Veuillez v&eacute;rifier la configuration et r&eacute;essayer. Le syst&egrave; est non s&eacute;curis&eacute;.",
							"nl" => "raadpleeg uw configuratie en probeer opnieuw. Dit systeem is compleet aan het flippen",
							"tx" => "PLEASE CONSULT CONFIGURATION AND TRY AGAIN",
							"pt" => "Por favor consulte sua configura&ccedil&atildeo e tente novamente. esse sistema est&aacute completamente inseguro",
							"it" => "controllare la configurazione e ritentare. Questo sistema ha grossi problemi di sicurezza"
						);
						
	//---- in the context of "bob is already taken". warning message 
	//---- displayed if a new user chooses a username that is already taken
	$string[67] = array(	"en" => "is already taken",
							"ee" => "on juba kasutusel",
							"de" => "ist bereits vergeben",
							"no" => "er allerede i bruk",
							"fr" => "est d&eacute;j&agrave; utilis&eacute;.",
							"tx" => "IS ALREADY TAKEN",
							"nl" => "is reeds in gebruik",
							"pt" => "j&aacute esta sendo utilizado",
							"it" => "nome utente gia' in uso"
						);
						
	//---- literally "the uber user account cannot be deleted"
	$string[68] = array(	"en" => "cannot delete the uber user account",
							"ee" => "admin kasutajakontot ei saa kustutada",							
							"de" => "Der UBERUSER Account kann nicht gelscht werden",
							"no" => "Kan ikke slette superbruker",
							"fr" => "Effacement du compte d'administration impossible !",
							"nl" => "de administrator account kan niet gewist worden",
							"tx" => "CANNOT DELETE UBERUSER ACCOUNT",
							"pt" => "a conta administrativa n&atildeo pode ser apagada",
							"it" => "Impossibile cancellare l'utente amministrativo"
						);
						
	//---- 
	$string[69] = array(	"en" => "unable to delete this user",
							"ee" => "seda kasutajat ei nnestu kustutada",
							"de" => "Dieser Benutzer kann nicht gelscht werden",
							"no" => "Klarer ikke  slette denne brukeren",
							"fr" => "Effacement de cet utilisateur impossible !",
							"nl" => "deze gebruiker wissen is onmogelijk",
							"tx" => "UNABLE TO DELTE THIS USER",
							"pt" => "imposs&iacutevel apagar esse usu&aacuterio",
							"it" => "impossibile cancellare questo utente"
						);
						
	//---- error message if user selects a password that is too short. a number
	//---- will come after this sentence ie "minimum length is 7"
	$string[70] = array(	"en" => "password is too short. minimum length is ",
							"ee" => "Parool on liiga lhike, minimaalne pikkus on ",							
							"de" => "Passwort ist zu kurz. Die Mindestlnge ist",
							"no" => "Passord for kort, minste lengde er ",
							"fr" => "Mot de Passe trop court, la taille minimum est de ",
							"nl" => "paswoord is te kort, de minimum lengte is ",
							"tx" => "PASSWORD IS TOO SHORT MINIMUM LENGTH IS",
							"pt" => "senha muito pequena. O tamanho m&iacutenimo &eacute ",
							"it" => "Password troppo corta. La lunghezza minima e' di"
						);
						
	
	//---- 
	$string[71] = array(	"en" => "localhost is not a valid domain for email ",
							"ee" => "localhost pole lubatud emaili domeen",
							"de" => "Localhost ist keine gltige eMail Adresse",
							"no" => "Localhost er ikke et gyldig e-postdomene",
							"fr" => "locelhost n'est pas un domaine m&egrave;le valide.",
							"tx" => "LOCALHOST NOT A VALID DOMAIN FOR EMAIL",
							"nl" => "localhost is geen geldig email domein ",
							"pt" => "localhost n&atildeo &eacute um dom&iacutenio valido para o email",
							"it" => "localhost non e' un dominio valido per l'email"
						);
						
	//---- 
	$string[72] = array(	"en" => "email is a mandatory field ",
							"ee" => "email on kohustuslik vli ",
							"de" => "eMail muss ausgefllt werden",
							"no" => "m fylle ut e-postfeltet",
							"fr" => "M&egrave; est un champ obligatoire.",
							"tx" => "EMAIL IS A MANDATORY FIELD",
							"nl" => "email is een verplicht veld",
							"pt" => "email &eacute um campo obrigat&oacuterio",
							"it" => "email e' un campo obbligatorio"
						);
						
	//---- literally "the email address you have entered is invalid"
	$string[73] = array(	"en" => "invalid email address ",
							"ee" => "vigane emaili aadress ",
							"de" => "ungltige eMail Adresse",
							"no" => "ugyldig e-postadresse",
							"fr" => "L'adresse m&egrave;le a l'air invalide",
							"tx" => "INVALID EMAIL ADDRESS",
							"nl" => "ongeldig email adres",
							"pt" => "email inv&aacutelido",
							"it" => "indirizzo email non valido"
						);
						
	//---- 
	$string[74] = array(	"en" => "only administrator can ban ips ",
							"ee" => "Ainult admin saab blokeerida ip aadresse ",
							"de" => "Nur der Administrator kann IPs sperren",
							"no" => "Bare administrator kan forby IP-adresser",
							"fr" => "Seul l'administrateur peut exclure des IPs",
							"tx" => "ONLY ADMINISTRATOR CAN BAN IPS",
							"nl" => "enkel administrators kunnen ips blokeren",
							"pt" => "apenas o administrador pode bloquear IPs",
							"it" => "solo l'amministratore puo' escludere gli IPs"
						);
	
	//---- 
	$string[75] = array(	"en" => "there was an error banning this ip ",
							"ee" => "Tekkis viga jrgneva ip aadressi blokeerimisel",
							"de" => "Es gab einen Fehler beim Sperren der IP",
							"no" => "Feil i sperring av IP",
							"fr" => "Une erreur est survenue lors de l'exclusion de cette adresse IP : ",
							"nl" => "er is een fout opgetreden tijdens het blokeren van dit ip ",
							"tx" => "THERE WAS AN ERROR BANNING THIS IP",
							"pt" => "Ocorreu um erro em bloquear esse IP",
							"it" => "errore nel tentativo di escludere questo IP"
						);
						
	//---- 
	$string[76] = array(	"en" => "this ip has been un-banned ",
							"ee" => "see ip aadress on jlle lubatud ",
							"de" => "Diese IP wurde entsperrt",
							"no" => "Denne IP-adressen er n tillatt",
							"fr" => "Cette adresse IP a &eacute;t&eacute; r&eacute;autoris&eacute;e : ",
							"tx" => "THIS IP HAS BEEN UN-BANNED",
							"nl" => "dit ip word doorgelaten ",
							"pt" => "esse endere&ccedilo IP foi desbloqueado",
							"it" => "Questo IP e' stato riabilitato"
						);
						
	//---- 
	$string[77] = array(	"en" => "there was an error un-banning this ip ",
							"ee" => "Jrgneva ip aadressi taaslubamisel tekkis viga: ",
							"de" => "Es gab einen Fehler beim Entsperren dieser IP",
							"no" => "Feil ved avsperring av IP",
							"fr" => "erreur: Cette adresse IP a n'&eacute;t&eacute; pas r&eacute;autoris&eacute;e : ",
							"nl" => "er is een fout opgetreden tijdens het doorlaten van dit ip ",
							"tx" => "THERE WAS AN ERROR UNBANNING THISIP",
							"pt" => "ocorreu um erro em desbloquear esse IP",
							"it" => "errore nel tentativo di riabilitare questo IP"
						);
						
	//---- success message displayed when account creation is successful			
	$string[78] = array(	"en" => "the account has been created.",
							"ee" => "Kasutajakonto on loodud.",
							"de" => "Der Account wurde angelegt.",
							"no" => "Konto opprettet.",
							"fr" => "Une erreur est survenue lors de la r&eacute;autorisation de cette adresse IP : ",
							"tx" => "THE ACCOUNT HAS BEEN CREATED",
							"nl" => "de account werd aangemaakt",
							"pt" => "a conta foi criada",
							"it" => "l'utente stato creato"
							
						);	
						
	//---- $this_site is a variable with the name of the site			
	$string[79] = array(	"en" => "an account has been created for you at $this_site with the following details:",
							"ee" => "Sinu jaoks on saidis $this_site loodud account jrgnevate detailidega:",							
							"de" => "Es wurde ein Account fr Sie bei $this_site mit den folgenden Angaben angelegt:",
							"no" => "En konto har blitt lagd til deg p $this_site med flgende detaljer:",
							"fr" => "Un compte a &eacute;t&eacute; cr&eacute;&eacute; pour vous  $this_site avec les informations suivantes : ",
							"nl" => "er werd een account voor u gemaakt bij $this_site met de volgende specificaties:",
							"tx" => "AN ACCOUNT HAS BEEN CREATED AT $this_site",
							"pt" => "Uma conta foi criada para voc&ecirc em $this_site com os seguintes detalhes:",
							"it" => "E' stato creato un account per te presso $this_site con queste caratteristiche:"
						);					
	
	//---- literally "the question below is the question you will need to answer to get a
	//---- new password"			
	$string[80] = array(	"en" => "your password reset question is:",
							"ee" => "sinu parooli resettimise ksimus on:",
							"de" => "Ihre Passwort Erinnerungsfrage ist:",
							"no" => "Ditt sprsml for  f nytt passord",
							"fr" => "Votre question pour la r&eacute;initialisation de votre Mot de Passe est : ",
							"tx" => "YOUR PASSWORD RESET QUESTION IS",
							"nl" => "de paswoord-reset vraag is:",
							"pt" => "sua pergunta para receber uma nova senha &eacute:",
							"it" => "la domanda che ti verra' posta per riottenere la password e': "
						);	
						
	//---- literally "this is the answer to your password resetting question"			
	$string[81] = array(	"en" => "with the answer:",
							"ee" => "vastusega:",
							"de" => "Dies ist die Antwort auf Ihre Passwort Erinnerungsfrage:",
							"no" => "med svaret",
							"fr" => "Avec la r&eacute;ponse suivante : ",
							"tx" => "WITH THE ANSWER",
							"nl" => "met als antwoord:",
							"pt" => "com a resposta:",
							"it" => "che ha come risposta : "
						);
						
	//---- 			
	$string[82] = array(	"en" => "if you have not requested this account or have done so in error please contact the administrator by email",
							"ee" => "kui Sa pole seda kasutajakontot soovinud vi tegid selle eksikombel vta palun hendust administraatoriga emaili teel",
							"de" => "Wenn Sie diesen Account nicht angelegt haben oder er irrtmlich erstellt wurde benachrichtigen Sie bitte den Administrator per eMail",
							"no" => "Hvis dette ikke stemmer, kontakt administrator per e-post",
							"fr" => "Si vous n'avez pas demand&eacute; la cr&eacute;ation de ce compte ou l'avez fait par erreur, merci de contacter l'administrateur par m&egrave;le.",
							"nl" => "indien u dit account niet hebt aangevraagd of u deed dit per ongeluk neem dan contact op met de administrator via email",
							"tx" => "IF YOU HAVE NOT REQUESTED...",
							"pt" => "Se voc&ecirc n&atildeo solicitou essa conta ou o fez por engano entre em contato com o administrador por email",
							"it" => "se non hai domandato questo account o se lo hai fatto per errore, sei pregato di conttattare l'amministratore via email"
						);
						
	//---- 			
	$string[83] = array(	"en" => "too many failed logins. please wait and try again.",
							"de" => "",
							"ee" => "liiga palju ebannestunud logimiskatseid. Palun oota enne uut proovimist.",
							"no" => "For mange feilinnlogginger, vent og prv p nytt",
							"fr" => "trop erreurs. esayez plus tard.",
							"tx" => "YOU'RE PUNISHED!",
							"nl" => "te veel mislukte logins. probeer later opnieuw",
							"pt" => "muitas falhas. por favor aguarde e tente novamente.",
							"it" => "troppi tentativi errati di login. Ritenta piu' tardi"
						);
						
	$string[84] = array(	"en" => "group management",
							"ee" => "grupi manageerimine",
							"de" => "",
							"no" => "",
							"fr" => "",
							"tx" => "GROUP MANAGEMENT",
							"nl" => "groeps beleid",
							"pt" => "",
							"it" => "gestione del gruppo"
						);
						
	$string[85] = array(	"en" => "new group id",
							"ee" => "uue grupi id",
							"de" => "",
							"no" => "",
							"fr" => "",
							"tx" => "NEW GROUP ID",
							"nl" => "nieuw groeps-id",
							"pt" => "",
							"it" => "nuovo id di gruppo"
						);
						
	$string[86] = array(	"en" => "group id must be an integer",
							"ee" => "grupi id peab olema tisarv",
							"de" => "",
							"no" => "",
							"fr" => "",
							"tx" => "GROUP ID MUST BE AN INTEGER",
							"nl" => "groeps-id moet een positief natuurlijk getal zijn",
							"pt" => "",
							"it" => "l'id di gruppo deve essere un intero"
						);
						
	// build the appropriate array for the language and return it		
	while(true)
	{
		if(isset($string[$index])) {
			/**
            * #####################################################################
            * Changes for XPWeb, author: Olivier Chirouze
            */
			// If is not defined for language, return the default one...
			if (isset($string[$index][$language])) {
				$toPush = $string[$index][$language];
			} else {
				$toPush = $string[$index]["tx"];
			}
			array_push($vocab, $toPush);
			/**
            * End XPWeb changes
            * #####################################################################
            */
		} else {
			break;
		}
		$index++;
	}
					
				
	return $vocab;
}



?>
