<?php
/*#####################################################################*
**                       PHP_LIB_LOGIN 0-9-2B                          *
**                          CONFIGURATION                              *
**#####################################################################*/

/*#####################################################################*
**                              START                                  *
**                          CONFIGURATION                              *
**#####################################################################*/

// These are just files where XPWeb config is stored... 
include_once dirname(__FILE__)."/../../IncludeConfig.inc.php";
include_once dirname(__FILE__)."/../../PrivateConfig.inc.php";

/** ***************************
* Changes for XPWeb
* author: Olivier Chirouze
*/

// This enables to specify session path
$SESSION_PATH  			= XP_SESSION_PATH;
$SESSION_NAME  			= "login";

// This enables "remember me" checkbox
$COOKIE_USERNAME		= XP_COOKIE_USERNAME;
$COOKIE_PASSWORD		= XP_COOKIE_PASSWORD;

/**
* End XPWeb changes
* ***************************
*/

/** ***************************
* Changes for XPWeb
* author: Olivier Chirouze
*/
function login_session_init() {
	global $SESSION_PATH, $SESSION_NAME;
	if ($SESSION_PATH != "") {
    	session_save_path($SESSION_PATH);
    }
    session_name($SESSION_NAME);
}


/**
* End XPWeb changes
* ***************************
*/


# $DATABASE_SOFTWARE 
# php_lib_login uses adodb 1.31 for database abstraction. the value for this
# variable indicates which database software package you are using. the choices for values here are: 
#	access 
#	ado 
#	ado_access 
#	vfp 
#	ibase 
#	mssql 
#	mysql 
#	mysqlt 
#	maxsql 
#	oci8 
#	odbc 
#	oracle 
#	postgres 
#	postgres7 
#	sybase 

$DATABASE_SOFTWARE  	= XP_DB_TYPE;

# $DB_LOCATION
# this is where the database resides. usually an ip address or hostname if the database is
# connected to over a network or "localhost" if the database resides on the same
# machine as the web server. 

$DB_LOCATION	        = XP_DB_HOST;

# $DB_ACCOUNT
# the username of the account that php_lib_login will use to connect to your
# database software. often it is "root" for mysql or "postgres" for postgresql. 

$DB_ACCOUNT	        	= XP_DB_USER;

# $DB_PASSWORD
# the password for the above username. may be null. 

$DB_PASSWORD	        = XP_DB_PASS;

# $DB_DATABASE
# the name you have given to the database you are connecting to. for instance if,
# in step three you create your php_lib_login database and call it logindb. you should set
# $DB_DATABASE to "logindb". 

$DB_DATABASE 	        = XP_DB_DATABASE; // new in 0-6-xb

# $TIMEOUT_IN_SECONDS
# all login sessions are on an idle-time logout timer. that is, if a user does not load
# a new page in x seconds s/he will be automatically logged out. this is a security feature. set
# the number of seconds for this timeout here. 

$TIMEOUT_IN_SECONDS 	= XP_TIMEOUT_IN_SECONDS;

# $MIN_PASSWORD_LENGTH
# minimum length of new passwords in characters. 

$MIN_PASSWORD_LENGTH 	= XP_MIN_PASSWORD_LENGTH;


# $SUCCESS_PAGE
# when a user successfully logs in s/he will be automatically redirected to a page. list the
# full url of that page here. eg: "http://www.mydomain.com/welcome_user.php" 

$SUCCESS_PAGE	        = XP_SUCCESS_PAGE;

# $FAIL_PAGE
# users who fail to login correctly are automatically redirected to a page.
# list the full url of that page here. 

$FAIL_PAGE	        	= XP_FAIL_PAGE;

# $LOGOUT_PAGE
# when a logged-in user logs out, s/he will be automatically redirected to a page.
# list the full url of that page here. 

$LOGOUT_PAGE	        = XP_LOGOUT_PAGE;

# $TIMEOUT_PAGE
# when a logged-in user times out due to inactivity, s/he will be automatically
# redirected to a page. list the full url of that page here. 

$TIMEOUT_PAGE	        = XP_TIMEOUT_PAGE;

							
# $SUCCESS_UBER_PAGE
# when the uber user logs in successfully, s/he will be automatically redirected to a page.
# list the full url of that page here. 
# you may wish to use the page sample_admin.php found in the 
# php_lib_login_includes directory for your $SUCCESS_UBER_PAGE

$SUCCESS_UBER_PAGE      = XP_SUCCESS_UBER_PAGE;

# $CREATE_SUCCESS_PAGE
# when a viewer successfully creates an account s/he is taken to the page described here.
# unsuccessful attempts to create an account return the user to the page with the
# signup form. if this variable is left blank, new users are redirected to the page
# with the signup form on success. 

$CREATE_SUCCESS_PAGE	= XP_CREATE_SUCCESS_PAGE;

# $QA_SIGNUP
# when a new user creates an account, you may wish for that user to have a question/answer
# combination that the user can answer to reset his or her password. or maybe not.
#setting $QA_SIGNUP to "TRUE" enables question/answer password resetting. setting it to
# "FALSE" turns it off. note that if you set this to false, users will not be prompted for
# a question and answer on signing up and the automatic password-reset feature will be disabled. 

$QA_SIGNUP	        	= (XP_QA_SIGNUP ? "TRUE":"FALSE");

# $LIB_LOGIN_BASEDIR
# the base directory in which the current script resides. you really shouldn't
# change this unless you have a fairly good idea of what you're doing... 

$LIB_LOGIN_BASEDIR      = XP_LIB_LOGIN_BASEDIR;

#$UBER_USER
# this is the login name for the uber user. this account is created automatically the first
# time a login is attempted using php_lib_login. note that currently there is no "online" way
# to change the name of the uber user (although the uber user password can be changed). if you
# wish to change the name of the uber user, first create an account using the
# appropriate php_lib_login calls on your web site, then assign $UBER_USER to that name. 

$UBER_USER	        	= XP_UBER_USER; 

# $UBER_PASS
# the initial password for the uber user. for security reasons, the first thing you should do once you have
# basic login functionality on your web site is to use the php_lib_login
# calls to change the uber user's password. 

# $UBER_PASS
# the initial password for the uber user. for security reasons, the first thing you should do once you have basic login functionality on your web site is to use the php_lib_login
# calls to change the uber user's password. 

$UBER_PASS	       		= XP_UBER_PASS;	

# $MY_EMAIL_DOMAIN
# this is the email domain of the owner of the site using php_lib_login. this variable is only
# important if you wish to block users from submitting email address in your domain.
# for instance, if your email domain is myswellcompany.com and you don't want users having
# the ability to submit fake email addresses like: postmaster@myswellcompany.com, then
# set this variable to "myswellcompany.com". NOTE: if your email domain is a popular one
# like @home or hotmail setting this variable is a bad idea... to turn off email domain
# checking, leave this field blank 

$MY_EMAIL_DOMAIN        = XP_MY_EMAIL_DOMAIN;

# $ADMIN_EMAIL
# this is the full email address of the site administrator. it's used for error reporting and user replies. 
						     				
$ADMIN_EMAIL	        = XP_ADMIN_EMAIL;

# $SUPER_VALIDATE_EMAIL
# when users sign up and enter their email, you can choose to test whether or not the email domain actually
# exists. this involves doing a name lookup and, consequently, uses more resources (bandwidth, cycles etc.)
# set to "TRUE" to do lookups on user-supplied email, "FALSE" to skip it...

$SUPER_VALIDATE_EMAIL	= "FALSE";

# $PUBLIC_SIGNUP
# this variable must be set to either "TRUE" or "FALSE". if set to true then members of the
# general public are given premission to signup for login accounts. if set to false then
# only the uber user has the power to create accounts. 

$PUBLIC_SIGNUP	        = (XP_PUBLIC_SIGNUP ? "TRUE":"FALSE"); // must be "TRUE" or "FALSE"

# $LOG
# set either to "TRUE" or "FALSE". this variable should be set to true if you wish to store
# log information. set to false to not store log information. details on logging are given in
# setp 8 of the tutorial. 

$LOG		        	= XP_LOG; // new in 0-7b

# $PUNISH_BAD_ATTEMPTS
# determines whether or not you want users who make a predetermined number of consecutive
# bad login attempts to be forced to wait a certain amount of time before being
# able to try again.
# IMPORTANT: please see php_lib_login_0-9b_docs.html for important warnings about this setting!

$PUNISH_BAD_ATTEMPTS	= (XP_PUNISH_BAD_ATTEMPTS ? "TRUE":"FALSE"); 	// must be "TRUE" or "FALSE"

# $BAD_ATTEMPTS_MAX
# you only need to worry about this if you set $PUNISH_BAD_ATTEMPTS to "TRUE". this is maximum
# number of password failures in a row for a given username that a user
# can make before having his or her account suspended for $BAD_ATTEMPTS_WAIT seconds. the default is 3.
# this means that after the third consecutive login failure for a
# user, that user will have his or her account suspended temporarily. this value must be a
# number (positive non-zero integer) 

$BAD_ATTEMPTS_MAX       = XP_BAD_ATTEMPTS_MAX;		

# $BAD_ATTEMPTS_WAIT
# you only need to worry about this if you set $PUNISH_BAD_ATTEMPTS to "TRUE". this is the number
# of seconds that an account will be suspended for if there are $BAD_ATTEMPTS_MAX consecutive
# login failures. the default is 300 (5 minutes) which is probably a bit too long for most usage.
# this value must be a number (positive non-zero integer) 

$BAD_ATTEMPTS_WAIT      = XP_BAD_ATTEMPTS_WAIT;		// new in 0-8b - time in seconds

# $THIS_SITE
# the name of your site goes here. this variable is used to identify your site
# in emails sent to users

$THIS_SITE	        	= XP_THIS_SITE;

# $LANGUAGE
# the language in which you wish to have php_lib_login display. use the
# two-letter language code for you chose language ie "en" for english. currently
# the number of languages offered is limited. a list of available languages and
# their two-letter codes can be found in login.inc.php. default is english. 
// new in 0-7-5
$LANGUAGE	        	= isset($gXPLanguage)?$gXPLanguage:XP_DEFAULT_LANGUAGE;
// only en, fr, no or de supported as of 09-29-01

# HTML TAGS
# these variables are used to replace html tags for formatting php_lib_login's output.
# these variables are paired since html tags are paired.  $HEADER_TAG_OPEN and 
# $HEADER_TAG_CLOSE are replacements for <h1> and </h1> respectively, $SUB_HEAD_TAG_OPEN
# and $SUB_HEAD_TAG_CLOSE replace <h2> and </h2>. and $BODY_TAG_OPEN and $BODY_TAG_OPEN
# are the tags you use for body copy.

$HEADER_TAG_OPEN        = XP_HEADER_TAG_OPEN;
$HEADER_TAG_CLOSE       = XP_HEADER_TAG_CLOSE;
$SUB_HEAD_TAG_OPEN      = XP_SUB_HEAD_TAG_OPEN;
$SUB_HEAD_TAG_CLOSE     = XP_SUB_HEAD_TAG_CLOSE;
$BODY_TAG_OPEN          = XP_BODY_TAG_OPEN;
$BODY_TAG_CLOSE         = XP_BODY_TAG_CLOSE;

# $SECURE_SUBMIT	
# submits forms over ssl... if you have an ssl-enabled webserver and want to use it, set this
# to "TRUE"... if you don't have ssl, set it to false. default is FALSE since ssl web servers
# are rare and expensive

$SECURE_SUBMIT			= XP_SECURE_SUBMIT?"TRUE":"FALSE";	// must be TRUE or FALSE
?>
