<?php

class LinksFactory extends ModelFactory {

	function & newWebCategoriesList($arguments) {

		$item = & new WebCategoriesList($arguments);

		new WebCategoriesListControler($item);

		return $item;
	}
	
	function & newWebCategory($arguments) {

		$item = & new WebCategory($arguments);

		new WebCategoryControler($item);

		return $item;
	}
		
	function & newWebLink($arguments) {
		
		$item = & new WebLink($arguments);

		new WebLinkControler($item);

		return $item;
	}
	
}

$GLOBALS["gFactory"] = & new LinksFactory();

// *********************************************************************
// Class WebCategoriesList
// *********************************************************************
class WebCategoriesList extends XPItemList {
	
	function WebCategoriesList($arguments) {

		$i = 0;
		
		$projectId				= $arguments["projectId"];

		XPItemList::XPItemList(array($projectId, "webCategory"));

	}
		
	function addIncluded($webCategoryToAdd) {
		global $availableCategoriesList;
		
		//echoDebug("addIncluded".($webCategoryToAdd->view->isModify?"modify":"no"));

		parent::addIncluded($webCategoryToAdd);

		$availableCategoriesList[$webCategoryToAdd->id] = $webCategoryToAdd->title;
	}
	
}


// *********************************************************************
// Class WebCategory
// *********************************************************************
class WebCategory extends XPItemWithIncluded {
	var $title;
	var $description;
	
	function WebCategory($arguments) {

		while (list($key, $val) = each($arguments)) {
			${$key} = $val;
		}

		XPItemWithIncluded::XPItemWithIncluded(array("webCategory", $id, $projectId));

		$this->initSimple("webLink");

		
		$this->title = $title;
		$this->description = $description;
		
	}

	function & getObjectToInsert() {

		$arguments = func_get_arg(0);

		$factory = & LinksFactory::GetFactory();

		$newCategory = & $factory->newWebCategory(
			array(
				"id"		=> "insert",
				"title"		=> getLang("ins_webCategory"),
				"projectId"	=> getCurrentProjectId(),
				"description"	=> ""
			)
		);
				
		//$result = & $newCategory;

		return $newCategory;
	}
	
}

// *********************************************************************
// Class WebLink
// *********************************************************************
class WebLink extends XPItem {
	var $title;
	var $url;
	var $description;
	var $projectId;
	
	function WebLink($arguments) {

		while (list($key, $val) = each($arguments)) {
			${$key} = $val;
		}
		
		$this->XPItem(array("webLink", $id, $projectId));
		
		$this->categoryId = $categoryId;
		$this->description = $description;
		$this->title = $title;
		$this->url = $url;
	}

	function & getObjectToInsert() {

		$arguments = func_get_arg(0);

		$i = 0;

		$categoryId		= $arguments[$i++];

		$factory = & LinksFactory::GetFactory();
		

		$newWebLink = & $factory->newWebLink(
			array(
				"id"		=> "insertLink_".$categoryId,
				"projectId"	=> getCurrentProjectId(),
				"title"		=> getLang("new_webLink"),
				"categoryId"	=> $categoryId,
				"description"	=> "",
				"url"		=> "http://"
			)
		);

		return $newWebLink;
	}

}
?>
