<?php

class MetaphorFactory extends ModelFactory {
	
	function & newMetaphor($arguments) {

		$metaphor = & new Metaphor($arguments);

		new MetaphorControler($metaphor);

		return $metaphor;

	}
		
	function & newMetaphorWord($arguments) {

		$metaphorWord = & new MetaphorWord($arguments);

		new MetaphorWordControler($metaphorWord);

		return $metaphorWord;
	}
	
}

$GLOBALS["gFactory"] = & new MetaphorFactory();

// *********************************************************************
// Class Metaphor
// *********************************************************************
class Metaphor extends XPItemList {
	var $searchWord;
	
	function isSearch() {
		return ($this->searchWord != "");
	}
	
	function Metaphor($arguments) {
		
		$this->searchWord = "";

		$projectId				= $arguments["projectId"];
		
		XPItemList::XPItemList(array($projectId, "metaphorWord"));

	}
	
	function isEmpty() {
		return ($this->nbOf("metaphorWord") == 0);
	}
		
}


// *********************************************************************
// Class MetaphorWord
// *********************************************************************
class MetaphorWord extends XPItem {
	var $title;
	var $description;
	var $projectId;
	
	function MetaphorWord($arguments) {

		while (list($key, $val) = each($arguments)) {
			${$key} = $val;
		}
		
		XPItem::XPItem(array("metaphorWord", $id, $projectId));
		
		$this->title = $title;
		$this->description = $description;
	}

	function & getObjectToInsert() {
				
		$factory = & MetaphorFactory::GetFactory();
		
		$newMetaphorWord = & $factory->newMetaphorWord(
			array(
				"id"			=> "insert",
				"title"			=> getLang("new_word"),
				"projectId"		=> getCurrentProjectId(),
				"description"	=> ""
			)
		);
		
		$result = & $newMetaphorWord;
		
		return $result;
	}
	
	
}

?>
