<?php

class ModelFactory {
	
	function ModelFactory() {
	}

	// STATIC
	function & GetFactory() {
		return $GLOBALS["gFactory"];
	}

	function init(& $item) {
		$item->controler->item = & $item;
	}

	function & httpGetBasicPostItem() {
		
		$newObject = @($this->newObject(array($_POST["switch"], array())));

		return $newObject;
	}

	function & newObject($arguments) {

		$type = ucfirst($arguments[0]);
		
		return $this->{"new$type"}($arguments[1]);
	}
}

class XPItem {
	var $type;
	var $id;
	var $projectId;
	var $toInsert = false;

	var $view;
	var $controler;
	var $isCurrent;
	
	function toString() {
		return "$this->type[$this->id]";
	}
	
	function & getIncludedById($type, $id) {
		
		if (($type == $this->type) && ($id == $this->id)) {
			
			echoDebug($this->type."[".$this->id."]getIncludedById($type, $id) is myself!");
			
			return $this;
		}
		
		$variable = null;
		
		echoDebug($this->type."[".$this->id."]getIncludedById($type, $id) is **NOT** myself! return null");
		
		return $variable;
	}

	function XPItem($arguments) {

		$i = 0;
		
		$this->type		= $arguments[$i++];
		$this->id		= $arguments[$i++];
		$this->projectId	= $arguments[$i++];

		$this->isCurrent = false;
	}
	
	/**
	* Functions giving rights to modify the team member
	* Might be overriden by sub-classes.
	* These are the DEFAULT functions...
	*/
	
	function isAllowedToDelete() {
		
		return @($GLOBALS["gConnectedUser"]->rights[$this->type]["delete"]["all"] || ($GLOBALS["gConnectedUser"]->rights[$this->type]["delete"]["proj"] && $GLOBALS["gConnectedUser"]->isMemberOf($this->projectId)));
	}
	
	function isAllowedToUpdate() {
		
		return @($GLOBALS["gConnectedUser"]->rights[$this->type]["modify"]["all"] || ($GLOBALS["gConnectedUser"]->rights[$this->type]["modify"]["proj"] && $GLOBALS["gConnectedUser"]->isMemberOf($this->projectId)));
	}
	
	function isAllowedToInsert() {
		
		return @($GLOBALS["gConnectedUser"]->rights[$this->type]["insert"]["all"] || ($GLOBALS["gConnectedUser"]->rights[$this->type]["insert"]["proj"] && $GLOBALS["gConnectedUser"]->isMemberOf($this->projectId)));
	}

	function setItemModified($error = "") {
		XPItem::class_itemModified($this->type, $this->id, $error);
	}

	function class_itemModified($type, $id, $error = "") {
		
		//echo "class_itemModified $type, $id, $error = ";
		
		$GLOBALS[XP_LAST_POST]->itemType	= $type;
		$GLOBALS[XP_LAST_POST]->itemId	= $id;
		$GLOBALS[XP_LAST_POST]->errorMsg	= $error;
		
		$_SESSION[XP_SESSION_LAST_POST] = $GLOBALS[XP_LAST_POST]->toText();
	}

	function itemWasModified() {
		return XPItem::class_itemWasModified($this->type, $this->id);
	}

	function class_itemWasModified($type, $id) {
		
		return ($GLOBALS[XP_LAST_POST]->itemType == $type && $GLOBALS[XP_LAST_POST]->itemId == $id);
	}
}


class XPItemWithIncluded extends XPItem {
	
	/// Two dimensions array of included elements
	var $multiIncludedItems;

	/// Just a pointer to the default array in $multiIncludedItems
	var $includedItems;
	var $containsModified;
	var $defaultType;

	function XPItemWithIncluded($arguments) {

		$this->XPItem($arguments);

		$this->multiIncludedItems = array();

		$this->containsModified = false;
	
	}
	
	function & getIncludedById($type, $id) {
		
		echoDebug($this->type."[".$this->id."]getIncludedById($type, $id)");
		
		$item = & parent::getIncludedById($type, $id);
		
		if ($item != null) {
			// This is myself
			return $item;
		}
		
		// This is not myself
		
		// Let's try all the included items
					
		reset($this->multiIncludedItems);
		
		while (list($key, $val) = each($this->multiIncludedItems)) {

			if (isset($val)) {
				
				reset($val);
				
				while (list($key2, $val2) = each($val)) {

					$item = & $val2->getIncludedById($type, $id);
		
					if ($item != null) {
						
						return $item;
					}
				}
			}
		}
		
		echoDebug("Item $type [$id] not found in ".$this->type."[".$this->id."]");
		
		$variable = null;
		
		return $variable;
	}

	function initSimple($defaultType) {
		echoDebug("Default type : ".$defaultType);
		
		$this->defaultType = $defaultType;
		
		$this->multiIncludedItems[$this->defaultType] = array();
		$this->includedItems = & $this->multiIncludedItems[$this->defaultType];
	}

	function initMulti($arTypes) {

		for ($i = 0; $i < sizeof($arTypes); $i++) {

			$this->multiIncludedItems[$arTypes[$i]] = array();
		}
	}
	
	function toString() {
		$text = parent::toString()."{";
		
		reset($this->multiIncludedItems);
		
		while (list($key, $val) = each($this->multiIncludedItems)) {

			if (isset($val)) {
				
				reset($val);
				
				$text .= sizeof($val)." $key items|";
			}
		}
		
		return $text."}";
	}

	function addMultiIncluded($where, & $item) {

		echoDebug("====>addMultiIncluded ".$this->toString().": ".$item->toString()." in $where");
		$this->multiIncludedItems[$where][] = & $item;
		
		$this->onAdding($item);

	}

	function onAdding(& $item) {
		
		if ($item->itemWasModified() || (isset($item->containsModified) && $item->containsModified)) {

			$this->containsModified = true;
		}
		
	}

	function addIncluded(& $item) {
		
		$this->includedItems[] = & $item;

		$this->onAdding($item);

	}

	function nbOf($type) {
		return sizeof($this->multiIncludedItems[$type]);
	}

}

class XPItemMultiList extends XPItemWithIncluded {
	
	function XPItemMultiList($arguments) {

		$i = 0;
		
		$projectId		= $arguments[$i++];

		XPItemWithIncluded::XPItemWithIncluded(array("list", 0, $projectId));

	}
}

class XPItemList extends XPItemMultiList {
	
	function XPItemList($arguments) {

		$i = 0;
		
		$projectId	= $arguments[$i++];
		$includedType	= $arguments[$i++];

		$this->XPItemMultiList(array($projectId));

		$this->initSimple($includedType);

	}
}


?>
