<?php

include "Model/Planning_model.inc.php";

class ReportsFactory extends ModelFactory {
	
	// STATIC
	function & GetFactory() {
		global $gReportsFactory;

		return $gReportsFactory;
	}

	function & newReports($arguments) {

		$item = & new Reports($arguments);

		new ReportsControler($item);

		return $item;
	}
	
}

$gReportsFactory = & new ReportsFactory();

// *********************************************************************
// Class Reports
// *********************************************************************
class Reports extends Planning {
	var $totalStories = 0;
	var $totalStoriesCompleted = 0;
	var $totalStoriesWeightCompleted = 0;
	var $totalStoriesWeightUncompleted = 0;
	var $isReady = false;
	var $datax;
	var $maxStoriesPerIte;
	var $dataYStoriesCompletedDuring;
	var $dataYStoriesInProgress;
	var $dataYStoriesCompletedPrior;
	var $dataYStoriesNotStarted;
	var $dataYIterationTaskWeight;
	var $dataYIterationTaskDone;
	var $dataYIterationStoryWeight;
	var $velocity;
	
	function processStory(& $story) {
		$this->totalStories++;
		$currStoryWeight = $story->weight;
		
		if ($story->actualCompletion >= 100 ) {
			$this->totalStoriesCompleted ++;
			$this->totalStoriesWeightCompleted += $currStoryWeight;
			return true;
		} else {
			$this->totalStoriesWeightUncompleted += $currStoryWeight;
		}
	}
	
	function setOptions($values, $bDoReset = false) {

		// Override Planning options
		$values[XP_PLANNING_POP_ITERATION_CURRENT]	= true;
	 	$values[XP_PLANNING_POP_ITERATION_OTHER]	= true;
	 	$values[XP_PLANNING_POP_STORY]				= true;
	 	$values[XP_PLANNING_POP_TASK]				= true;
		$values[XP_PLANNING_POP_STORIES_ORDERBY]	= "";

		// Affect planning options
		$result = Planning::setOptions($values, $bDoReset);

		return $result;

	}
}
?>