<?php
$GLOBALS["gThisPage"] = "Planning";
$pageTitle = "Planning";

$printAvailable		= true;
$printNeedsParam		= true;
$xmlAvailable		= true;
$rssAvailable		= true;

ob_start();

if (include "Header_init.inc.php") {

// @todo Should be done for all pages
if (isset($_GET["projectId"])) {
    $_COOKIE[XP_PROJECT_ID] = $_GET["projectId"];
    unset($_COOKIE[XP_PROJECT_NAME]);
}

//--------------- If post

if (isset($_POST["id"])) {
    processPost();
    displayReloadAfterPost($GLOBALS["gThisPage"]);
} else {
//-----------------------


if ($gIsPrint) {

	$factory = & PlanningFactoryView::GetFactory();

} else {

	$factory = & $GLOBALS["gPlanningFactory"];
}

$planning = & $factory->newPlanning(
	array(
		"projectId" => getCurrentProjectId()
	)
);

$planning->controler->dbPopulateForHeader();

// Save cookies with new values
PlanningControler::cookiesSaveGETOptions();

include "Header_view.inc.php";

// 1) Reset to default then affect options from cookies
$planning->setOptions($_COOKIE, true);

// 2) Affect options from GET
$planning->setOptions($_GET);

if ($GLOBALS["gConnectedUser"]->displayAllowedOrNot($GLOBALS["gThisPage"], $pageTitle)) {

	$currentProject = false;

	if (!$gIsXml) {

		$currentProject = displayContinueIfCurrentProject();

		$planning->view->displayJSHeader();

	}
	
	if ($gIsPrint && $currentProject) {

		$factory = & PlanningFactoryView::GetFactory();
	
		if (!$paramsReady) {
			// First visit before the user has chosen any param
    					
			$planning->view->displayChoosePrintOptions();

		} else {

			// Affect exactely what the user has chosen with form
			$planning->controler->setAllGetOptions();

			$planning->controler->dbPopulate();
			
			$planning->calculateCompletion();

			$planning->view->setPrint();
			$planning->view->display();

		}

	} elseif ($gIsXml) {
		
		if (xmlContinueIfCurrentProject()) {

			$planning->controler->dbPopulate();
			$planning->calculateCompletion();

			$planning->view->buildXML();

			insertXmlElement($planning);
		}

	} elseif($currentProject) {
		
		$planning->controler->dbPopulate();
		
		if ($gIsModifyItem) {
			
			$item = & $planning->getIncludedById($gModifyType, $gModifyId);
			
			if (isset($item)) {
				$item->view->displayModify();
			}
			
		} else {
			$planning->calculateCompletion();
			
			$planning->view->displayChooseOptions();
			
			$planning->view->display();
			
		}

	}
	
} // if not allowed to display

} // else post
}
ob_end_flush();

include "Footer_view.inc.php";


?>
