<?php
$test = "Projects";
global $TEST_VIEW;
include_once "Controler/".$test."_controler.inc.php";
include_once "Model/".$test."_model.inc.php";
include_once "View/".$test."_view.inc.php";

class ProjectsTestData {
	var $num;
	var $availableLinkTypes;
	
	// ------- ProjectList 1
	var $projectList1;
		
	// ------- Project 1
	var $project1;
	var $projectInfos1;
	
	// ------- Project link 1
	var $projectLink1;
	var $projectLinkInfos1;
	
	var $factory;
	
	function ProjectsTestData($num = 0) {
		
		global $projectIds;
		global $projectNames;

		$this->factory = & new ProjectsFactoryView();
		
		$projectIds = array (
			1,
			2
		);
		
		$projectNames = array (
			"project youpi",
			"project youpla"
		);
		
		$GLOBALS["gConnectedUser"] = & new User(XP_UBER_USER);
		$this->num = $num;
		
		/**
		* Common variables
		*/
		$this->availableLinkTypes = array(
			"2" => "a type",
			"3" => "another type",
			"1" => "yet another type"
		);
	}
	
	function buildProject1($gui = false) {
		global $TEST_VIEW;
		
		// ------- Project 1
		$this->projectInfos1["id"] = $this->num."1";
		$this->projectInfos1["title"] = "Project ".$this->projectInfos1["id"];
		$this->projectInfos1["description"] = "Description of project ".$this->projectInfos1["title"];
		$this->projectInfos1["availableLinkTypes"] = array();
		
		$this->project1 = $this->factory->newProject(
			$this->projectInfos1);
		
		$this->project1->multiIncludedItems = array(array(),array(),array(),array());
		$this->project1->availableLinkTypes = array("cvs", "directory", "doc", "javadoc");
	}
	
	function buildProjectLink1($gui = false) {
		global $TEST_VIEW;
		
		// ------- Project 1
		$this->projectLinkInfos1["id"] = $this->num."1";
		$this->projectLinkInfos1["title"] = "ProjectLink ".$this->projectLinkInfos1["id"];
		$this->projectLinkInfos1["projectId"] = 2;
		reset($this->availableLinkTypes);
		list($typeId,$typeName) = each($this->availableLinkTypes);
		$this->projectLinkInfos1["linkType"] = $typeId;
		$this->projectLinkInfos1["linkTypeName"] = $typeName;
		$this->projectLinkInfos1["url"] = "url of ".$this->projectLinkInfos1["title"];
		
		$this->projectLink1 = $this->factory->newProjectLink(
			$this->projectLinkInfos1);
	}
}

class ProjectTest extends XPTestCase {
	var $testData;

	function setUp() {
		global $TEST_VIEW;
		
		$this->testData = & new ProjectsTestData(1);
		$this->testData->buildProject1($TEST_VIEW);
	}
	
	function test_creator() {
		$this->assertTrue(isSet($this->testData->project1->id), "id exists");
		$this->assertTrue(isSet($this->testData->project1->title), "title exists");
	}
	
	function test_rights_delete() {
		
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->name = "test user";
	
		$result = $this->testData->project1->isAllowedToDelete();
		$this->assertFalse($result, "no rights to delete");

		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->rights["project"]["delete"]["all"] = true;
		$result = $this->testData->project1->isAllowedToDelete();
		$this->assertTrue($result, "all rights to delete");
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->id = 0;
		$GLOBALS["gConnectedUser"]->rights["project"]["delete"]["proj"] = true;
		$GLOBALS["gConnectedUser"]->affectations = array(
			$this->testData->project1->id => true
		);
		$result = $this->testData->project1->isAllowedToDelete();
		$this->assertTrue($result, "right to delete this project");
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->id = 0;
		$GLOBALS["gConnectedUser"]->rights["project"]["delete"]["proj"] = true;
		$GLOBALS["gConnectedUser"]->affectations = array(
		);
		$result = $this->testData->project1->isAllowedToDelete();
		$this->assertFalse($result, "right to delete my projects but is not member of this project");
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->id = 0;
		$GLOBALS["gConnectedUser"]->affectations = array(
			$this->testData->project1->id => true
		);
		$result = $this->testData->project1->isAllowedToDelete();
		$this->assertFalse($result, "Is member of this project but no right to delete my projects");
	}
	
	function test_rights_update() {
		
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->name = "test user";
	
		$result = $this->testData->project1->isAllowedToUpdate();
		$this->assertFalse($result, "no rights to modify");

		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->rights["project"]["modify"]["all"] = true;
		$result = $this->testData->project1->isAllowedToUpdate();
		$this->assertTrue($result, "all rights to modify");
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->id = 0;
		$GLOBALS["gConnectedUser"]->rights["project"]["modify"]["proj"] = true;
		$GLOBALS["gConnectedUser"]->affectations = array(
			$this->testData->project1->id => true
		);
		$result = $this->testData->project1->isAllowedToUpdate();
		$this->assertTrue($result, "right to modify this project");
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->id = 0;
		$GLOBALS["gConnectedUser"]->rights["project"]["modify"]["proj"] = true;
		$GLOBALS["gConnectedUser"]->affectations = array(
		);
		$result = $this->testData->project1->isAllowedToUpdate();
		$this->assertFalse($result, "right to modify my projects but is not member of this project");
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->id = 0;
		$GLOBALS["gConnectedUser"]->affectations = array(
			$this->testData->project1->id => true
		);
		$result = $this->testData->project1->isAllowedToUpdate();
		$this->assertFalse($result, "Is member of this project but no right to modify my projects");
	}

	function test_rights_insert() {
		
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->name = "test user";
	
		$result = $this->testData->project1->isAllowedToInsert();
		$this->assertFalse($result, "no rights to insert");

		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->rights["project"]["insert"]["all"] = true;
		$result = $this->testData->project1->isAllowedToInsert();
		$this->assertTrue($result, "all rights to insert");
	}
	
	function test_rights_select() {
		
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->name = "test user";
	
		$result = $this->testData->project1->isAllowedToSelect();
		$this->assertFalse($result, "no rights to select");

		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->rights["project"]["select"]["all"] = true;
		$result = $this->testData->project1->isAllowedToSelect();
		$this->assertTrue($result, "all rights to select");
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->id = 0;
		$GLOBALS["gConnectedUser"]->rights["project"]["select"]["proj"] = true;
		$GLOBALS["gConnectedUser"]->affectations = array(
			$this->testData->project1->id => true
		);
		$result = $this->testData->project1->isAllowedToSelect();
		$this->assertTrue($result, "right to select this project");
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->id = 0;
		$GLOBALS["gConnectedUser"]->rights["project"]["select"]["proj"] = true;
		$GLOBALS["gConnectedUser"]->affectations = array(
		);
		$result = $this->testData->project1->isAllowedToSelect();
		$this->assertFalse($result, "right to select my projects but is not member of this project");
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->id = 0;
		$GLOBALS["gConnectedUser"]->affectations = array(
			$this->testData->project1->id => true
		);
		$result = $this->testData->project1->isAllowedToSelect();
		$this->assertFalse($result, "Is member of this project but no right to select my projects");
	}
	
	function View_test_Project() {
		$this->testData->project1->view->display();
	}
}
class ProjectLinkTest extends XPTestCase {
	var $testData;

	function setUp() {
		global $TEST_VIEW;
		
		$this->testData = & new ProjectsTestData(1);
		$this->testData->buildProjectLink1($TEST_VIEW);
	}
	
	function test_creator() {
		$this->assertTrue(isSet($this->testData->projectLink1->id), "id exists");
		$this->assertTrue(isSet($this->testData->projectLink1->title), "title exists");
	}
	
	function test_rights_delete() {
		
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->name = "test user";
	
		$result = $this->testData->projectLink1->isAllowedToDelete();
		$this->assertFalse($result, "no rights to delete");

		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->rights["projectLink"]["delete"]["all"] = true;
		$result = $this->testData->projectLink1->isAllowedToDelete();
		$this->assertTrue($result, "all rights to delete");
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->id = 0;
		$GLOBALS["gConnectedUser"]->rights["projectLink"]["delete"]["proj"] = true;
		$GLOBALS["gConnectedUser"]->affectations = array(
			$this->testData->projectLink1->projectId => true
		);
		$result = $this->testData->projectLink1->isAllowedToDelete();
		$this->assertTrue($result, "right to delete this project");
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->id = 0;
		$GLOBALS["gConnectedUser"]->rights["projectLink"]["delete"]["proj"] = true;
		$GLOBALS["gConnectedUser"]->affectations = array(
		);
		$result = $this->testData->projectLink1->isAllowedToDelete();
		$this->assertFalse($result, "right to delete my projects but is not member of this project");
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->id = 0;
		$GLOBALS["gConnectedUser"]->affectations = array(
			$this->testData->projectLink1->projectId => true
		);
		$result = $this->testData->projectLink1->isAllowedToDelete();
		$this->assertFalse($result, "Is member of this project but no right to delete my projects");
	}
	
	function test_rights_update() {
		
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->name = "test user";
	
		$result = $this->testData->projectLink1->isAllowedToUpdate();
		$this->assertFalse($result, "no rights to modify");

		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->rights["projectLink"]["modify"]["all"] = true;
		$result = $this->testData->projectLink1->isAllowedToUpdate();
		$this->assertTrue($result, "all rights to modify");
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->id = 0;
		$GLOBALS["gConnectedUser"]->rights["projectLink"]["modify"]["proj"] = true;
		$GLOBALS["gConnectedUser"]->affectations = array(
			$this->testData->projectLink1->projectId => true
		);
		$result = $this->testData->projectLink1->isAllowedToUpdate();
		$this->assertTrue($result, "right to modify this project");
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->id = 0;
		$GLOBALS["gConnectedUser"]->rights["projectLink"]["modify"]["proj"] = true;
		$GLOBALS["gConnectedUser"]->affectations = array(
		);
		$result = $this->testData->projectLink1->isAllowedToUpdate();
		$this->assertFalse($result, "right to modify my projects but is not member of this project");
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->id = 0;
		$GLOBALS["gConnectedUser"]->affectations = array(
			$this->testData->projectLink1->projectId => true
		);
		$result = $this->testData->projectLink1->isAllowedToUpdate();
		$this->assertFalse($result, "Is member of this project but no right to modify my projects");
	}

	function test_rights_insert() {
		
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->name = "test user";
	
		$result = $this->testData->projectLink1->isAllowedToInsert();
		$this->assertFalse($result, "no rights to insert");

		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->rights["projectLink"]["insert"]["all"] = true;
		$result = $this->testData->projectLink1->isAllowedToInsert();
		$this->assertTrue($result, "all rights to insert");
	}
	
	function View_test_ProjectLink() {
		$this->testData->projectLink1->view->display();
	}
}

$testSuite = & new GroupTest("ProjectTest");
$testSuite->addTestClass("ProjectTest");
$testSuite->addTestClass("ProjectLinkTest");

runAndDisplay($testSuite);
?>
