<?php
$test = "Team";
global $TEST_VIEW;
include "Controler/".$test."_controler.inc.php";
include "Model/".$test."_model.inc.php";
include "View/".$test."_view.inc.php";


global $gExistingProfiles;
$gExistingProfiles = array("A profile", "Another profile");


class TeamTestData {
	var $num;
	
	// ------- Team 1
	var $team1;
	var $teamInfos1 = array();
	
	// ------- Member 1
	var $member1;
	var $memberInfos1 = array();

	var $factory;
	
	function TeamTestData($num = 0) {
		

		$this->factory = & new TeamFactoryView();
		
		$GLOBALS["gConnectedUser"] = & new User(XP_UBER_USER);
		$this->num = $num;
	}
	
	function buildMember1($gui = false) {
		global $TEST_VIEW;
		
		// ------- Member 1
		$this->memberInfos1["id"] = $this->num."1";
		$this->memberInfos1["title"] = "Member ".$this->memberInfos1["id"];
		$this->memberInfos1["profileId"] = 1;
		$this->memberInfos1["description"] = "Description of member ".$this->memberInfos1["title"];

		$this->member1 = $this->factory->newMember($this->memberInfos1);
	}
	
	function buildTeam1($gui = false) {
		global $TEST_VIEW;
		
		// ------- Team 1
		$this->teamInfos1["currentProject"] = $this->num."1";
		$this->teamInfos1["currentProjectName"] = "Project ".$this->teamInfos1["currentProject"];
			
		$this->team1 = $this->factory->newTeam(
			array(
				"projectId"				=> $this->teamInfos1["currentProject"],
				"currentProjectName"	=> $this->teamInfos1["currentProjectName"]
			)
		);

	}
}

class MemberTest extends XPTestCase {
	var $testData;
	
	var $defaultMemberInfos;

	function setUp() {
		global $TEST_VIEW;
		
		$this->testData = & new TeamTestData(1);
		$this->testData->buildMember1($TEST_VIEW);
		
		$this->defaultMemberInfos = array(
			"id"		=> 0,
			"profileId"	=> 0,
			"title"		=> "",
			"description"	=> ""
		);
	}
	
	function test_creator() {
		$this->assertTrue(isset($this->testData->member1->title), "title exists");
	}
	
	function test_rights_delete() {
		
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->name = "test user";
				
		$member = & $this->testData->factory->newMember($this->testData->memberInfos1);
		$result = $member->isAllowedToDelete();
		$this->assertFalse($result, "no rights to delete");

		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->rights["member"]["delete"]["all"] = true;
		$member = & $this->testData->factory->newMember($this->testData->memberInfos1);
		$result = $member->isAllowedToDelete();
		$this->assertTrue($result, "all rights to delete");
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->id = $this->testData->memberInfos1["id"];
		$GLOBALS["gConnectedUser"]->rights["member"]["delete"]["me"] = true;
		$member = & $this->testData->factory->newMember($this->testData->memberInfos1);
		$result = $member->isAllowedToDelete();
		$this->assertTrue($result, "right to delete myself");
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->id = $this->testData->memberInfos1["id"] + 12;
		$GLOBALS["gConnectedUser"]->rights["member"]["delete"]["me"] = true;
		$member = & $this->testData->factory->newMember($this->testData->memberInfos1);
		$result = $member->isAllowedToDelete();
		$this->assertFalse($result, "right to delete myself but is not myself");
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		// Task responsible id
		$GLOBALS["gConnectedUser"]->id = $this->testData->memberInfos1["id"] + 12;
		$member = & $this->testData->factory->newMember($this->testData->memberInfos1);
		$result = $member->isAllowedToDelete();
		$this->assertFalse($result, "is myself but no right to delete my task");
	}
	
	function test_rights_update() {
		
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->name = "test user";
		
		$member = $this->testData->factory->newMember($this->testData->memberInfos1);
		$result = $member->isAllowedToUpdate();
		$this->assertFalse($result, "no rights to update");

		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->rights["member"]["modify"]["all"] = true;
		$member = $this->testData->factory->newMember($this->testData->memberInfos1);
		$result = $member->isAllowedToUpdate();
		$this->assertTrue($result, "all rights to update");
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->id = $this->testData->memberInfos1["id"];
		$GLOBALS["gConnectedUser"]->rights["member"]["modify"]["me"] = true;
		$member = $this->testData->factory->newMember($this->testData->memberInfos1);
		$result = $member->isAllowedToUpdate();
		$this->assertTrue($result, "right to update myself");
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->id = $this->testData->memberInfos1["id"] + 12;
		$GLOBALS["gConnectedUser"]->rights["member"]["modify"]["me"] = true;
		$member = $this->testData->factory->newMember($this->testData->memberInfos1);
		$result = $member->isAllowedToUpdate();
		$this->assertFalse($result, "right to update myself but is not myself");
	}
	
	function test_rights_insert() {
		
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->name = "test user";
		
		$member = $this->testData->factory->newMember($this->testData->memberInfos1);
		$result = $member->isAllowedToInsert();
		$this->assertFalse($result, "no rights to insert in any project - no project");
		$result = $member->isAllowedToInsert(4);
		$this->assertFalse($result, "no rights to insert in any project - a project");
		
		
		$member = $this->testData->factory->newMember($this->testData->memberInfos1);
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->affectations = array(
			4 => true
		);
		$result = $member->isAllowedToInsert(4);
		$this->assertFalse($result, "no rights to insert in any project - even if member of the project - a project");

		$member = $this->testData->factory->newMember($this->testData->memberInfos1);
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->rights["member"]["insert"]["all"] = true;
		$result = $member->isAllowedToInsert();
		$this->assertTrue($result, "allowed to insert but not to affect - no project");
		$result = $member->isAllowedToInsert(4);
		$this->assertFalse($result, "allowed to insert but not to affect - a project");

		$member = $this->testData->factory->newMember($this->testData->memberInfos1);
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->rights["member"]["insert"]["all"] = true;
		$GLOBALS["gConnectedUser"]->affectations = array(
			4 => true
		);
		$result = $member->isAllowedToInsert(4);
		$this->assertFalse($result, "allowed to insert but not to affect - even if member of the project - a project");
		
		$member = $this->testData->factory->newMember($this->testData->memberInfos1);
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->rights["member"]["affect"]["all"] = true;
		$result = $member->isAllowedToInsert(4);
		$this->assertFalse($result, "allowed to affect all but not to insert - a project");
		
		$member = $this->testData->factory->newMember($this->testData->memberInfos1);
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->rights["member"]["affect"]["all"] = true;
		$GLOBALS["gConnectedUser"]->affectations = array(
			4 => true
		);
		$result = $member->isAllowedToInsert(4);
		$this->assertFalse($result, "allowed to affect all but not to insert - even if member of the project - a project");

		$member = $this->testData->factory->newMember($this->testData->memberInfos1);
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->rights["member"]["affect"]["proj"] = true;
		$GLOBALS["gConnectedUser"]->affectations = array(
			4 => true
		);
		$result = $member->isAllowedToInsert(4);
		$this->assertFalse($result, "allowed to affect to this project but not to insert - even if member of the project - a project");

		$member = $this->testData->factory->newMember($this->testData->memberInfos1);
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->rights["member"]["insert"]["proj"] = true;
		$GLOBALS["gConnectedUser"]->affectations = array(
			4 => true
		);
		$result = $member->isAllowedToInsert(4);
		$this->assertFalse($result, "allowed to insert into this project but not to affect - even if member of the project - a project");
		
		$member = $this->testData->factory->newMember($this->testData->memberInfos1);
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->rights["member"]["insert"]["all"] = true;
		$GLOBALS["gConnectedUser"]->rights["member"]["affect"]["proj"] = true;
		$GLOBALS["gConnectedUser"]->affectations = array(
		);
		$result = $member->isAllowedToInsert(4);
		$this->assertFalse($result, "allowed to insert into my projects and to affect to my projects but not member");

		$member = $this->testData->factory->newMember($this->testData->memberInfos1);
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->rights["member"]["insert"]["all"] = true;
		$GLOBALS["gConnectedUser"]->rights["member"]["affect"]["proj"] = true;
		$result = $member->isAllowedToInsert();
		$this->assertTrue($result, "allowed to insert into my projects and to affect to my projects - insert into no project");
	}
	
	function test_rights_affect() {
		
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->name = "test user";
		
		$member = $this->testData->factory->newMember($this->testData->memberInfos1);
		$result = $member->isAllowedToOrDeAffectFromToProject(0);
		$this->assertFalse($result, "no rights to affect");

		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->rights["member"]["affect"]["all"] = true;
		$member = $this->testData->factory->newMember($this->testData->memberInfos1);
		$result = $member->isAllowedToOrDeAffectFromToProject(0);
		$this->assertTrue($result, "all rights to affect");
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->id = $this->testData->memberInfos1["id"];
		$GLOBALS["gConnectedUser"]->rights["member"]["affect"]["me"] = true;
		$member = $this->testData->factory->newMember($this->testData->memberInfos1);
		$result = $member->isAllowedToOrDeAffectFromToProject(0);
		$this->assertTrue($result, "right to affect myself");
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->id = $this->testData->memberInfos1["id"] + 12;
		$GLOBALS["gConnectedUser"]->rights["member"]["affect"]["me"] = true;
		$member = $this->testData->factory->newMember($this->testData->memberInfos1);
		$result = $member->isAllowedToOrDeAffectFromToProject(0);
		$this->assertFalse($result, "right to affect myself but is not myself");
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->id = $this->testData->memberInfos1["id"] + 12;
		$GLOBALS["gConnectedUser"]->rights["member"]["affect"]["proj"] = true;
		$GLOBALS["gConnectedUser"]->affectations = array(
			5 => true
		);
		$member = $this->testData->factory->newMember($this->testData->memberInfos1);
		$result = $member->isAllowedToOrDeAffectFromToProject(5);
		$this->assertTrue($result, "right to affect on a project I'm member of");
		
		$GLOBALS["gConnectedUser"]->setAllRights(false);
		$GLOBALS["gConnectedUser"]->id = $this->testData->memberInfos1["id"] + 12;
		$GLOBALS["gConnectedUser"]->affectations = array(
			5 => true
		);
		$member = $this->testData->factory->newMember($this->testData->memberInfos1);
		$result = $member->isAllowedToOrDeAffectFromToProject(5);
		$this->assertFalse($result, "I'm member of same project but not allowed to update");
	}
	
	function View_test_Member() {
		$this->testData->member1->view->display();
	}
}

class TeamTest extends XPTestCase {
	var $testData;

	function setUp() {
		global $TEST_VIEW;
		$this->testData = & new TeamTestData(1);
		$this->testData->buildTeam1($TEST_VIEW);
	}
	
	function test_creator() {
		$this->assertTrue(isSet($this->testData->team1->projectId), "Team exists");
	}
	
	function View_test_Team() {
		$this->testData->team1->view->display();
	}
}

$testSuite = & new GroupTest("MemberTest");
$testSuite->addTestClass("MemberTest");
$testSuite->addTestClass("TeamTest");


runAndDisplay($testSuite);

?>
