<?php
include "test_includes.inc.php";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"        "http://www.w3.org/TR/2000/REC-xhtml1-20000126/DTD/xhtml1-transitional.dtd">
<?php
echo "<?xml version=\"1.0\"?>\n";

$existingTests = array(
	"Planning",
	//"Planning_db",
	"Team",
	"Projects"
);

?>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="content-type" content="text/html;charset=ISO-8859-1" />
	<link type="text/css" rel="stylesheet" href="phpunit/stylesheet.css" />
	<script type="text/javascript" src="../View/XPWeb.js"></script>
	<link type="text/css" rel="stylesheet" href="../View/style/XPWeb.css" />
	<?php
	foreach($existingTests as $testSection) {
	?>
		<link type="text/css" rel="stylesheet" href="../View/style/XPWeb_<?=$testSection?>.css" />
<style type="text/css">
.test_expecting, .test_actual
{
	font-weight: bold;
}

.test_expected
{
	color: green;
}

.test_actual
{
	color: red;
}

DIV.test_actual
{
	background-color: #ffcccc;
}

.testCase
{
	background-color: #eeeeee;
	margin-bottom: 2px;
}

.testCase *
{
	font-size: 10px;
}
</style>
	<?php
	}
	?>
	<title>
XPWeb tests</title>
</head>
<body>
<?php



if (!isSet($TEST_VIEW)) {
	$TEST_VIEW = 0;
}

if (!isSet($XP_DEBUG)) {
	SetDebug(0);
}


if (empty($test)) {
	// Choose tests
	?>
	<span class="xp">XP</span><span class="web">Web</span> - choose a test or all tests
	<div class="text">
	<?php
	reset($existingTests);
	while(list($key,$value) = each($existingTests)) {
		displayTestLink($value, false);
	}
	?>
	</div>
	<?php
	echo "<br/><br/>";
	echo "<a href=\"".$_SERVER["PHP_SELF"]."?TEST_VIEW=$TEST_VIEW&test=full\">[Show all tests]</a>";
	echo "<br/><br/>";
} else if ($test == "full") {
	// Run all tests
	?>
	<span class="xp">XP</span><span class="web">Web</span> - all tests
	<div class="text">
	<?php
	reset($existingTests);
	while(list($key,$value) = each($existingTests)) {
		displayTest($value);
	}
	?>
	</div>
	<?php
	echo "<br/><br/>";
	echo "<a href=\"".$_SERVER["PHP_SELF"]."?TEST_VIEW=$TEST_VIEW&test=\">[Choose test]</a>";
	echo "<br/><br/>";
} else {
	// If specific test to run
	?>
	<span class="xp">XP</span><span class="web">Web</span> - <?=$test?> tests<br/><br/>
	<div class="text">
	<?php
	displayTest($test);
	?>
	</div>
	<?php
	echo "<br/><br/>";
	echo "<a href=\"".$_SERVER["PHP_SELF"]."?TEST_VIEW=$TEST_VIEW&test=\">[Choose test]</a>";
	echo "<br/><br/>";
}


if ($TEST_VIEW && !empty($test)) {
	echo "<a href=\"".$_SERVER["PHP_SELF"]."?TEST_VIEW=0&test=$test\">[Hide GUI tests]</a>";
} elseif (!empty($test)) {
	echo "<a href=\"".$_SERVER["PHP_SELF"]."?TEST_VIEW=1&test=$test\">[Show GUI tests]</a>";
}

if (isDebug() && !empty($test)) {
	echo "<a href=\"".$_SERVER["PHP_SELF"]."?XP_DEBUG=0&test=$test\">[Hide Debug trace]</a>";
} elseif (!empty($test)) {
	echo "<a href=\"".$_SERVER["PHP_SELF"]."?XP_DEBUG=1&test=$test\">[Show Debug trace]</a>";
}

function displayTest($theTest) {
	displayTestLink($theTest, true);
	
	$testFile = $theTest."_test.inc.php";
	include $testFile;
}

function displayTestLink($theTest, $inTest) {
	global $TEST_VIEW;
	
	if ($inTest) {
		$anchor = "";
	} else {
		$anchor = "&test=$theTest";
	}
	
	displayDivStart("helpTitle");
	echo "<a class=\"helpTitle\" href=\"".$_SERVER["PHP_SELF"]."?TEST_VIEW=$TEST_VIEW$anchor\">$theTest</a>";
	displayDivEnd();
	echo "<br/><br/>";
}

?>

</body>
</html>
