<?php
//error_reporting (E_ERROR);

$phpVersionIsFive = (phpversion() >= '5');

if ($phpVersionIsFive) {
	//die ("Tests only run on PHP4...");
}

$TEST_VIEW = @$_GET["TEST_VIEW"];
$test = @$_GET["test"];


require_once("Config_test.inc.php");
 


$GLOBALS["gCurrentPath"] = "../";
$currentDir = getcwd();

$myRep = dir($GLOBALS["gCurrentPath"]);
chdir($myRep->path);

$GLOBALS["gThisPage"] = "index";

require_once("Header_init.inc.php");


/**
* Global variables computed once for the full html page
*/
$gNow = time();
list($startHour, $startMinute) = explode(":", XP_START_HOUR);
list($endHour, $endMinute) = explode(":", XP_END_HOUR);
		
$gSecondsWorkedInADay = mktime($endHour,$endMinute,0,date("n"),date("j"),date("Y")) - mktime($startHour,$startMinute,0,date("n"),date("j"),date("Y"));

require_once "Model/Model_XPItem.inc.php";

if (eregi("postgres", XP_DB_TYPE)) {
    require_once "Model/PgDatabase_model.inc.php";
} else {
    require_once "Model/Database_model.inc.php";
}

require_once "View/View.inc.php";
require_once "View/View_XPItemView.inc.php";
require_once "View/Database_view.inc.php";

require_once "Controler/Controler_XPItemControler.inc.php";

// We use a specific database for these tests so we don't polute...

$GLOBALS["gDb"] = & $gDatabaseFactory->newDatabase(XP_DB_TYPE);

$GLOBALS["gDb"]->location	= XP_DB_HOST;
$GLOBALS["gDb"]->account	= XP_DB_USER;
$GLOBALS["gDb"]->password	= XP_DB_PASS;
$GLOBALS["gDb"]->database	= XP_DB_DATABASE;

$GLOBALS["gDb"]->connect();

if (!$GLOBALS["gDb"]->isConnected() && $GLOBALS["gDb"]->status == $GLOBALS["gDb"]->ERROR_NO_DB) {
	
	// We build a full database
	$GLOBALS["gDb"]->buildFullDatabase();
	
	echo "<br/><br/>";
	echo "<span class=\"bigError\" style=\"text-align: center;\">";
	echo "IMPORTANT NOTICE:";
	echo "<br/><br/>";
	echo "A test database VERSION 2.1 named \"".XP_DB_DATABASE."\" has been created";
	echo "<br/><br/>";
	echo "<br/><br/>";
	echo "</span>";

	$GLOBALS["gDb"]->connect();
}

require_once "Model/Model.inc.php";
require_once "Model/Login_model.inc.php";



$GLOBALS["gConnectedUser"] = & new User(XP_UBER_USER);

// We get this after all the includes...
if (isset($_GET["XP_DEBUG"])) {
	SetDebug($_GET["XP_DEBUG"]);
}

//require_once "Test/phpunit/phpunit.php";

require_once('Test/simpletest/unit_tester.php');
require_once('Test/simpletest/reporter.php');


$myRep = dir($currentDir);
chdir($myRep->path);


class XPTestReport extends HTMLReporter {
	
	/*
	function paintMethodStart($test_name) {
		echo $test_name;
        }
	
	function paintPass($message) {
		echo "ok";
	}
	
	function paintMethodEnd($test_name) {
		echo "<br/>";
        }
	*/
	
	var $hasPassed;
	var $currentTestName;
	
	function paintMethodStart($test_name) {
		parent::paintMethodStart($test_name);
		
		$this->currentTestName = $test_name;
		$this->hasPassed = true;
		
		displayDivStart("testCase");
		$this->echoTestName();
        }	
	
	function echoTestName() {
		$breadcrumb = $this->getTestList();
		array_shift($breadcrumb);
		echo implode(" -&gt; ", $breadcrumb);
	}
	
	function paintFail($message) {
		SimpleReporter::paintFail($message);
		echo "<div class=\"test_actual\">";
		echo $message;
		echo "</div>";
		$this->hasPassed = false;
	}
	
	
	function paintMethodEnd($test_name) {
		parent::paintMethodEnd($test_name);
		if ($this->hasPassed) {
			echo "&nbsp;&nbsp;<span class=\"test_expected\">";
			echo "ok";
			echo "</span>";
		}
		
		displayDivEnd();
        }
	
	function paintHeader($test_name) {
	}
    
    
}

class XPTestCase extends UnitTestCase {
	
	function assertEquals($expected, $actual, $message = "") {
		$result = $this->assertTrue($expected == $actual, $message);
		
		if (!$result) {
			?><div><span class="test_expected"><?=$expected?></span> != 
			<span class="test_actual"><?=$actual?></span>
			</div><?php
		}
		
		return $result;
	}
	
	function _isTest($method) {
		global $TEST_VIEW;
		
		return parent::_isTest($method) || ($TEST_VIEW && (strtolower(substr($method, 0, 5)) == 'view_'));
        }
}

function runAndDisplay(& $testSuite) {
	/*
	
	?>
	<h1>
	<?php
	echo $testSuite->getLabel();
	?>
	</h1>
	<?php
	
	$result = & new PrettyTestResult();
	$testSuite->run($result);
	$result->report();
	*/
	$result = $testSuite->run(new XPTestReport());
	
	echo "<br/>";
	
	return $result;
}

function echoDebugTestHeader($test) {
	echoDebug("-----------------------------------------");
	echoDebug($test);
	echoDebug("-----------------------------------------");
}
?>
