<?php

class DatabaseFactoryView extends DatabaseFactory {

	function & newDatabase($databaseType) {
		
		// Create the object
		$object = & parent::newDatabase($databaseType);

		// Create the associated view
		$view = & new XpDatabaseView($object);

		return $object;
	}
		
}

$gDatabaseFactory = & new DatabaseFactoryView();

class XpDatabaseView extends XPItemView {

	function displayPostError() {

		displayErrorMsg(getLang("error"), getLang("update_db_error"));

	}

	function displayPostOk() {

		if ($this->item->printUpdate) {

			include "Footer_Simple_html.inc.php";

			exit(1);
		}

		echo getLang("update_db_ok1", XPWEB_TITLE);
		
		?><br/><br/><br/>
		<a href="http://sourceforge.net/donate/index.php?group_id=65370" target="_blank">
		<img src="http://images.sourceforge.net/images/project-support.jpg" alt="Help!" border="0" height="32" width="88"/>
		</a><br/><br/><br/>
		<?php

		echo "<a href=\"javascript:url('".getReloadUrl($GLOBALS["gThisPage"])."');\">".getLang("start_playing")."</a>";

	}

	function displayErrorWithDb() {
		$title = getLang("unable_connect");
		$details = "<br/><br/>";
		$details .= getLang("check_config_file");
		$details .= "<br/><br/>";
		$details .= "XP_DB_TYPE<br/>";
		$details .= "XP_DB_HOST<br/>";
		$details .= "XP_DB_DATABASE<br/>";
		$details .= "XP_DB_USER<br/>";
		$details .= "XP_DB_PASS";
	
		displayErrorMsg($title, $details);
	}
	
	function displayDBProblem() {
		
		$title = getLang("database_error");
		$details = getLang("link_err_2")." "." <a href=\"".$GLOBALS["gCurrentPath"]."index.php\">".getLang("home")."</a> ".getLang("see_home_instructions");
	
		displayErrorMsg($title, $details);
	}
	
	function displayTimeToInitDB() {
		$title = getLang("uncomplete_db");
		
		displayErrorMsgStart($title);
		echo getLang("no_db_1")." ";
		displayXPWebTitle();
		echo " ".getLang("no_db_2");
		echo "<br />";
		echoLang("initialize_db");
		echo "<br />";
		echo "<br />";
		$this->displayInitDBLink();
		displayErrorMsgEnd();
		
	}
	
	function displayInitDBLink() {
		$this->item->type = "init";
		$confirmMsg = getLang("confirm_init_db");
		$this->displayModifyDBLink($confirmMsg);
	}
	
	function displayModifyDBLink($confirmMsg) {
		$linkName = "link_".$this->item->type;
		$action = getLang("link_".$this->item->type."_db");
		$formName = $this->getFormName();
		
		$formDiv = "div_".$this->getFormName();
		displayDivStart("db");
		
		
		displayVisibleInvisibleSectionStart(XP_VISIBLE, $linkName);
		?>
		
		<?=getJavascriptLink("modify", "[$action]", visibleInvisible(array($formDiv, $linkName)), "")?>
		
		<?php
		displayVisibleInvisibleSectionEnd(XP_VISIBLE, $linkName);
		
		
		displayVisibleInvisibleSectionStart(XP_INVISIBLE, $formDiv);
		
		$this->displaySimpleFormStart($this->getFormName(), "index.php", "", "get");
		
		echo $confirmMsg;
		echo "<br/>";
		echoLang("confirm_print_db", getLang("display"));
		?>
		<br/>
		<br/>
		
		<?=getJavascriptLink("cancel", getLang("cancel"), visibleInvisible(array($formDiv, $linkName)), "")?>
		<?=getJavascriptLink("reset", getLang("display"), "dbPrintUpdate('$formName')", "")?>
		<?=getJavascriptLink("ok", getLang("ok"), "sub('$formName');", "")?>
		
		<?php
		
		$this->displaySimpleFormEnd($this->getFormName());
		
		displayVisibleInvisibleSectionEnd(XP_INVISIBLE, $formDiv);
		
		displayDivEnd();
	}
	
	function displayTimeToUpdateDB() {
		$title = getLang("out_of_date_db");
		$details = "";
	
		displayErrorMsgStart($title);
		echo "<br />";
		echo getLang("update_db_1")." ";
		displayXPWebTitle();
		echo " ".getLang("update_db_2");
		echo "<br />";
		echo "<br />";
		$this->displayUpdateDBLink();
		echo "<br />";
		if ($this->item->getVersion() < 2.5) {
			echoLang("remember_config_db");
			echo "<br />";
			echo "<br />";
		}
		displayErrorMsgEnd();
	}
	
	function displayUpdateDBLink() {
		$this->item->type = "update";
		$confirmMsg = getLang("confirm_update_db", XP_SOFT_VERSION);
		$this->displayModifyDBLink($confirmMsg);
	}
}
?>
