<?php

if (!isSet($title)) {
	
	if (ereg("Help - ",$pageTitle)) {
		// is from help section
		$title = $pageTitle." - XPWeb " .XP_SOFT_VERSION;
	} else {
    	$title = "[".getSectionLang($pageTitle)."] - XPWeb ". XP_SOFT_VERSION;
    	
		if ($isProjectSection) {
    		// These are project related pages...
    		$projectName = getCurrentProjectName();
    		if (!empty($projectName)) {
    			$title = "$projectName ".$title;
    		}
    	}
	}
}

$GLOBALS["gCurrentPath"] = isset($GLOBALS["gCurrentPath"])?$GLOBALS["gCurrentPath"]:"";

if (!isset($isHelp)) {
	$isHelp = false;
}

if (!isset($gIsSimple)) {
	$gIsSimple = false;
}


if (!$isHelp && $GLOBALS["gThisPage"] != "index") {
	$helpUrl = "Help/".$GLOBALS["gThisPage"]."_help.php";
} else {
	$helpUrl = "Help/index.php";
}

if (!isset($xhtmlType)) {
	$xhtmlType = "Transitional";
}

$userCss = "XPWeb_local.css";

?><?="<?xml version=\"1.0\"?>\n"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 <?=$xhtmlType?>//EN" "http://www.w3.org/TR/2000/REC-xhtml1-20000126/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?=$gXPLanguage?>" lang="<?=$gXPLanguage?>">
<head>
	<meta http-equiv="content-type" content="text/html;charset=<?=getLang("_special_charset")?>"/>
	<?php
	if (!empty($redirectUrl)) {
		?>
		<meta http-equiv="Refresh" content="<?=$redirectTime?>; URL=<?=$redirectUrl?>" />
		<?php
	}
	?>
	<?php
	if (isSet($extraCss)) {
		while(list($id, $css) = each($extraCss)) {
		?>
		<link type="text/css" rel="stylesheet" href="<?=$css?>" id="<?=$id?>"/>
		<?php
		}
	}
	?>

	<link type="text/css" rel="stylesheet" href="<?=$GLOBALS["gCurrentPath"]?>View/style/XPWeb_navig.css" id="navigCss"/>
	<link type="text/css" rel="stylesheet" href="<?=$GLOBALS["gCurrentPath"]?>View/style/XPWeb.css" id="mainCss"/>
	<?php if ($GLOBALS["gThisPage"] != "") { ?>
	<link type="text/css" rel="stylesheet" href="<?=$GLOBALS["gCurrentPath"]?>View/style/XPWeb_<?=$GLOBALS["gThisPage"]?>.css" id="specificCss"/>
	<?php } ?>
	<link type="text/css" rel="stylesheet" href="<?=$GLOBALS["gCurrentPath"]?>View/style/XPWeb_CoolBrowsers.css" id="notForYouStupidIE"/>
	
	<!--[if IE]>
	
	<link type="text/css" rel="stylesheet" href="<?=$GLOBALS["gCurrentPath"]?>View/style/XPWeb_PoorBrowser.css" id="forYouIE"/>
	
	<![endif]-->
	
	<link rel="SHORTCUT ICON" href="<?=$GLOBALS["gCurrentPath"]?>View/images/favicon.ico" />
	
	<?php if (@$rssLink) { ?>
	<link rel="alternate" type="application/rss+xml" title="XPWeb <?=getSectionLang($GLOBALS["gThisPage"])?> - RSS Feed" href="<?=$rssUrl?>" />
	<?php } ?>

	<?php if (file_exists(dirname(__FILE__)."/".$userCss)) { ?>
	<link type="text/css" rel="stylesheet" href="<?=$GLOBALS["gCurrentPath"]."View/".$userCss?>" id="localCSS"/>
	<?php } ?>

	<link rel="Help" href="<?=$GLOBALS["gCurrentPath"]?><?=$helpUrl?>"/>

	<title>
		<?=$title?>
	</title>
	<script type="text/javascript" src="<?=$GLOBALS["gCurrentPath"]?>View/XPWeb.js"></script>
	<script type="text/javascript" src="<?=$GLOBALS["gCurrentPath"]?>Lib/wz_dragdrop/wz_dragdrop.js"></script>
	
</head>
<?php

if (!isset($onLoadText)) {
	$onLoadText = "";
}


if (!$GLOBALS[XP_LAST_POST]->isThereAPostError()) {
	$onLoadText .= "return true;";
	// No error
} else {
	$onLoadText .= "showError('".$GLOBALS[XP_LAST_POST]->itemType."', '".$GLOBALS[XP_LAST_POST]->itemId."', '".$GLOBALS[XP_LAST_POST]->errorMsg."');";
}

if ($xhtmlType != "Frameset") {
	
	$bodyClass = "";
	
	if (!$gIsPrint && !$gIsSimple) {
		$bodyClass = "class=\"normal\"";
	}
	
	if ($gIsSimple) {
		$bodyClass = "class=\"simple\"";
	}
	
	if (!$gIsSimple) {
		$onLoadText = "window.name = 'xpwebMain';".$onLoadText;
	}
	
	?>
		<body <?=$bodyClass?> onload="gDayIncrement=<?=XP_DAY_INCREMENT?>;<?=$onLoadText?>">
		
		<!-- INVISIBLE LAYERS -->
		
		<!-- Patterns display -->
		<div id="patterns" class="<?=XP_INVISIBLE?>">
			<div class="descPatt">
				<div class="pattHead">
					<?=getLang("avaible_patterns")?>
				</div>
				<div class="pattList">
					<?=$gPatternsComment?>
				</div>
			</div>
		</div>
		
	<?php
}