<?php

class LinksFactoryView extends LinksFactory {

	function & newWebCategoriesList($arguments) {
		
		// Create the object
		$object = & parent::newWebCategoriesList($arguments);

		// Create the associated view
		$view = & new WebCategoriesListView($object);

		return $object;
	}

	function & newWebCategory($arguments) {
		
		// Create the object
		$object = & parent::newWebCategory($arguments);

		// Create the associated view
		$view = & new WebCategoryView($object);

		return $object;
	}
		
	function & newWebLink($arguments) {
		
		// Create the object
		$object = & parent::newWebLink($arguments);

		// Create the associated view

		$view = & new WebLinkView($object);

		return $object;
	}
	
}

$GLOBALS["gFactory"] = & new LinksFactoryView();

class WebCategoriesListView extends XPItemListView {

	function displayOpenCloseAll($incType) {
		return true;
	}

}

class WebCategoryView extends XPItemWithIncludedView {
	
	/// Categories are always open...
	function isOpen() {
		return true;
	}

	function getIncludedComment() {
		$nbLinks = sizeof($this->item->includedItems);
				
		$dispLinks = "";
		
		if ($nbLinks > 1) {
			$dispLinks = "$nbLinks&nbsp;".getLang("links");
		} else if ($nbLinks == 1) {
			$dispLinks = getLangNbsp("one_link");
		}

		return $dispLinks;
	}
	
	function doDisplayAddIncluded() {
		displayInsert(array("webLink", $this->item->id, getLang("new_link")." ".$this->item->title));
	}
	
	function displayFields($fieldsVisibility = XP_VISIBLE) {
		$this->displayContentStart($fieldsVisibility);

		displayDivStart("title");
		echo getHtmlDbText($this->item->title);
		displayDivEnd();
		
		displayDivStart("description");
		displayDescription($this->item->description);
		displayDivEnd();
		
		$this->displayContentEnd($fieldsVisibility);
	}

	function displayModifyContent() {
		displayInputHidden("projectId", $this->item->projectId);
		
		displayInputText("title", "name", $this->item->title, getLang("name")." ");
		$this->displayModifyDescription();
	}
	
	function displayDeleteConfirm() {
		global $availableCategoriesList;
		if (sizeof($this->item->includedItems) == 0) {
			// No content, so no confirmation...
			$this->displayAreYouSure();
			?><input type="hidden" name="whatLinks" value="delete"/><?php
		} else {
			if (sizeOf($availableCategoriesList) <= 1) {
				?><input type="hidden" name="whatLinks" value="delete"/><?=getLang("remove_links")?> 
				<?php
				//displaySpanStart("note");
				//echoLang("remove_links_note");
				//displaySpanEnd();
			} else {
				?><input type="radio" name="whatLinks" value="move" checked="checked" id="delCat1"/>
				<label for="delCat1"><?=getLang("move_links")?></label>
				<?php displayCategorySelect($this->item->id, "this.form.whatLinks[0].checked = true;");?><br/>
				<input type="radio" name="whatLinks" value="delete" id="delCat2"/><label for="delCat2">&nbsp;<?=getLang("del_links")?></label>
				<?php
			}
		}
	}	
	
	
}



class WebLinkView extends XPItemView {
	
	// _________ Private functions
	
	function displayFields($fieldsVisibility = XP_VISIBLE) {
		/**
		* Note the "altern" used to display the project with
		* class projectEven of projectOdd
		*/
		$this->displayContentStart($fieldsVisibility);
		
		displayDivStart("title");
		echo getLink("title external", getHtmlDbText($this->item->title), $this->item->url);
		displayDivEnd();
		if ($this->isPrint) {
			echo "<br/>";
			displayDivStart("linkUrl");
			echo "[".$this->item->url."]";
			displayDivEnd();
		}
		displayDivStart("description");
		displayDescription($this->item->description);
		displayDivEnd();
		
		$this->displayContentEnd($fieldsVisibility);
	}
	
	function displayModifyContent($comment = "modify") {

		displayInputText("title", "name", $this->item->title, getLang("title"));
		displayInputText("linkUrl", "url", $this->item->url, "URL: ");
		$this->displayModifyDescription();

		if ($comment == "modify") {
			?>
			<tr>
				<td>
					<?php
					echoLang("move_to");
					?>
				</td>
				<td align="left">
			<?php
			displayCategorySelect($this->item->categoryId);
			?>
				</td>
			</tr>
			<?php
		} else {
			// insertion
			displayInputHidden("categoryId", $this->item->categoryId);
		}
		
		displayInputHidden("projectId", $this->item->projectId);

	}
}

function displayCategorySelect($currentCategory, $onClick = "") {
	global $availableCategoriesList;
	?>
	<select onchange="checkSelect(this);" name="categoryId" class="chooseLocation" <?=($onClick=="")?"":"onclick=\"$onClick\""?>>
	<?php
	reset($availableCategoriesList);
		while(list($categoryId,$categoryName) = each($availableCategoriesList)) {
	    if ($categoryId != -$currentCategory) {
		echo "<option value=\"".$categoryId."\"";
		if ($categoryId == $currentCategory) {
		    echo " selected=\"selected\"";
		}
				echo ">$categoryName</option>\r\n";
			}
		}
	?>
	</select>
	<?php
}

?>
