<?php
$inComment = 0;

function displayForbidden($text) {
	?><a class="forbidden" href="javascript:forbidden();" title="<?=getSectionLang("Help")?>"><?=$text?></a><?php
}

function getHtmlDbText($text) {
	return htmlspecialchars($text);
}

if (!@include "languages/$gXPLanguage.inc.php") {
	@include "View/languages/$gXPLanguage.inc.php";
}

function getLang($key, $optionValue = null) {
	return ereg_replace(" ([:\?;!])", "&nbsp;\\1",getLangNoHtml($key, $optionValue));
}

function getLangNbsp($key, $optionValue = null) { 
	return forceNbSpaces(getLangNoHtml($key, $optionValue));
}

function forceNbSpaces($text) {
	return ereg_replace(" ", "&nbsp;", $text);
}

function getLangNoHtml($key, $optionValue = null) {
	global $LANG;
	$text = "";
	if (isset($LANG[$key])) {
		$text = $LANG[$key];
	}
	if ($optionValue != null) {
		$text = sprintf($text, $optionValue);
	}

	// To detect missing text...
	/*
	if ($text=="") {
		$text = "*** $key ***";
	}
	*/
	return $text;
}

function echoIf($ifNotNull, $text) {
	if ($ifNotNull != "") {
		echo $text;
	}
}

function echoLang($key, $optionValue = null) {
	echo getLang($key, $optionValue);
}

function displayOkWindowLink() {
	echo getLink("delete",getLang("ok"),"javascript:window.close();");
}

function getSectionLang($section) {
	return getLang("section_".strtolower($section));
}

function displayProjectNameLink() {
	if (isThereACurrentProject()) {
		echo getCurrentProjectName();
	} else {
		echoSpan("noProject",getLang("no_proj"));
	}
}

function isDebug() {
	global $XP_DEBUG;
	return $XP_DEBUG;
}

function echoDebug($text) {
    if (isDebug()) {
		echo "<span class=\"debug\">$text</span><br />";
	}
}

function displayErrorMsg($title, $details) {
	displayErrorMsgStart($title);
	echo $details;
	displayErrorMsgEnd();
}

function displayErrorMsgStart($title) {
	displayDivStart("updateError", "error");
	?>
	<?=$title?><br/>
	<?php
	displayDivStart("updateErrorDetail");
}

function displayErrorMsgEnd() {
	displayDivEnd();
	displayDivEnd();
	echo "<br/>";
}

function displayProjectLinkError($linkType) {
	displayDivStart("error");
	echo getNoLinkGoToProjectText($linkType);
	displayDivEnd();
}

function getNoLinkGoToProjectText($linkType) {
	return getLang("no_link_1", getLang("link_type_$linkType"))." <a href=\"Projects.php\">".getLang("projects")."</a> ".getLang("no_link_2");
}


function visibleInvisible($items) {
	
	$jsItems = "'".$items[0]."'";
	for ($i=1;$i<sizeof($items);$i++) {
		$jsItems .= ",'".$items[$i]."'";
	}
	return "chgVis($jsItems);";

}

function changeLoginInForm() {
	echo "modifyLoginUserSelectModern();";
}

function displayVisibleInvisibleSectionStart($visibility, $id, $tag = "div", $extraAttr = "") {
	
	if ($tag == "span") {
		displaySpanStart($visibility, $id);
	} elseif ($tag == "div") {
		displayDivStart($visibility, $id);
	} else {
		echo "<$tag class=\"$visibility\" id=\"$id\" $extraAttr>";
	}
}

function displayVisibleInvisibleSectionEnd($visibility, $id, $tag = "div") {
	if ($tag == "span") {
		displaySpanEnd();
	} elseif ($tag == "div") {
		displayDivEnd();
	} else {
		echo "</$tag>";
	}
}

function getXPWebTitle() {
	return "<span class=\"xp\">XP</span>"
		."<span class=\"web\">Web</span>";
}

function displayXPWebTitle() {
	echo XPWEB_TITLE;
}

function displayXPWebOnXPWebTitle() {
	echoSpan("xp", "XP");
	echoSpan("web", "Web");
	echoSpan("on", "On");
	echoSpan("xp", "XP");
	echoSpan("web", "Web");
}


function displayRedirectToUrl($url) {
	unset($_POST);
	
	if (isDebug()) {
		displayDebugRedirect($url);
	} else {
		header("Location: $url");
		exit();
	}
}

function displayDebugRedirect($url) {
	?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"        "http://www.w3.org/TR/2000/REC-xhtml1-20000126/DTD/xhtml1-transitional.dtd">
<xml version="1.0">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<!-- <meta http-equiv="Refresh" content="20; URL=<?=$url?>" /> -->
		<link rel="stylesheet" href="View/XPWeb.css" />
		<script type="text/javascript" src="View/XPWeb.js"></script>
	<title>
DEBUG
	</title>
	</head>
<body>
<table>
<tr>
<td>
<div class="error">
LAST POST: <?=@$_SESSION[XP_SESSION_LAST_POST]?>
</div>
<form name="zoub" action="<?=$url?>" method="get">
</form>
<a href="javascript:document.forms['zoub'].submit();" class="DebugContinue">Continue</a>
<?php

}

function displayReloadAfterPost($section) {
	displayRedirectToUrl(getReloadUrl($section));
}

function getReloadUrl($section) {
	$dirName = dirname($_SERVER['REQUEST_URI']);
	$dirName = ($dirName == "\\")?"":$dirName;
	
	$anchor = "";
	
	if ($GLOBALS[XP_LAST_POST]->itemType != "" && $GLOBALS[XP_LAST_POST]->itemId != "") {
		$anchor = "#".$GLOBALS[XP_LAST_POST]->itemType."_".$GLOBALS[XP_LAST_POST]->itemId;
	}
	
	return XP_PROTOCOL."://".$_SERVER['HTTP_HOST'].$dirName."/".$section.".php".$anchor;
}

function displayErrorNoProject() {
    displayDivStart("error");
    ?><?=getLang("no_project_sel_1")?>
    <br />
    <?=getLang("no_project_sel_2")?>
    <br />
    <br />
    <?=getLang("no_project_sel_3")." "?><?=getLink("", getLang("projects"), "Projects.php")?> <?=" ".getLang("no_project_sel_4")?>
    <?php
    displayDivEnd();
}

function newSectionStart($class = "section", $id = "") {
	displayDivStart($class, $id);
	displaySpanStart("open");
}


function newSectionEnd() {
	newSectionEnd1();
	newSectionEnd2();
}

function newSectionEnd1() {
	displaySpanEnd();
}

function newSectionEnd2() {
    displayDivEnd();
}

function displayDivEnd() {
    ?></div><?php
}

function displaySpanEnd() {
    ?></span><?php
}

function displayDivStart($class = "", $id = "") {
    ?><div<?php
    if ($class != "") {
    	echo " class=\"$class\"";
    }
    ?><?php
    if ($id != "") {
    	echo " id=\"$id\"";
    }
    ?>><?php
}

function displaySpanStart($class, $id = "") {
    ?><span class="<?php echo $class;?>"<?php
    if ($id != "") {
    	echo " id=\"$id\"";
    }
    ?>><?php
}

function echoSpan($class, $text = "", $id = "") {
	displaySpanStart($class, $id);
	echo ($text=="")?"&nbsp;":$text;
	displaySpanEnd();
}

function echoDiv($class, $text, $id = "") {
	displayDivStart($class, $id);
	echo ($text=="")?"&nbsp;":$text;
	displayDivEnd();
}

function getJavascriptLink($class, $text, $script, $title) {
	//return getLink($class, $text, "javascript:doNothing();", "", $title, $script);
	return getLink($class, $text, "javascript:$script", "", $title);
}

function getLink($class, $text, $url, $target = "", $title = "", $onclick = "") {
	$return = "<a ";
	if ($class != "") {
		$return .= " class=\"$class\"";
	}
	if ($url != "") {
		$return .= " href=\"$url\"";
	}
	if ($target != "") {
		$return .= " target=\"$target\"";
	}
	if ($title != "") {
		$return .= " title=\"$title\"";
	}
	if ($onclick != "") {
		$return .= " onclick=\"$onclick\"";
	}
	
	$return .= ">$text</a>";
	
	return $return;
}

function isDigit($string) {
	// the first pattern found is the whole string
	return ereg("([0-9]*)", $string, $regs) && ($regs[1] == $string);
}

function modifyLineStart() {
	?>
    <tr>
		<td width="120" valign="top" align="left">
	<?php
}

function modifyLongLineStart() {
	?>
    <tr>
		<td colspan="2">
	<?php
}

function modifyLineMiddle() {
	?>
		</td>
		<td align="left">
	<?php
}

function modifyLineEnd() {
	?>
		</td>
	</tr>
	<?php
}

function displayInputText($type, $name, $value, $comment = "") {
	?>
	<?=modifyLineStart()?>

		<?=echoSpan($type, $comment)?>

	<?=modifyLineMiddle()?>

            <?php displaySimpleInputText($type, $name, $value);?>

	<?=modifyLineEnd()?>
	<?php
}

function displaySimpleInputText($type, $name, $value, $size = 43) {
    ?><input type="text" size="<?=$size?>" class="<?=$type?>" name="<?=$name?>" value="<?=handleQuotes($value)?>"/><?php
}

function displayInputPassword($type, $name, $value, $comment = "") {
    ?>
	<?=modifyLineStart()?>

        <?=echoSpan($type, $comment)?>

    <?=modifyLineMiddle()?>

            <input type="password" size="30" class="<?php echo $type;?>" name="<?php echo $name;?>" value=""/>

	<?=modifyLineEnd()?>
	<?php
}

function displayInputTextarea($type, $name, $value, $comment = "") {
    ?>
	<?=modifyLineStart()?>

        <?=echoSpan($type, $comment)?>

	<?=modifyLineMiddle()?>

            <textarea rows="4" cols="35" class="<?=$type?>" name="<?=$name?>"><?php
                echo htmlspecialchars($value);
            ?></textarea>

	<?=modifyLineEnd()?>
	<?php
}

function displayInputHidden($name, $value) {
    ?>
    <tr>
	<td height="0" colspan="2" style="padding: 0px;">
            <?php displaySimpleInputHidden($name, $value); ?>
        </td>
    </tr>
	<?php
}

function displaySimpleInputHidden($name, $value, $onChange = "") {
    ?>
		<input type="text" class="inv" name="<?=$name?>" value="<?=handleQuotes($value)?>" <?=($onChange!=""?"onchange=\"$onChange\"":"")?>/>
	<?php
}

function displayCommentInForm($type, $comment) {
    displayCommentInFormStart();
    displaySpanStart($type);
    echo $comment;
    displaySpanEnd();
    displayCommentInFormEnd();
}

function displayCommentInFormStart($class = "member") {
    ?>
    <tr>
        <td align="center" class="<?=$class?>" colspan="2">
    <?
}

function displayCommentInFormEnd() {
    ?>
        </td>
    </tr>
	<?php
}



function _dispFakeOkCancel() {
	displayDivStart("okCancel");
	echoSpan("cancel",getLang("cancel")."  ");
	echoSpan("ok",getLang("ok"));
    displayDivEnd();
}


function linkToHelp($section, $anchor, $name) {
	
	?><a class="smallHelp" title="<?=$name?>?" href="<?=$GLOBALS["gCurrentPath"]?>Help/<?=$section?>_help.php#<?=$anchor?>">?</a><?php
}

function displayNone($text) {
    displayDivStart("nothing");
    echo $text;
    displayDivEnd();
}

function displayDescription($description) {
	if ($description == "") {
		echo "&nbsp;";
	} else {
		$description = nl2br(htmlspecialchars($description));
		$description = getHyperDescription($description);
		echo $description;
	}
}

function getHyperDescription($description) {
	global $gHyperPatterns;
	global $gHyperReplacements;

	return getEregVal($gHyperPatterns, $gHyperReplacements, $description);
}

function getStrippedDescription($description) {
	global $gHyperPatterns;
	global $gHyperReplacementsSimple;

	return getEregVal($gHyperPatterns, $gHyperReplacementsSimple, htmlspecialchars($description));
}

function getEregVal(& $patterns, & $replacements, $text) {
	ksort($patterns);
	ksort($replacements);
    
	return preg_replace($patterns, $replacements, $text);
}

function displayPrintParamFormStart($paramsReady = true) {
	global $thisRealPage;
	?>
	<form name="ChooseOptions" action="<?=$thisRealPage?>.php" method="get">
	<fieldset class="printParams">
	<legend><?=getLang("print_options")?></legend>
	<input name="paramsReady" type="hidden" value="<?=$paramsReady?"1":"0"?>"/>
	<input name="print" type="hidden" value="1"/>
	<?php
}

function displaySimpleFormStart($formName, $action = "", $onSubmit = "", $method = "post") {
	?><form target="_parent" name="<?=$formName?>" action="<?=$action?>" method="<?=$method?>" <?=($onSubmit=="")?"":"onsubmit=\"$onSubmit\""?>><?php
}

function displaySimpleFormEnd($formName) {
	// The input is there so that if "enter" is typed, the form is submitted
	?><input type="submit" style="width: 0; height: 0; border: 0; margin: 0; padding: 0;" value=""/></form><?php
}

function displayPrintParamFormEnd() {
	displayDivStart("okCancel");
	?>
	<a class="ok" href="javascript:document.forms['ChooseOptions'].paramsReady.value=1;document.forms['ChooseOptions'].submit();"><?=getLang("ok")?></a>
	<?php
	displayDivEnd();
	?>
	</fieldset>
	</form>
	<?php
}

function displayDateFromTime($time) {
	return displayDate(date("D", $time), date("d", $time), date("m", $time), date("Y", $time));
}

function displayDate($weekDay, $day, $month, $year) {
    return getLang($weekDay).", ".displayDateNoWeek($day, $month, $year);
}

function displayDateNoWeek($day, $month, $year) {
	global $XP_DATE_FORMAT;
	$result = array();
	for($i = 0; $i < sizeof($XP_DATE_FORMAT); $i ++) {
		$thing = & $XP_DATE_FORMAT[$i];
        if ($thing == "Day") {
        	$result[] = $day;
        } elseif ($thing == "Month") {
        	$result[] = $month;
        } elseif ($thing == "Year") {
        	$result[] = $year;
        }
    }
    
    return $result[0]."/".$result[1]."/".$result[2];
}

function displayDateNoYear($day, $month) {
	global $XP_DATE_FORMAT;
	$result = array();

	for($i = 0; $i < sizeof($XP_DATE_FORMAT); $i ++) {
		$thing = & $XP_DATE_FORMAT[$i];
        if ($thing == "Day") {
        	$result[] = $day;
        } elseif ($thing == "Month") {
        	$result[] = $month;
        }
    }
    
    return $result[0]."/".$result[1];
}

function displayDateMonth($month, $year) {
	global $XP_DATE_FORMAT;
	$result = array();
	for($i = 0; $i < sizeof($XP_DATE_FORMAT); $i ++) {
		$thing = & $XP_DATE_FORMAT[$i];
		if ($thing == "Month") {
        	$result[] = $month;
        } elseif ($thing == "Year") {
        	$result[] = $year;
        }
    }
    
    return $result[0]."/".$result[1];
}

function displayForbiddenSelect($name, $value, $text) {
	// We print an hidden select instead of a "hidden" input
	?>
	<select class="inv" name="<?=$name?>">
		<option selected="selected" value="<?=handleQuotes($value)?>"></option>
	</select>
	<select disabled="disabled" name="nothing_<?=$name?>">
		<option selected="selected">
			<?=$text?>
		</option>
	</select>
	<?php
}

function getListOfAvailableLanguages() {
	//global $lgXPLanguage;
	
	$languages = array();
	
	// Remember where we were
	$currentDir = getcwd();
	
	$ptrrep = dir("View/languages");
	chdir($ptrrep->path);
	$nbFiles = 0;
	while(false != ($file=$ptrrep->read())) {
		if(ereg(".php", $file)) {
			$fileList[$nbFiles] = $file;
			$nbFiles++;
		}
	}
	if (!empty($fileList))
		sort($fileList);
	
	// Back to where we were
	chdir($currentDir);
	
	// Now we build a list of "lg" => "lgName"
	for ($i=0; $i < $nbFiles; $i ++) {
		$file = $fileList[$i];
		require "View/languages/".$file;
		$lg = ereg_replace(".inc.php", "", $file);
		$lgName = $LANG['langage'];
		
		$languages[$lg] = $lgName;
	}
	
	// back to the current language...
	//require "View/languages/".$lgXPLanguage."_inc.php";
	
	return $languages;
}

function displayInputSelect($selectName, $listOfValues, $currentValue = "noValue", $submitOnChange = false) {
	?>
	<select  onchange="checkSelect(this);<?=$submitOnChange?"this.form.submit();":""?>" name="<?=$selectName?>">
	<?php
	reset($listOfValues);
	while (list($key, $value) = each($listOfValues)) {
		echo "<option value=\"".handleQuotes($key)."\"";
		if (($key == $currentValue) && ($currentValue != "noValue")) {
			echo " selected=\"selected\"";
		}
		echo ">$value</option>\r\n";
	}
	?>
	</select>
	<?php
}
function displayIsNew() {
	echoSpan("isNew","new");
}

function decodeHTML($string) {
	$string = strtr($string, array_flip(get_html_translation_table(HTML_ENTITIES)));
	$string = preg_replace("/&#([0-9]+);/me", "chr('\\1')", $string);
	return $string;
}

function handleQuotes($value) {
	return str_replace("\"","&#34",$value);
}

function htmlChecked($isChecked = true) {
	if ($isChecked) {
		echo "checked=\"checked\"";
	}
}


function displayInsertItemInit($arguments) {
	global $gInsertCounts;
	//global $gInsertCustomScripts;
	global $gInsertForms;
	//global $gInsertStatus;

	// Params

	$itemType	= & $arguments[0];
	
	if (!(isset($GLOBALS["gInsertStatus"]) && is_array($GLOBALS["gInsertStatus"]))) {
		$GLOBALS["gInsertStatus"] = array();
	}
	
	if (!array_key_exists($itemType, $GLOBALS["gInsertStatus"])) {
		// The div was never printed yet...
		
		$gInsertCounts[$itemType] = 0;

		switch ($itemType) {
			case "task":
				$newItem = & Task::getObjectToInsert($arguments);
				break;
			case "story":
				$newItem = & Story::getObjectToInsert($arguments);
				break;
			case "iteration":
				$newItem = & Iteration::getObjectToInsert($arguments);
				break;
			case "metaphorWord":
				$newItem = & MetaphorWord::getObjectToInsert($arguments);
				break;
			case "webCategory":
				$newItem = & WebCategory::getObjectToInsert($arguments);
				break;
			case "webLink":
				$newItem = & WebLink::getObjectToInsert($arguments);
				break;
			case "project":
				$newItem = & Project::getObjectToInsert($arguments);
				break;
			case "projectLink":
				$newItem = & ProjectLink::getObjectToInsert($arguments);
				break;
			case "member":
				$newItem = & Member::getObjectToInsert($arguments);
				break;
			case "profile":
				$newItem = & Profile::getObjectToInsert($arguments);
				break;
			default:
				die("Error : This line is missing here :\n\$newItem = & $itemType::getObjectToInsert(\$arguments);");
				break;
		}
		
		//echoDebug("insert ".$newItem->type."[".$newItem->id."]");

		ViewFactory::init($newItem);
		
		if ($newItem->isAllowedToInsert($arguments)) {
			
			// This object is TO INSERT (id = -1)
			$newItem->toInsert = true;
			
			$divName = $itemType."_insert_layer";
			
			//echoDebug("**displayInsertItemInit** [$itemType] $divName");
			
			// Time to display the div
			displayVisibleInvisibleSectionStart(XP_INVISIBLE, $divName);

			displayDivStart($newItem->type);

			$gInsertForms[$itemType] =
				$newItem->view->displayFormStart();

			// Specific item modify content
	    		$newItem->view->displayModifyContent($arguments);
	
			/*
			?>
		        <tr>
		            <td colspan="2">
		        <?php
		        displayDivStart("okCancel");
		        $formName = $newItem->view->getFormName();
		        ?>
			<?=getJavascriptLink("reset", getLang("reset"), "res('$formName');", "")?>
			<?=getJavascriptLink("cancel", getLang("cancel"), "cancelInsert('$itemType');", "")?>
			<?=getJavascriptLink("ok", getLang("ok"), "sub('$formName');", "")?>
		        <?php
				displayDivEnd();
		        ?>
		            </td>
		        </tr>
		        <?php
			*/
			
			$newItem->view->displayOkCancel("ok", true, "cancelInsert('$itemType');");
			
	        	$newItem->view->displayFormEnd();

			displayDivEnd();

			displayVisibleInvisibleSectionEnd(XP_INVISIBLE, $divName);
			
			$GLOBALS["gInsertStatus"][$itemType] = true;
			
		} else {
			$GLOBALS["gInsertStatus"][$itemType] = false;
		}
	}
}

function getInsertScript($arguments) {
	global $gInsertCounts;
	//global $gInsertCustomScripts;
	global $gInsertForms;

	$arguments = func_get_arg(0);

	$itemType = & $arguments[0];
	
	//$script = $gInsertCustomScripts[$itemType];
	$script = "";
	// Name of javascript funcion = exemple : insertTask
	$script .= "insert".ucfirst($itemType)."(";
	$script .= "'$itemType',";
	$script .= $gInsertCounts[$itemType].",'".$gInsertForms[$itemType]."'";

	// Pass all the arguments of this method to the javascript method...
	// Warning, start at 1 !
	for ($i = 1; $i < sizeOf($arguments); $i ++) {
		$script .= ",";
		$script .= "'".$arguments[$i]."'";
	}
	$script .= ");";
	return $script;
}

function displayInsert($arguments) {
	global $gInsertCounts;
	
	$itemType = & $arguments[0];
	
	$title = getLang("new_$itemType");
	
	$text = getLang("ins_$itemType");
	
	if (!isset($gInsertCounts)) {
		$gInsertCounts = array();
	}
	
	if (!isset($gInsertCounts[$itemType])) {
		$gInsertCounts[$itemType] = 0;
	}

	$gInsertCounts[$itemType] ++;
	
	//echoDebug("displayInsert ".$arguments[0]);
	displayInsertItemInit($arguments);
	
	//echoDebug("insertinit ok");

	?><div class="insertLink" id="insert_<?=$itemType?>_<?=$gInsertCounts[$itemType]?>">
	<?php

	if ($GLOBALS["gInsertStatus"][$itemType]) {

		$script = getInsertScript($arguments);

		// Ok this is crap...
		if ($itemType == "member") {
			if ((getCurrentProjectId() == 0) || ($gInsertCounts[$itemType] == 1)) {
				// No project selected, or second insert
				$text = getLang("create_memb");
			} else {
				// First insert : and insert in project...
				$text = getLang("create_affect_memb_proj");
			}
		}

		?><?=getJavascriptLink("insert", $text, $script, "")?>
		<?php

	} else {
		displayForbidden($text);
	}

	?></div><br/><?php
	
	
}

function limitch($value, $lenght) {

	$limited = $value;

	if (strlen($value) >= $lenght){       
		$limited = substr($value, 0, $lenght-3);
		$limited .= "...";
	}

	return $limited;
}

function formatMenuItem($text) {

	return addslashes(limitch($text, 50));
}

class HTMLInput {
	var $name;
	var $value;
	var $text;
	var $selected;
	var $disabled;

	function HTMLInput(
		$name,
		$value,
		$text,
		$selected = false,
		$disabled = false) {

		$this->name		= $name;
		$this->value	= $value;
		$this->text		= $text;
		$this->selected	= $selected;
		$this->disabled	= $disabled;
		
	}
}

class HTMLSelectOption extends HTMLInput {

	function HTMLSelectOption(
		// no "name" for option
		$value,
		$text,
		$selected = false,
		$disabled = false) {

		HTMLInput::HTMLInput(
			// no "name" for option
			"",
			$value,
			$text,
			$selected,
			$disabled);
		
	}

	function display() {
		$text = ($this->text=="")?"&nbsp;":$this->text;
		?>
		<option value="<?=$this->value?>"<?=($this->selected?' selected="selected"':'')?><?=($this->disabled?' disabled="disabled"':'')?>><?=$text?></option>
		<?php
	}

}

class HTMLSelect {
	var $name;
	var $options;
	var $onChange;
	var $cssClass;
	
	function HTMLSelect($name, $onChange = "checkSelect(this);", $cssClass = "") {

		$this->name = $name;
		$this->options = array();
		$this->onChange = $onChange;
		$this->cssClass = $cssClass;
	}

	function add($option) {
		$this->options[] = $option;
	}

	function display() {

		reset($this->options);

		?>
			<select name="<?=$this->name?>" onchange="<?=$this->onChange?>" <?=($this->cssClass!="")?"class=\"$this->cssClass\"":""?>>
			<?php
			foreach($this->options as $option) {
				$option->display();
			}
			?>
		</select>
		<?php
		
	}
}

class HTMLCheckbox extends HTMLInput {

	function display() {
		$id = "id_".$this->name;
		?>
		<input name="<?=$this->name?>" id="<?=$id?>" type="checkbox" value="<?=$this->value?>"<?=($this->selected?'checked="checked"':'')?><?=($this->disabled?'disabled="disabled"':'')?>/>
		<?php
		if ($this->text != "") {
			?>
			<label for="<?=$id?>"><?=$this->text?></label>
			<?php
		}
	}

}

function bodyStart() {
	?><div id="body"><?php
}

function bodyEnd() {
	displayDivEnd();
}
?>