<?php

class ViewFactory {
	
	function init(& $item) {
		ModelFactory::init($item);

		$item->view->item = & $item;
	}
}

class XPItemView {
	var $item;

	var $isPrint;
	//var $isModify;

	var $isCheckable;

	var $oddEven;

	// Constructor
	function & newXPItem($arguments) {

		$item = & new XPItem($arguments);

		$view = & new XPItemView($item);

		$view->isCheckable = false;

		return $item;

	}
	
	function XPItemView(& $item) {
		$this->affectItem($item);

		$this->setOddEven(false);
	}

	// ********************** SETTERS / GETTERS ****************************
	// *********************************************************************
	
	function setPrint($val = true) {
		$this->isPrint = $val;
	}

	/*
	function setModify($val = true) {
		$this->isModify = $val;
	}
	*/

	function setOddEven($oddEven = false) {
		$this->oddEven = $oddEven;
	}
	
	function getFormName() {
		return "mod_".$this->item->type."_".$this->item->id;
	}

	function affectItem(& $item) {

		if (!((strcasecmp(get_class($item), "XPItem") == 0) || is_subclass_of($item, "XPItem"))) {
			die($item->type."[".$item->id."] (".get_class($item).") : is not an XPItem => cannot use with an XPItemView");
		}
		
		$item->view = & $this;
		$this->item = & $item;
	}
	
	// *********************************************************************
	// *********************************************************************	

	// ---------------------------------------------------------------------
	//                           PUBLIC
	// ---------------------------------------------------------------------
	function getShowJSScript() {
		return "";
	}

	function getCancelJSScript() {
		return "";
	}
	
	// @warning used by JS
	function getMiniDispName() {
		return "mini_".$this->item->type."_".$this->item->id;
	}
	
	// @warning used by JS
	function getNormalDispName() {
		return "usual_".$this->item->type."_".$this->item->id;
	}
	
	function displayStart() {
		displayDivStart("", $this->item->type."_".$this->item->id);
		$this->miniDisplayStart();
	}
	
	function displayEnd() {
		$this->miniDisplayEnd();
		displayDivEnd();
	}
	
	// @todo ONLY USED IN DELETE.PHP => extract?
	function delItemConfirm($extraProperties, $isFake) {
		
    		$this->item->id = - $this->item->id;
		$formName = $this->getFormName();
		
		$this->displayConfirmDeleteStart();
		
		// FORM START
		
		$this->displaySimpleFormStart($formName);
		
		// The custom message from sub class
		$this->displayDeleteConfirm();

		displaySimpleInputHidden("projectId", $this->item->projectId);
		
		reset($extraProperties);

		foreach($extraProperties as $extraProp) {

			displaySimpleInputHidden($extraProp, $this->item->{$extraProp});

		}

		$this->displaySimpleFormEnd($formName);
		
		// FORM END
		
		displayDivStart("okCancel");
	        ?><a class="cancel" href="javascript:cancelDelete();"><?=getLang("cancel")?></a>
		<?php
		if ($isFake) {
			?>
			<a class="ok" href="javascript:alert('This is a demo!!');window.close();"><?=getLang("ok")?></a>
			<?php
		} else {
			?>
			<a class="ok" href="javascript:doNothing();" onclick="submitInParent(document.forms['<?=$formName?>']);"><?=getLang("ok")?></a>
			<?php
		}
        
        	displayDivEnd();
		
		$this->displayConfirmDeleteEnd();
	}
	
	function displayFormStart($bPrintHeader = true) {
	    	
	    	$formName = $this->getFormName();

	
		if ($this->item->toInsert) {
			$class = "insertContent";
		} else {
			$class = "modifyContent";
		}
	
		displayDivStart($class);
	    	
	    	$this->displaySimpleFormStart($formName);
		
		?><table cellpadding="0" cellspacing="0" width="100%" class="xpItem" id="<?=$this->item->type."_".$this->item->id?>">
	    	<tr>
	    		<td>
	    			<?php
				
				if ($bPrintHeader) {
	
	    			if ($this->item->toInsert) {
	    			// insertion
	    				displayDivStart("xpItemIdInsert");
	    				echo getLang("type_".$this->item->type)."&nbsp;-&nbsp;".getLang("insert");
	    				displayDivEnd();
	    			} else {
	    			// Modification
	    				displayDivStart("xpItemIdModify");
	    				echo getLang("type_".$this->item->type)." ".$this->item->id."&nbsp;-&nbsp;".getLang("modify");
	    				displayDivEnd();
	    			}
				
				}
	    			?>
	    		</td>
	    	</tr>
		<tr>
			<td>
			<table cellpadding="4" width="100%">
	        <?php
	        return $formName;
	    }
    
	function displayFormEnd() {
		?>
			</table>
			</td>
		</tr>
		</table>
		<?php
		$this->displaySimpleFormEnd($this->getFormName());
		
		displayDivEnd();
	}
	
	// ---------------------------------------------------------------------
	
	// ---------------------------------------------------------------------
	//                           PRIVATE
	// ---------------------------------------------------------------------
	
	function displayDeleteConfirm() {
		$this->displayAreYouSure();
	}
	
	function checkItemStart() {
		?>
			<table align="center">
			<tr valign="top"><td>
			<input class="checkItem" type="checkbox" id="check_<?=$this->item->type?>_<?=$this->item->id?>" checked="checked"/>
			</td>
			<td>
		<?php
	}
	
    	// ---------------------------------------------------------------------
	
	// ---------------------------------------------------------------------
	//                           PROTECTED
	// ---------------------------------------------------------------------
	function miniDisplayStart($miniVisibility = XP_INVISIBLE, $titleClass = "title") {

		// Mutualy exclusive
		$usualVisibility = ($miniVisibility == XP_INVISIBLE)?XP_VISIBLE:XP_INVISIBLE;
		
		displayDivStart($this->item->type);

		if ($this->item->isCurrent) {
			displayDivStart("current");
		}

		if ($this->oddEven) {
			displayDivStart("even");
		}

		
		// ************************** Check box for "mini all"
		if ($this->isCheckable) {

			$this->checkItemStart();

		}

		displayVisibleInvisibleSectionStart($miniVisibility, $this->getMiniDispName());
		?>
		<table cellpadding="0" cellspacing="0" class="xpItem" align="center"
		<?=$this->showMiniLink(false)?>>
		<tr class="xpItemHeader">
			<td class="xpItemIdMini">
				<?=getLang("type_".$this->item->type)."&nbsp;".$this->item->id?>
			</td>
			<td>
				<?php

				displayDivStart("miniContent");

				$this->displayMiniTitle(getHtmlDbText($this->item->title), $titleClass);
				
				displayDivEnd();
				?>
			</td>
			<?php
			$this->displayMiniCustom();
			?>
		</tr>
		</table>
		<?php
		
		displayVisibleInvisibleSectionEnd($miniVisibility, $this->getMiniDispName());
		
		displayVisibleInvisibleSectionStart($usualVisibility, $this->getNormalDispName());
	}
	
	function displayMiniTitle($title, $titleClass) {
		displaySpanStart($titleClass);
		echo $title; 
		displaySpanEnd();
	}
	
	function displayMiniCustom() {
		// Might be overriden by child classes
		// Example : $this->displayMiniRight();
	}
	
	function displayMiniRight($extraStyle = "") {
		?>
			<td class="miniRight" <?=echoIf($extraStyle, "style=\"$extraStyle\"")?>>
				<?php
				$this->displayMiniRightCustom();
				?>
			</td>
		<?php
	}
	
	function displayMiniRightCustom() {
		// Might be overriden by child classes
	}

	function checkItemEnd() {
		?>
			</td></tr>
			</table>
		<?php
	}
	
	function showMiniLink($usual = true) {
		echo "onclick=\"mini('".$this->item->type."', '".$this->item->id."');\"";
	}
	
	function miniDisplayEnd($miniVisibility = XP_INVISIBLE) {

		$usualVisibility = ($miniVisibility == XP_INVISIBLE)?XP_VISIBLE:XP_INVISIBLE;
		
		displayVisibleInvisibleSectionEnd($usualVisibility, $this->getNormalDispName());

		// ************************** Check box for "mini all"
		if ($this->isCheckable) {

			$this->checkItemEnd();

		}

		if ($this->oddEven) {
			displayDivEnd();
		}

		if ($this->item->isCurrent) {
			displayDivEnd();
		}

		displayDivEnd();

		
	}
	
	function displayModifyContent() {
		// Overriden by child classes
	}
	
	function displayContentStart($visibility = XP_VISIBLE, $class = "", $extraStyle = "") {

		if ($class == "") {
			$class = "xpItem";
		}
		echo "<table id=\"tb_".$this->item->type."_".$this->item->id."\" cellpadding=\"0\" cellspacing=\"0\" align=\"center\"";
		if ($this->item->id != 0) {
			echo " class=\"$class\"";
		}
			if ($extraStyle != "") {
				echo " style=\"$extraStyle\"";
			}
		echo ">";
		?><tr>
		    <td colspan="2"><?php
		
		if (isDigit($this->item->id)) {
			?><div class="xpItemId" <?=$this->showMiniLink(true)?>><?php
		    	echo getLang("type_".$this->item->type)." ".$this->item->id;
			displayDivEnd();
		}
		displayDivStart("content");
	}
		
	function displayContentEnd($visibility = XP_VISIBLE) {
		displayDivEnd();
	}
	
	// THE NEW ONE
	function displayModify() {
		
		displayDivStart($this->item->type);

		$this->displayFormStart();
		
		$this->displayModifyContent();
		
		$this->displayOkCancel();
		
		$this->displayFormEnd();
		
		displayDivEnd();
		
		$showScript = $this->getShowJSScript();
		
		if ($showScript != "") {
			?>
			<?=XP_JAVASCRIPT_START?>
			<?=$showScript?>
			<?=XP_JAVASCRIPT_END?>
			<?php
		}
	}
    
    function displayOkCancel($okText = "ok", $showCancel = true, $cancelScript = "cancelMod();") {
    	if ($okText == "ok") {
    		$okText = getLang("ok");
    	}
	$formName = $this->getFormName();
    	
    	?>
		<!-- displayOkCancel -->
		<tr>
			<td colspan="2">
			        <?php
			        displayDivStart("okCancel");
			        ?>
				<?=getJavascriptLink("reset", getLang("reset"), "res('$formName');", "")?>
								
				<?php if ($showCancel) { ?>
				<?=getJavascriptLink("cancel", getLang("cancel"), $cancelScript, "")?>
				<?php }	?>
				
				<?=getJavascriptLink("ok", $okText, "sub('$formName');", "")?>

				<?php
			        displayDivEnd();
			        ?>
	        	</td>
	        </tr>
		<!-- displayOkCancel END -->
        <?php
        
    }
 
    function displaySimpleFormStart($formName, $action = "", $onsubmit = "", $method = "post") {
    	displaySimpleFormStart($formName, $action, $onsubmit, $method);
    }
    
    
    function displaySimpleFormEnd($formName, $type = "") {
    	
    	if ($type == "") {
    		$type = $this->item->type;
    	}
	
        ?>
	<input name="switch" type="hidden" value="<?=$type?>"/>
    	<input name="id" type="hidden" value="<?=$this->item->id?>"/>
	<?php
	
	displaySimpleFormEnd($formName);
    }

    
	function displayDescription() {
		?>
		<?=$this->item->description?>
		<?php
	}
    
	function displayConfirmDeleteStart() {
		displayDivStart("confirmDelete");
		
		displayDivStart("xpItemIdDelete");
		echo getLang("type_".$this->item->type)." ".-$this->item->id."&nbsp;-&nbsp;".getLang("delete");
		displayDivEnd();
		
		displayDivStart("deleteConfirmMsg");
	}

	function displayConfirmDeleteEnd() {
		displayDivEnd();
		
		displayDivEnd();
	}
    
	function displayAreYouSure() {
		displayDivStart("confirmation");
		echoLang("confirm");
		displayDivEnd();
	}

	function displayModifyDescription($variable = "description", $langName = "description") {
		$type = "description";
		$name = $variable;
		$value = $this->item->{$variable};
		$comment = getLang($langName);

		?>
		<tr>
			<td valign="top" align="left">
				<?php displaySpanStart($type); ?>
				<?=$comment?>
				<?php displaySpanEnd(); ?>
			</td>
			<td align="left">
				<textarea onmouseover="showPatt(this);" onmouseout="hidePatt();" rows="4" cols="35" class="<?=$type?>" name="<?=$name?>"><?php
					echo htmlspecialchars($value);
				?></textarea>
				<br/>
			</td>
		</tr>
		<?php
	}

	/**
	* Display the full object WITH the ability to modify it
	*/
	function display() {
		$this->displayItem();	
	}

	function displayItem() {
		$this->displayStart();
		
		$this->displayFields(XP_VISIBLE);
		
		
		if ($this->isShowModifyDeleteLinks()) {
			
			// "mod" like "modification"
			// the modification div that contains all the input fields...
			$formName = $this->getFormName();
			    $modifType = "modify";
			    $modifText = getLang($modifType);
			
			?>
			    </td>
			</tr>
			<tr>
			    <td></td>
			    <td align="right">
			<?php
				
			displayDivStart("modifyDelete");
			echo "&nbsp;";
			if ($this->item->isAllowedToUpdate()) {
				?>
				<?=getJavascriptLink($modifType, $modifText, "modItem('".$this->item->type."','".$this->item->id."');", "")?>
				<?php
			} else {
				displayForbidden($modifText);
			}
			
			if ($this->item->isAllowedToDelete()) {
				?>
				<?=getJavascriptLink("delete", getLang("delete"), "deleteItem('".$GLOBALS["gThisPage"]."','".$this->item->type."','".$this->item->projectId."','".$this->item->id."');", "")?>
				<?php
			} else {
				echo "&nbsp;";
				displayForbidden(getLang("delete"));
			}
			
			displayDivEnd();
			
			?>
			    </td>
			</tr>
			<?php
		} else {
			?>
    			</td>
    		</tr>
    		<?php
		}

		$this->displayIncluded();

		$this->displayEnd();
	}

	function displayWithAction() {
		?>
		<table class="complexItem <?=$this->item->type?>">
		<tr>
			<td>&nbsp;</td>
			<td class="leftItem">
		<?php
		$this->displayItem();
		?>
			</td>
			<td class="rightItem">
		<?php
		$this->displayActionOnItem();
		?>
			</td>
			<td>&nbsp;</td>
			</tr>
		</table>
		<?php
	}

	
	function isShowModifyDeleteLinks() {
		return !$this->isPrint;
	}
	

	function displayIncluded() {
		$this->displayXPItemEnd();

		// Might be overriden to display included items...
	}
            
    function displayXPItemEnd() {
	    /*
	    ?>
		<tr>
		<td colspan="2">
			<?php
			displayDivStart("xpItemIdFooter");
			displayDivStart("leftHalf");
			echo "12/12/2012 12:12";
			displayDivEnd();
			displayDivStart("rightHalf");
			echo "by ";
			echoSpan("modifier", "Someone");
			displayDivEnd();
			displayDivEnd();
			?>
		</td>
		</tr>
		<?php
		
    		*/
		?>
	    	</table>
	    	<?php
    }
        
}

class XPItemWithIncludedView extends XPItemView {
	var $isDisplayAllLinks = true;
	var $isDisplayInsert = true;
	
	function affectItem(& $item) {
		
		if (!is_subclass_of($item, "XPItemWithIncluded")) {
			die($item->type."[".$item->id."] : is not an XPItemWithIncluded => cannot use with an XPItemWithIncludedView");
		}

		parent::affectItem($item);
	}

	function setPrint($bPrint = true) {
        
		parent::setPrint($bPrint);
		
		if ($bPrint) {
			$this->isDisplayInsert = false;
		}
		
		reset($this->item->multiIncludedItems);
		while (list($key, $val) = each($this->item->multiIncludedItems)) {

			if (isset($val)) {
				
				reset($val);
				while (list($key2, $val2) = each($val)) {

					$val2->view->setPrint($bPrint);

				}

			}

		}
	}

	function displayIncluded() {

		$size = 0;

		if ($this->isPrint) {

			reset($this->item->multiIncludedItems);
			while (list($key, $val) = each($this->item->multiIncludedItems)) {

				if (isset($val)) {

					$size += sizeof($val);

				}
			}
		}

		if ($this->isPrint && $size == 0) {
			// In print display, if no content, display nothing...
			
			$this->displayXPItemEnd();

		} else {

			$open = $this->isOpen();
			
			$this->displayIncludedStart($open);
			
			$this->displayIncludedItems();
			
			$this->displayIncludedEnd($open);
		}
	}

	function isOpen() {
		return $this->item->itemWasModified() || $this->item->containsModified || $this->isPrint;
	}

	/// In wich order should the items be displayed...
	/// By default, the order in wich they appear in the array..
	function getIncludedDisplayOrder() {
		return array_keys($this->item->multiIncludedItems);
	}

	function displayIncludedItems() {

		$itemKeys = $this->getIncludedDisplayOrder();

		reset($this->item->multiIncludedItems);

		for ($i = 0; $i < sizeof($itemKeys); $i ++) {

			$key = $itemKeys[$i];
			
			if (!isset($this->item->multiIncludedItems[$key])) {
				
				//echoDebug($this->item->toString().": no $key items");

				$this->item->multiIncludedItems[$key] = array();

			}
			
			$this->displayIncludedType($key);

		}
	}

	function getIncDivName($key) {
		return $this->item->type.$this->item->id.$key;
	}

	function displayOpenCloseAll($incType) {
		return false;
	}

	function displayMiniAllLinksWithAction($key, $active) {
		$incType = $this->getClassFromKey($key);
		?>
		<table class="complexItem <?=$incType?>">
		<tr>
			<td>&nbsp;</td>
			<td class="leftItem">
			<?php
			XPItemWithIncludedView::displayMiniAllLinks($key, $active);
			?>
			</td>
			<td class="rightItem">
			</td>
			<td>&nbsp;</td>
			</tr>
		</table>
		<?php
	}

	function displayMiniAllLinks($key, $active) {
		
		if ($this->isDisplayAllLinks) {

			$incName = $this->getIncDivName($key);
	
			$incType = $this->getClassFromKey($key);
	
			displayDivStart($incType);
			?>
			<table align="center">
			<tr valign="top"><td>
			<input class="checkItem" type="checkbox" onclick="checkAll('<?=$incName?>', '<?=$incType?>', this);" <?=$active?"checked=\"checked\"":" disabled=\"disabled\""?>/>
			</td>
			<td>
				<table class="xpItem<?=$active?" activeLinks":" inactiveLinks"?>" align="center">
				<tr><td class="allLinks">
			<?php
	
	
			if ($active) {
				$miniScript = "miniAll('$incName','$incType',true);";
				$miniTitle = getLang("mini_all");
				$maxiScript = "miniAll('$incName','$incType',false);";
				$maxiTitle = getLang("maxi_all");
	
				$openScript = "miniAll('$incName','$incType',false,true);";
				$openTitle = getLang("open_all");
				$closeScript = "miniAll('$incName','$incType',false,false);";
				$closeTitle = getLang("close_all");
			} else {
				$miniScript = "doNothing();";
				$miniTitle = "";
				$maxiScript = "doNothing();";
				$maxiTitle = "";
	
				$openScript = "doNothing();";
				$openTitle = "";
				$closeScript = "doNothing();";
				$closeTitle = "";
			}
		
			?><a class="allLink <?=$active?"mini":"nomini"?>" href="javascript:<?=$miniScript?>" title="<?=$miniTitle?>">&nbsp;</a><a class="allLink <?=$active?"maxi":"nomaxi"?>" href="javascript:<?=$maxiScript?>" title="<?=$maxiTitle?>">&nbsp;</a><?php
	
			if ($this->displayOpenCloseAll($incType)) {
	
				?><a class="allLink <?=$active?"closeall":"nocloseall"?>" href="javascript:<?=$closeScript?>" title="<?=$closeTitle?>">&nbsp;</a><a class="allLink <?=$active?"openall":"noopenall"?>" href="javascript:<?=$openScript?>" title="<?=$openTitle?>">&nbsp;</a>
				<?php
	
			}
			
			?>
				</td></tr>
				</table>
			</td></tr>
			</table>
			<?php
			displayDivEnd();
		}
	}

	function displayIncludedType($key) {
		
		//echoDebug("displayIncludedType ".$this->item->toString().":".sizeof($this->item->multiIncludedItems[$key])." $key items");

		$this->displayIntro($key);

		$this->displayAddIncluded($key);

		$nbDisplayed = $this->displaySimpleIncludedType($key);

		if ($nbDisplayed > 1) {
			$this->displayAddIncluded($key);
		}
	}

	function displaySimpleIncludedType($key) {
		
		$val = & $this->item->multiIncludedItems[$key];

		$size = sizeOf($val);

		$nbDisplayed = 0;

		$incName = $this->getIncDivName($key);

		$this->displayMiniAllLinks($key, ($size != 0));

		if ($size == 0) {

			$this->displayNone($key);

		} else {

			displayDivStart("", $incName);
						
			$altern = !$this->oddEven;

			reset($val);
			while (list($key2, $val2) = each($val)) {

				if ($this->allowedToDisplayInType($val2, $key)) {

					$val2->view->setOddEven($altern);

					$val2->view->item = & $val2;

					$val2->view->isCheckable = $this->isDisplayAllLinks;

					$val2->view->display();

					$nbDisplayed ++;

					$altern = !$altern;
				}

			}
			
			displayDivEnd();

		}

		return $nbDisplayed;
	}

	function getIncludedComment() {
		// ...
		return "";
	}

	function displayIncludedStart($open = false) {

		$comment = $this->getIncludedComment();

    	$alt = "";

    	if ($comment == "") {
			$comment = "...";
		} else {
    		$alt = ereg_replace("<br/>"," ",$comment);
        	$comment .= "<br/>";
        }
        // "con" like "content"
    	// the items included in this item...
    	$divName = "con_".$this->item->type."_".$this->item->id;
    	if ($open) {
    		$src = "Open";
    		$divVis = XP_VISIBLE;
    	} else {
    		$src = "Closed";
    		$divVis = XP_INVISIBLE;
    	}
    	?>
        <tr>
        	<td colspan="2">

			<div id="lkopen<?=$this->item->type?><?=$this->item->id?>" onclick="openIncluded('<?=$this->item->type?>', '<?=$this->item->id?>', this);" title="<?=getLang("open")?> / <?=getLang("close")?>" class="cont <?=$src?>">
			<?=$comment?>
			</div>
    	<?php
    	displayVisibleInvisibleSectionStart($divVis, $divName);
        displayDivStart("included");

	}
	
	function displayIncludedEnd($open = false) {
		// "con" like "content"
    	// the items included in this item...
    	$divName = "con_".$this->item->type."_".$this->item->id;
        displayDivEnd();
        if ($open) {
    		displayVisibleInvisibleSectionEnd(XP_VISIBLE, $divName);
    	} else {
    		displayVisibleInvisibleSectionEnd(XP_INVISIBLE, $divName);
    	}
        ?>
			</td>
			</tr>
		<?php
    	$this->displayXPItemEnd();
	}

	function displayAddIncluded($type) {

		if ($this->isDisplayInsert) {
			$this->doDisplayAddIncluded($type);
		}

	}

	function doDisplayAddIncluded($type) {
		displayInsert(array($type));
	}

	function displayNone($type) {
		displayNone(getLang("no_".$type));
	}

	function allowedToDisplayInType($item, $type) {
		return true;
	}
	
	function displayIntro($type) {
		// ...
	}

	function getClassFromKey(& $key) {
		return $key;
	}

	function displayInsertInit() {
		
		reset($this->item->multiIncludedItems);
		while (list($key, $val) = each($this->item->multiIncludedItems)) {

			if (isset($val)) {
				
				//echoDebug("displayInsertItemInit(array(".$this->getClassFromKey($key)."))");

				displayInsertItemInit(array($this->getClassFromKey($key)));

				if (isset($val[0])) {
					
					$subItem = $val[0];

					if ((strcasecmp(get_class($subItem), "XPItemWithIncluded") == 0)
						|| is_subclass_of($subItem, "XPItemWithIncluded")) {
						//echoDebug($subItem->type."[".$subItem->id."]");
						$subItem->view->displayInsertInit();
					}

				}

			}
		}

	}
}

class XPItemMultiListView extends XPItemWithIncludedView {
	
	function affectItem(& $item) {
		
		if (!is_subclass_of($item, "XPItemMultiList")) {
			die($item->type."[".$item->id."] : is not an XPItemMultiList => cannot use with an XPItemMultiListView");
		}

		parent::affectItem($item);
	}

	function display() {
		if ($this->isDisplayInsert) {
			$this->displayInsertInit();
		}
		$this->displayIncludedItems();		
	}

}

class XPItemListView extends XPItemMultiListView {

	function affectItem(& $item) {
		
		if (!is_subclass_of($item, "XPItemList")) {
			die($item->type."[".$item->id."] : is not an XPItemList => cannot use with an XPItemListView");
		}

		parent::affectItem($item);
	}

}
?>