/**
* Global variables
* ****************
*/

Calendar._SDN = {};

for (var i in Calendar._DN){
	Calendar._SDN[i] = Calendar._DN[i].substring(0, 3);
}

Calendar._SMN = {};

for (var i in Calendar._MN){
	Calendar._SMN[i] = Calendar._MN[i].substring(0, 3);
}

var MILISECONDS_IN_DAY	= 86400000;
var ONE_IDEAL_DAY	= MILISECONDS_IN_DAY;

var gAllowAllDates = false;
var gFormat = "";
var gEveryYear = "";
var gSpecific = "";

var gFirstDayOfWeek;

var gCurrentNonWorkingDays;
var gAllNonWorkingDays = new Array();

var gWeekDays = new Array("Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"); 
var gIterationsNonWorkingDays;
var gAllDays;

var gCurrentFormName;

//var minDate = 0;

var gActionAfter = "";

var gTempCal = null;

// Calendar

var gWeekText;

/**
* Functions
* ****************
*/


// And this gets called when the end-user clicks on the _selected_ date,
// or clicks on the "Close" button.  It just hides the calendar without
// destroying it.
function closeHandler(cal) {
  cal.hide();                        // hide the calendar
}

function completeWithZero(number){
// Adds a zero before number if it is inferior to 10 (needed for date gFormatting)
	if (number < 10) {
		return '0' + number
	} else {
		return number
	}
}

function createCalendarIfNeeded() {
	if (window.calendar) {
		return true;
	} else {
		// first-time call, create the calendar.
		var cal = new Calendar(gFirstDayOfWeek, null, selected, closeHandler);
		
		// uncomment the following line to hide the week numbers
		// cal.weekNumbers = false;
		calendar = cal;                  // remember it in the global var
		cal.setRange(1900, 2070);        // min/max year allowed.
		calendar.setDateFormat(gFormat);
		calendar.setTtDateFormat(gFormat);
		calendar.setDisabledHandler(disallowDate);
		cal.create();
		return false;
	}
}

function disallowDate(date) {

	if (gAllowAllDates)  {
		return false;
	}

	// date is a JS Date object
	var weekDay = gWeekDays[date.getDay()];
	
	if (isForbiddenWeekDay(gCurrentFormName, weekDay)) {
		return true;
	}
	if (gEveryYear.indexOf("|"+(date.getMonth()+1)+"-"+date.getDate()+"|") != -1) {
		// month+1 because this script starts at 0
		return true;
	}
	if (gSpecific.indexOf("|"+date.getFullYear()+"-"+(date.getMonth()+1)+"-"+date.getDate()+"|") != -1) {
		// month+1 because this script starts at 0
		return true;
	}
	
	/*
	if ((minDate != 0) && (date.getTime() < minDate)) {
		return true;
	}
	*/
	return false; // enable other dates
}

function isForbiddenWeekDay(formName, dayToCheck) {
	var workingPace = document.forms[formName].elements["wp"];
	return (workingPace.value.indexOf("|"+dayToCheck+"|") == -1);
}

// This function shows the calendar under the element having the given id.
// It takes care of catching "mousedown" signals on document and hiding the
// calendar if the click was outside.
function popupCalendar(pInput, pActionAfter, whereElem) {
	if (whereElem == undefined) {
		whereElem = pInput;
	}
	gCurrentFormName = pInput.form.name;
	gActionAfter = pActionAfter;
	
	if (createCalendarIfNeeded()) {
		// we already have some calendar created
		calendar.hide();								 // so we hide it first.
		calendar.refresh();
	}
	calendar.parseDate(pInput.value);			// try to parse the text in field
	calendar.sel = pInput;								 // inform it what input field we use
	
	calendar.showAtElement(whereElem, "BC");
	calendar.element.style.zIndex = "4";
	return false;
}

// This function gets called when the end-user clicks on some date.
function selected(cal, date) {
	cal.sel.value = date;
	if (gActionAfter != "") {
		eval(gActionAfter);
	}
	if (cal.dateClicked) {
		cal.callCloseHandler();
		if (gActionAfter != "") {
			eval(gActionAfter);
			gActionAfter = "";
		}
	}
}

function setAutoLF(formName, idealLF) {
	document.forms[formName].elements["loadFactor"].value = idealLF;
}	

function dfWd(pInput) {
	var formName = pInput.form.name;
	var taskId = pInput.form.elements["id"].value;
	
	var iteId = getIteIdFromTask(formName);
	var loadFactor = loadFactor = getLoadFactor(pInput.form);
	
	var badDays = gIterationsNonWorkingDays[iteId];
	
	pInput.form.elements["wp"].value = badDays;
	for (var i in gAllDays){
		var dayToCheck = gAllDays[i];
		if (dayToCheck != '') {
			var link = MM_findObj("task_"+taskId+"_"+dayToCheck);
			checkUnCheckWorkingDay(formName, dayToCheck, link);
		}
	}
	updateStartDate(formName);
	sigEDToUpd(formName);
	updateWorkingEndDate(formName);
}

function csWd(pInput, iteId) {
	var formName = pInput.form.name;
	var taskId = pInput.form.elements["id"].value;
	var badDays = gIterationsNonWorkingDays[iteId];
	
}

function modDate(theInput, inputName, val) {
	var dateInput = theInput.form.elements[inputName];
	gCurrentFormName = theInput.form.name;
	var startDate = getDateObject(dateInput.value);
	
	var startDate = addDaysToDate(startDate, val);
	dateInput.value = getDateString(startDate);
}

function mvToDone(theInput) {
	var theForm		= theInput.form;
	
	var loadFactor = getLoadFactor(theForm);
	
	var todoValue	= theForm.elements["todo"].value;
	
	// Move one unless value is < than dayIncrement
	if (todoValue <= gDayIncrement) {
		val = todoValue;
	} else {
		val = gDayIncrement;
	}
	
	decPrecise(theInput, "todo", loadFactor, val);
	incPrecise(theInput, "done", loadFactor, val);
}

function calChgSD(formName, pDayIncrement) {

	// Take the first input found in the form...
	var theInput = document.forms[formName].elements[0];

	modDate(theInput, "startDate", pDayIncrement * ONE_IDEAL_DAY);
	
	sigEDToUpd(formName);
	
	sub(formName);
}

/*
var gCurrTaskIdChooseDate = -1;

function setRemoveCalTaskCurrent(taskId, setOrRemove) {
	
	var localId = taskId;
	
	if (setOrRemove) {
		// set
		
	} else {
		// remove
		
		localId = gCurrTaskIdChooseDate;
	}
	
	var calTaskObject = MM_findObj("calTask_"+localId);
	
	if (setOrRemove) {
		// set
		
		// @todo clean up
		calTaskObject.className = "calTaskText selectTask";
		gCurrTaskIdChooseDate = taskId;
	} else {
		// remove
		
		// @todo clean up
		calTaskObject.className = "calTaskText";
		gCurrTaskIdChooseDate = -1;
	}
	
	// For all working days of this task,
	// set the day "selectable" or "unselectable"
	
	
	// @todo
	
}

function onClickCalTask(taskId) {
	
	if (taskId == gCurrTaskIdChooseDate) {
		// This is current task => remove
		setRemoveCalTaskCurrent(taskId, false);
		
	} else {
		if (gCurrTaskIdChooseDate != -1) {
			// Was another one...
			setRemoveCalTaskCurrent(gCurrTaskIdChooseDate, false);
		}
		
		// Set current task class to "current"
		setRemoveCalTaskCurrent(taskId, true);
		
	}
}
*/
function startInc(theInput) {
	modDate(theInput, "startDate", ONE_IDEAL_DAY);
}

function startDec(theInput) {
	modDate(theInput, "startDate", -ONE_IDEAL_DAY);
}

function endInc(theInput) {
	modDate(theInput, "endDate", ONE_IDEAL_DAY);
	resEDToUpd(theInput.form.name);
}

function endDec(theInput) {
	modDate(theInput, "endDate", -ONE_IDEAL_DAY);
	resEDToUpd(theInput.form.name);
}

function initializeTempCal() {
	if (gTempCal == null) {
		gTempCal = new Calendar(false, null, selected, closeHandler);
		gTempCal.create();
		gTempCal.setDateFormat(gFormat);
	}
}

function getDateObject(dateString) {
	initializeTempCal();
	
	gTempCal.parseDate(dateString);
	
	return gTempCal.date;
}

function getDateString(dateObject) {
	initializeTempCal();
	
	gTempCal.setDate(dateObject);
	
	return gTempCal.date.print(gFormat);
}


function setMidnight(pDate) {
	pDate.setHours(0);
	pDate.setMilliseconds(0);
	pDate.setMinutes(0);
	pDate.setSeconds(0);
	return pDate;
}

function resEDToUpd(formName) {
	
	var calcHtmlElement = MM_findObj(formName + "_calcEnd");
	
	if (isAutoEndDate(formName)) {
	
		calcHtmlElement.className = "autoEndInv";
	
	} else {
	
		calcHtmlElement.className = "autoEnd";
	
	}
	
}

function sigEDToUpd(formName) {
	
	var loadFactor = getLoadFactor(document.forms[formName]);
	var isAutoUpdate = isAutoEndDate(formName);
	
	var startDateInput	= document.forms[formName].elements['startDate'];
	var doneInput	= document.forms[formName].elements['done'];
	
	var done = doneInput.value * MILISECONDS_IN_DAY;
	
	var startDate = getDateObject(startDateInput.value);
	
	// Find the real time to start adding (start date + done)
	
	gCurrentFormName = formName;
	var newStartDate = addDaysToDate(startDate, done, true);
	
	// Is that time AFTER today?

	var now = new Date();
	
	var bIsAfter = (now.getTime() < (newStartDate.getTime() - MILISECONDS_IN_DAY));
	
	if (done != 0 && bIsAfter) {
		// Start date + done is in the future...
		// that's not logical. You can't have spent more time
		// on the task since start than until now...
		
		startDateInput.className = "errorInput";
		doneInput.className = "errorInput";
				
	} else {
	
		startDateInput.className = "";
		doneInput.className = "";
		
	}
	
	if (isAutoUpdate) {
	
		updateEndDate(formName, loadFactor);
		
	} else {
	
		activateUpdateBlink(formName);
		
	}
	
}

function activateUpdateBlink(formName) {
	var calcHtmlElement = MM_findObj(formName + "_calcEnd");
	calcHtmlElement.className = "autoEndAnim";
}

/**
 * This is where the actual calculation of an end date is done...
 */
function updateEndDate(formName, loadFactor){
	// Calculate the new end date of the task according to the new Todo value,
	// starting from current day, and avoiding non-working days
	gCurrentFormName = formName;
	
	var startDateInput	= document.forms[formName].elements['startDate'];
	var doneInput		= document.forms[formName].elements['done'];
	
	var done = doneInput.value * MILISECONDS_IN_DAY;
	var todo = document.forms[formName].elements['todo'].value * MILISECONDS_IN_DAY;
	
	var startDate = getDateObject(startDateInput.value);
	
	// Find the real time to start adding (start date + done)
		
	var newStartDate = addDaysToDate(startDate, done, true);
	
	//start TT 05 Sept 05 - fix end date calculation
	//now = new Date();
	//end TT 05 Sept 05
	
	// The date is first moved to start date + done
	var newEndDate = newStartDate;
	
	
	if (todo != 0){
		// There is still work to do:
				
		// What's left to work? Well, "todo", multiplied
		// by the load factor...		
		var realDaysToAdd = todo * loadFactor;

		//start TT 05 Sept 05 - fix end date calculation
		//newEndDate = now;
		//end TT 05 Sept 05
	
		// Now we just need to add the days to work
		// from the date the work will start!!

		// To avoid endless loop
		if (realDaysToAdd > 0) {
			// We want to start at midnight!!
			setMidnight(newEndDate);
			
			newEndDate = addDaysToDate(newEndDate, realDaysToAdd, true);
			
			// The end date is at midnight... we move it to the eve.
			newEndDate = new Date(newEndDate.valueOf() - ONE_IDEAL_DAY);
			
		}
	}
	
	document.forms[formName].elements["endDate"].value = getDateString(newEndDate);
	
	resEDToUpd(formName);

}

function addDaysToDate(pDate, realDaysToAdd, ignoreLastDay) {
	var sign;
	
	if (realDaysToAdd < 0) {
		sign = - 1;
	} else {
		sign = 1;
	}
	
	var startWeekDay	= pDate.getDay();
	
	var startToAdd		= realDaysToAdd;
	
	var isForbiddenDay = disallowDate(pDate);
	
	while (sign * realDaysToAdd > 0 || isForbiddenDay) {
		
		// Increase OR decrease date
		
		pDate = new Date(pDate.valueOf() + sign*ONE_IDEAL_DAY);
		
		// If was allowed day, decrease "toadd"
		if (!isForbiddenDay) {
			realDaysToAdd = realDaysToAdd - sign*ONE_IDEAL_DAY;
		}

		if (realDaysToAdd == startToAdd && pDate.getDay() == startWeekDay) {
			// to avoid endless loop!!!
			break;
		}
		
		isForbiddenDay = disallowDate(pDate)
			&& (!ignoreLastDay || sign * realDaysToAdd > 0);
	}
	
	return pDate;
}

function updateStartDate(formName){
	var dateHtmlElement = document.forms[formName].elements["startDate"];
	dateHtmlElement.value =
		getStringWorkingDate(formName,
			dateHtmlElement.value);
}

function updateWorkingEndDate(formName){

	var dateHtmlElement = document.forms[formName].elements["endDate"];
	dateHtmlElement.value =
		getStringWorkingDate(formName,
			dateHtmlElement.value);
}

function getStringWorkingDate(formName, stringDate) {
	gCurrentFormName = formName;
	
	var newStartDate = getDateObject(stringDate);
	
	var firstWeekDay = gWeekDays[newStartDate.getDay()];
	
	var isForbiddenDay = disallowDate(newStartDate);
	
	while (isForbiddenDay) {
		var newStartDate = new Date(newStartDate.valueOf() + MILISECONDS_IN_DAY);
		var weekDay = gWeekDays[newStartDate.getDay()];
		isForbiddenDay = disallowDate(newStartDate);
		if (weekDay == firstWeekDay) {
			// to avoid endless loop!!!
			isForbiddenDay = false;
		}
	}
	
	return getDateString(newStartDate);
}

function xpcalUpdateDate(type) {
	initializeTempCal();
		
	gTempCal.parseDate(document.forms["ChooseOptions"].XPWEB_cal_date.value);
		
	// Update both
		
	// gFormat display
	document.forms["ChooseOptions"].elements["week"].value = gTempCal.date.print("%Y") + " - " + gWeekText + " " + gTempCal.date.print("%U");
	
	// gFormat display
	document.forms["ChooseOptions"].elements["month"].value = gTempCal.date.print("%B %Y");

}

function xpcalAdd(theInput, type, bIncrement) {
	
	if (bIncrement) {
		sign = ONE_IDEAL_DAY;
	} else {
		sign = -ONE_IDEAL_DAY;
	}
	
	if (type == "week") {
	
		modDate(theInput, "XPWEB_cal_date", 7 * sign);
		
	} else if (type == "month") {
	
		gTempCal.parseDate(document.forms["ChooseOptions"].XPWEB_cal_date.value);
	
		if (bIncrement) {
			
			// 1) Move to "end of month" (max = 28)
			gTempCal.date.setDate(28);
			document.forms["ChooseOptions"].XPWEB_cal_date.value = gTempCal.date.print(gFormat);
			
			// 2) Adding 5 days from 28th will always go to the next month
			modDate(theInput, "XPWEB_cal_date", 5 * sign);
		} else {
			
			// 1) Move to begining of month!
			gTempCal.date.setDate(0);
			document.forms["ChooseOptions"].XPWEB_cal_date.value = gTempCal.date.print(gFormat);
			
			// 2) Removing one day will move to the previous month
			modDate(theInput, "XPWEB_cal_date", sign);
		}
	
	}
	
	xpcalUpdateDate(type);
	
}

function xpcalChangeType(theInput) {
	// Hide all except the one selected
	for (var i = 0; i < theInput.length; i++) {
		var divName = "period_"+theInput.options[i].value;
		if (theInput.options[i].selected) {
			// Current option
			visible(divName);
		} else {
			invisible(divName);
		}
	}
}

function calendarOptionsInit() {
	if (document.forms["ChooseOptions"] != null) {
		var iterationId = document.forms["ChooseOptions"].elements["XPWEB_cal_iterationId"];
		populateListSelect(gAllIterations, iterationId, true);
		xpcalUpdateDate('week');
		xpcalUpdateDate('month');
		document.forms["ChooseOptions"].elements["XPWEB_cal_type"].onchange();
	}
}

function planningOptionsInit() {
	if (document.forms["ChooseOptions"] != null) {
		document.forms["ChooseOptions"].elements["XPWEB_pop_responsible_id"].onchange();
	}
}

function checkOrder(theInput) {
	if (theInput.className == "orderNone") {
		theInput.className = "orderAsc";
	} else if(theInput.className == "orderAsc") {
		theInput.className = "orderDesc";
	} else if(theInput.className == "orderDesc") {
		theInput.className = "orderNone";
	}
	
	// refresh order
	
	var i = 0;
	var inputValue = "";
	
	while ((tdObject = MM_findObj("storyOrderBy"+i)) != null) {
	
		name = MM_findObj("storyOrderBy_"+i).value;
		value = tdObject.className;
				
		if (value == "orderAsc") {
			inputValue += "|" + name + "=ASC|";
		} else if (value == "orderDesc") {
			inputValue += "|" + name + "=DESC|";
		}
		
		i++;
	}
	
	// set the hidden input value
	hiddenInput = MM_findObj("XPWEB_pop_stories_orderby");
	hiddenInput.value = inputValue;
	
}

function clickCalculateEndDate(formName) {
	if (!isAutoEndDate(formName)) {
		loadFactor = getLoadFactor(document.forms[formName]);
		updateEndDate(formName, loadFactor);
	}
}

// When "automatic update" is clicked
function clickAuto(formName) {
	var isAuto = isAutoEndDate(formName);
	if (isAuto) {
		// Is "automatic" mode
		var loadFactor = getLoadFactor(document.forms[formName]);
		//updateEndDate(formName, loadFactor);
		
		endDateDisabled(formName, true);
		
	} else {
		// Is "manual" mode
		
		endDateDisabled(formName, false);
	}
}