<?php

include "../PrivateConfig.inc.php";
include "../IncludeConfig.inc.php";

function testIniParam($paramName, $paramValue) {
	$currentVal = ini_get($paramName);
	if (!$currentVal) {
		$currentVal = "Off";
	}
	if ($currentVal != $paramValue) {
		return "<li><code style=\"color: red;\">$paramName = $currentVal</code></li>";
	}
	return "";
} 

function testExtensionLoaded($extensionName) {
	if (!extension_loaded($extensionName)) {
		return "<li>Extension <code style=\"color: red;\">$extensionName</code> not loaded</li>";
	}
	return "";
}


$errorLog = "";

$errorLog .= testIniParam("short_open_tag", 1);
$errorLog .= testIniParam("session.auto_start", 0);

// Checking correct database is loaded
switch(XP_DB_TYPE) {
	case "postgres7":
	case "postgres":
		$errorLog .= testExtensionLoaded("pgsql");
		break;
	default:
		$errorLog .= testExtensionLoaded(XP_DB_TYPE);
		break;
}

$errorLog .= testExtensionLoaded("gd");

$phpVersionIsFive = (phpversion() >= '5');



if ($errorLog != "" || !$phpVersionIsFive) {
	echo "<h1>WARNING</h1>";

	
	echo "<ul>";
	
	if ($errorLog != "") {
		echo "<li>You might need to fix the following issues with your php.ini file:";
		echo "<ul>";
		echo $errorLog;
		echo "</ul><br/>";
		echo "</li>";
	}
	
	if (!$phpVersionIsFive) {
		echo "<li>I see you are using PHP 4 or less.<br/>";
		echo "<ul>";
		echo "<li>Please note that you won't be able to export to xml unless you upgrade to PHP5</li>";
		
		if (XP_JPGRAPH_BASEDIR == XP_JPGRAPH_DEFAULT_BASEDIR) {
			echo "<li>Also, you need to download a different version of jpgraph library to use XPWeb reports on PHP4<br/>";
			echo "See <a href=\"../Reports.php\">reports section</a> for instructions<br/></li>";
		}
		echo "</li>";
		
		echo "</ul>";
	}
	
	echo "</ul>";
	
} else {
	echo "<h1>Good news</h1>";
	echo "I didn't find any obvious problem with your php configuration<br/><br/>";
}

phpinfo();
?>