<?php

class ProjectsFactoryXML extends ProjectsFactory {

	function & newProjectList($arguments = array()) {
		
		// Create the object
		$object = & parent::newProjectList($arguments);

		// Create the associated view
		$view = & new ProjectListXML($object);

		return $object;
	}

	function & newProject($arguments) {
		
		// Create the object
		$object = & parent::newProject($arguments);

		// Create the associated view
		$view = & new ProjectXML($object);

		return $object;
	}
		
	function & newProjectLink($arguments) {
		
		// Create the object
		$object = & parent::newProjectLink($arguments);

		// Create the associated view
		$view = & new ProjectLinkXML($object);

		return $object;
	}
	
}

$GLOBALS["gFactory"] = & new ProjectsFactoryXML();

class ProjectListXML extends XPItemListXML {


}

class ProjectXML extends XPItemWithIncludedXML {

	function buildCustomProperties() {

		parent::buildCustomProperties();
			
		$this->addXMLTextProperty("title");
		$this->addStrippedDescription();
		
	}
}


class ProjectLinkXML extends XPItemXML {
	
	function buildCustomProperties() {

		parent::buildCustomProperties();
			
		$this->addXMLTextProperty("title");
		$this->addXMLTextProperty("url");
		
	}
}

?>
