<?php

class XPItemXML {
	var $item;

	var $xmlElement;

	function & newXPItem() {

		$item = & new XPItem(func_get_args());

		$view = & new XPItemXML($item);

		return $item;

	}

	function affectItem(& $item) {
		if (!(get_class($item) == "XPItem" || is_subclass_of($item, "XPItem"))) {
			die($item->type."[".$item->id."] : is not an XPItem => cannot use with an XPItemXML");
		}
		
		$this->item = & $item;
		$item->view = & $this;
	}

	function XPItemXML(& $item) {
		$this->affectItem($item);
	}

// ***************************************************************
//                MEMBER FUNCTIONS
// ***************************************************************

	function buildXML() {

		$this->xmlElement = & getXmlDoc()->createElement("XPItem");

		$this->addXMLAttributeProperty("type");
		$this->addXMLAttributeProperty("id");

		$this->buildCustomProperties();

		$this->buildIncluded();
				
	}

	function buildCustomProperties() {
		// ...
	}

	function buildIncluded() {
		// ...
	}

// ***************************************************************
//                HELPER FUNCTIONS
// ***************************************************************

	function & addElement($tagName) {

		$xmlElement = & getXmlDoc()->createElement($tagName);

		$xmlElement = $this->xmlElement->appendChild($xmlElement);

		return $xmlElement;
	}
		
	function addXMLTextNode($tagName, $textContent) {
	
		$xmlElement = & getXmlDoc()->createElement($tagName);
		
		$content = utf8_encode($textContent);
	
		$xmlElementContent = & getXmlDoc()->createTextNode($content);
		$xmlElementContent = $xmlElement->appendChild($xmlElementContent);
		
		$xmlElement = $this->xmlElement->appendChild($xmlElement);
		
	}
	
	function addXMLTextProperty($propertyName) {
	
		$this->addXMLTextNode($propertyName, $this->item->{$propertyName});
		
	}

	function addStrippedDescription($propertyName = "description") {
		
		$description = getStrippedDescription($this->item->{$propertyName});

		$this->addXMLTextNode($propertyName, $description);

	}

	function addXMLAttributeProperty($propertyName) {
	
		$this->addXMLAttribute($propertyName, $this->item->{$propertyName});
		
	}
	
	function addXMLAttribute($attrName, $attrValue) {
	
		$this->xmlElement->setAttribute($attrName, $attrValue);
		
	}

}

class XPItemWithIncludedXML extends XPItemXML {

	function buildIncluded() {

		$this->createContent();

		$this->buildIncludedItems();
	}

	function createContent() {
		$xmlContent = & getXmlDoc()->createElement("includedItems");
			
		$xmlContent = $this->xmlElement->appendChild($xmlContent);
	}


	function affectItem(& $item) {
		
		if (!is_subclass_of($item, "XPItemWithIncluded")) {
			die($item->type."[".$item->id."] : is not an XPItemWithIncluded => cannot use with an XPItemWithIncludedXML");
		}

		parent::affectItem($item);
	}

	function buildIncludedType($type) {

		$val = & $this->item->multiIncludedItems[$type];

		if (isset($val)) {
				
			reset($val);

			while (list($key2, $val2) = each($val)) {

				// Build content
				$val2->view->buildXML();

				$this->insertIncludedItem($val2->view->xmlElement);

			}

		}
	}

	function buildIncludedItems() {
        
		$keys = array_keys($this->item->multiIncludedItems);

		for ($i = 0; $i < sizeof($keys); $i ++) {

			$this->buildIncludedType($keys[$i]);

		}
	}

	function insertIncludedItem(& $element) {
		
		$xmlContent = $this->xmlElement->getElementsByTagName("includedItems")->item(0);
		
		$element = $xmlContent->appendChild($element);

	}
}

class XPItemMultiListXML extends XPItemWithIncludedXML {
	
	function affectItem(& $item) {
		
		if (!is_subclass_of($item, "XPItemMultiList")) {
			die($item->type."[".$item->id."] : is not an XPItemMultiList => cannot use with an XPItemMultiListXML");
		}

		parent::affectItem($item);
	}

}

class XPItemListXML extends XPItemMultiListXML {

	function affectItem(& $item) {
		
		if (!is_subclass_of($item, "XPItemList")) {
			die($item->type."[".$item->id."] : is not an XPItemList => cannot use with an XPItemListXML");
		}

		parent::affectItem($item);
	}

}

function insertXmlElement($xpItem) {
	$xpItem->view->xmlElement = & getXmlSection()->appendChild($xpItem->view->xmlElement);
}

function displayXMLError($errorText) {
	$xmlContent = & getXmlDoc()->createElement("error");
	$xmlContent = & getXmlDoc()->documentElement->appendChild($xmlContent);

	$xmlElementContent = & getXmlDoc()->createTextNode($errorText);
	$xmlElementContent = $xmlContent->appendChild($xmlElementContent);
}

function xmlContinueIfCurrentProject() {
		
	if (getCurrentProjectId() == 0) {

		displayXMLError("no project selected");
		return false;

	}
	return true;
}
?>