<?xml version='1.0'?> 
<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version='1.0'
	xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
	xmlns="http://purl.org/rss/1.0/">
	
	<xsl:param name="path"/>
	<xsl:param name="link"/>
	<xsl:param name="encoding"/>
	
	<xsl:output
		method="xml"
		encoding="ISO-8859-1"/>
				            
	<xsl:template match="/">
		<rdf:RDF
			xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
			xmlns="http://purl.org/rss/1.0/">
		
			<xsl:apply-templates select="//XPSection"/>
		
			<xsl:for-each select="//XPItem|//error">
				
	
				<item>
					
					<xsl:if test="local-name(.)='XPItem'">
						<xsl:attribute name="rdf:about">
							<xsl:value-of select="$link"/>#<xsl:value-of select="@type"/>_<xsl:value-of select="@id"/>
						</xsl:attribute>
					</xsl:if>
					
					<title>
						<xsl:choose>
							<xsl:when test="local-name(.)='error'">
								ERROR
							</xsl:when>
							<xsl:otherwise>
								[<xsl:value-of select="@type"/>]
								<xsl:value-of select="title"/>
							</xsl:otherwise>
						</xsl:choose>
						
					</title>
					<description>
						<xsl:choose>
							<xsl:when test="local-name(.)='error'">
								You must choose a project
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="description"/>
							</xsl:otherwise>
						</xsl:choose>
					</description>
				</item>
								
			</xsl:for-each>
		</rdf:RDF>
	</xsl:template> 
    
	<!-- For each SECTION -->
    
	<xsl:template match="XPSection">
	
		<channel>
		
		<xsl:attribute name="rdf:about">
			<xsl:value-of select="$link"/>
		</xsl:attribute>
		
			<image>
				<url><xsl:value-of select="$path"/>/Gui/images/XPWeb-small-over.gif</url>
			</image>
		
		
			<title>
				<xsl:value-of select="@type"/>
			</title>
			
			<link>
				<xsl:value-of select="$link"/>
			</link>
			
			<items>
			<rdf:Seq>
			<xsl:for-each select="//XPItem">
	
				<rdf:li>
					<xsl:attribute name="rdf:resource">
						<xsl:value-of select="$link"/>#<xsl:value-of select="@type"/>_<xsl:value-of select="@id"/>
					</xsl:attribute>
				</rdf:li>
								
			</xsl:for-each> 
			</rdf:Seq>
			</items>
			
		</channel>
			
	</xsl:template>
	
	<!-- For each ITEM -->
	
	
	
</xsl:stylesheet> 